Clonezilla, the opensource clone system.
Authors: Steven Shiau <steven _at_ clonezilla org>, Blake, Kuo-Lien Huang (klhaung _at_ gmail com), Ceasar Sun (ceasar _at_ clonezilla org), Jazz Wang (jazz _at_ clonezilla org) and Thomas Tsai (thomas _at_ clonezilla org)
License: GPL
https://clonezilla.org

clonezilla (5.16.16-drbl1) unstable; urgency=medium

  * Fixed: function save_part_by_ntfsclone should exit when Ctrl-C is
    pressed. Thanks to nicdai for reporting this issue.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 21 Jun 2026 18:54:51 +0800

clonezilla (5.16.15-drbl1) unstable; urgency=medium

  * Make the variable supp_boot_param_ocs_live_extra to be
    used for netboot clients.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 20 Jun 2026 13:13:52 +0800

clonezilla (5.16.14-drbl1) unstable; urgency=medium

  * Updated dependence and removed a useless file.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 16 Jun 2026 20:53:37 +0800

clonezilla (5.16.13-drbl1) unstable; urgency=medium

  * ocs-onthefly: prompt timing adjusted.
    Fixed: the option "-s" was missing in the reserver-connection
    mode prompt ocs-onthefly.
    Updated USAGE about reverse-connection mode.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 16 Jun 2026 20:29:42 +0800

clonezilla (5.16.12-drbl1) unstable; urgency=medium

  * ocs-onthefly: use language files for i18n in TUI.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 15 Jun 2026 19:22:07 +0800

clonezilla (5.16.11-drbl1) unstable; urgency=medium

  * Bug fixed for ocs-onthefly: eliminate race condition for
    reverse-connection cloning.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 14 Jun 2026 17:39:40 +0800

clonezilla (5.16.10-drbl1) unstable; urgency=medium

  * Fixed ocs-onthefly: Receiving Listeners Correctly Strip `-q 0`:

 -- Steven Shiau <steven@clonezilla.org>  Sun, 14 Jun 2026 17:18:39 +0800

clonezilla (5.16.9-drbl1) unstable; urgency=medium

  * Fixed: netcat client connections to include $NC_QUIT_OPT,
    which resolves to -q 0 on systems that need it, like Debian.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 14 Jun 2026 16:58:21 +0800

clonezilla (5.16.8-drbl1) unstable; urgency=medium

  * Fixed: Reverse Connection Sync Issue Resolved in ocs-onthefly
    via network.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 14 Jun 2026 16:28:16 +0800

clonezilla (5.16.7-drbl1) unstable; urgency=medium

  * Kernel Version Parsing Bugfix in get_latest_kernel_ver_in_repository
    of ocs-functions.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 14 Jun 2026 15:02:35 +0800

clonezilla (5.16.6-drbl1) unstable; urgency=medium

  * ocs-onthefly: Added Reverse-Connection Network Cloning.
    Thanks to Hell Gate for this suggestion.
  * Make fbterm work with aarch64.
    Thanks to wpf973795 for asking this.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 14 Jun 2026 13:22:18 +0800

clonezilla (5.16.5-drbl1) unstable; urgency=medium

  * Fixed: protected device name "ask_user" in ocs-onthefly.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 13 Jun 2026 17:36:19 +0800

clonezilla (5.16.4-drbl1) unstable; urgency=medium

  [Ceasar Sun]
  * New programs: cnvt-ocsiso-qcow2 & ocs-check-initrd-module

 -- Steven Shiau <steven@clonezilla.org>  Sat, 13 Jun 2026 09:24:31 +0800

clonezilla (5.16.3-drbl1) unstable; urgency=medium

  * Fixed a typo in function disable_sudo_use_pty of ocs-live-hook-functions.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 11 Jun 2026 21:40:52 +0800

clonezilla (5.16.2-drbl1) unstable; urgency=medium

  * Improved check_source_and_target_type in ocs-onthefly so that
    it can deal with multiple disks which have existing partitions.
  * Better way for function disable_sudo_use_pty in ocs-live-hook-functions

 -- Steven Shiau <steven@clonezilla.org>  Thu, 11 Jun 2026 17:48:50 +0800

clonezilla (5.16.1-drbl1) unstable; urgency=medium

  * Add ezio daemon options: cache-size, aio-threads, slow-start
    Ref: https://gitlab.com/stevenshiau/clonezilla/-/merge_requests/48/

 -- Steven Shiau <steven@clonezilla.org>  Tue, 09 Jun 2026 10:29:29 +0800

clonezilla (5.15.33-drbl1) unstable; urgency=medium

  * Added option "-quiet" to separate quiet option from extra boot parameters
    in ocs-iso and ocs-live-dev.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 25 May 2026 20:54:11 +0800

clonezilla (5.15.32-drbl1) unstable; urgency=medium

  * fix: opentracker whitelist access problem
    Ref: https://gitlab.com/stevenshiau/clonezilla/-/merge_requests/47

 -- Steven Shiau <steven@clonezilla.org>  Mon, 25 May 2026 20:40:41 +0800

clonezilla (5.15.31-drbl1) unstable; urgency=medium

  * create-ubuntu-live: add support for Stonking.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 10 May 2026 15:27:03 +0800

clonezilla (5.15.30-drbl1) unstable; urgency=medium

  * ocs-onthefly: added net cloning for multiple disks in ocs-onthefly.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 10 May 2026 14:51:28 +0800

clonezilla (5.15.29-drbl1) unstable; urgency=medium

  * Bug fixed: Func reduce_multipath_dev failed at a whole disk with a fs.
  * Added manuals for ocs-sr and ocs-onthefly.
  * Keep ocs-reset-kbd-lang, removed ocs-reset-keymap-lang.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 03 May 2026 19:36:02 +0800

clonezilla (5.15.28-drbl1) unstable; urgency=medium

  * Language th_TH needs fbterm to show characters.
    Added th_TH to locale_need_bterm in drbl-ocs.conf.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 20 Apr 2026 08:08:09 +0800

clonezilla (5.15.27-drbl1) unstable; urgency=medium

  * Added a backup plan to avoid whiptail broken in device selection TUI.
    Replaces double quotes, single quotes, spaces and new line with an underscore
    in the device info strings.
  * ocs-live-hook.conf: added 6 more locales to locale_to_keep, i.e.,
    cs_CZ id_ID, nl_NL, th_TH, uk_UA, and vi_VN.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 19 Apr 2026 20:50:35 +0800

clonezilla (5.15.26-drbl1) unstable; urgency=medium

  * Ncurses TUI was not shown when running partclone.dd in TUI mode.
  * Avoid duplicated outputs both from the raw physical partition and
    the virtual mapped device (happens from Ventoy 1.1.11)
    when running jq -r for device info got from ocs-blk-dev-info.
    Thanks to maxx for reporting, and people on:
    https://sourceforge.net/p/clonezilla/bugs/429/
    https://sourceforge.net/p/clonezilla/bugs/439/
  * Skip thin pool data container when saving, checking or converting.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 18 Apr 2026 13:42:12 +0800

clonezilla (5.15.25-drbl1) unstable; urgency=medium

  * Corresponding changes for DRBL Debian live repo in create-debian-live and
    create-gparted-live.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 11 Apr 2026 14:32:11 +0800

clonezilla (5.15.24-drbl1) unstable; urgency=medium

  * create-buntu-live: DRBL Ubuntu live repo paths have changed. 
    The corresponding changes were done.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 10 Apr 2026 20:03:37 +0800

clonezilla (5.15.23-drbl1) unstable; urgency=medium

  * Added a new program ocs-cvtimg-enc to convert img with 3 functions:
    Convert encrypted mechanism, e.g., ecryptfs to gocryptfs.
    Decrypt a image, and encrypt a image.
    Hence ocs-cvtimg-enc will be linked to ocs-decrypt-img & ocs-encrypt-img.
    Then the file name will preset the corresponding usage for ocs-cvtimg-enc.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 06 Apr 2026 12:13:35 +0800

clonezilla (5.15.22-drbl1) unstable; urgency=medium

  * Added program b3sum in the initrd of live system.
  * Added a menu to verify boot medium.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 04 Apr 2026 20:42:29 +0800

clonezilla (5.15.21-drbl1) unstable; urgency=medium

  * Improved the checksum file in live system. Due to the mofifications,
    e.g, grub.cfg, after live-build creates the live system, it's a must
    to use Clonezilla's own mechanism. The b3sum instead of sha256sum is
    created.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 04 Apr 2026 14:37:59 +0800

clonezilla (5.15.20-drbl1) unstable; urgency=medium

  * Sorted Partclone-related variables by separating dd and non-dd usages.
    Added 4 variables: PARTCLONE_SAVE_OPT_DD_INIT, PARTCLONE_RESTORE_OPT_DD_INIT,
    PARTCLONE_D2D_OPT, and PARTCLONE_D2D_OPT_DD.
    Replaced partclone_dd_bs by PARTCLONE_D2D_OPT_DD.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 03 Apr 2026 11:22:30 +0800

clonezilla (5.15.19-drbl1) unstable; urgency=medium

  * Separated opts for partclone.$fs and partclone.dd. Use:
    PARTCLONE_D2D_OPT="-a3"
    PARTCLONE_D2D_OPT_dd=""

 -- Steven Shiau <steven@clonezilla.org>  Thu, 02 Apr 2026 05:44:09 +0800

clonezilla (5.15.18-drbl1) unstable; urgency=medium

  * Default to use XXH128 checksum (-a3) for Partclone in saving image and
    device to device cloning.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 01 Apr 2026 20:44:50 +0800

clonezilla (5.15.17-drbl1) unstable; urgency=medium

  * Implemented the gocryptfs mechanism to encrypt the image
    due to eCryptFS Deprecation.
    Thanks to Cwavs for this suggestion.
    Ref: https://github.com/stevenshiau/clonezilla/issues/173
  * ocs-sr: added -goc/-sgoc/ and -pg/-pfg options for the gocryptfs
    mechanism.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 30 Mar 2026 20:11:44 +0800

clonezilla (5.15.16-drbl1) unstable; urgency=medium

  * ocs-pt-size-from-sf: match device name in better way.
    Thanks to Thomas Tsai.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 25 Mar 2026 15:48:14 +0800

clonezilla (5.15.15-drbl1) unstable; urgency=medium

  * Bug fixed: Removed typo '\"' in bash test case in ocs-restore-mbr.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 23 Mar 2026 13:44:43 +0800

clonezilla (5.15.14-drbl1) unstable; urgency=medium

  * Lite server now supports MDRAID deployment.
  * Bug fixed:
    ONLY shut down arrays during RESTORE! If we shut them down during save,
    they vanish from /proc/mdstat and we cannot back them up.
  * Bug fixed:
    Udev Race Condition Prevention for MDRAID.
    Stop arrays and aggressively wipe sub-partitions to prevent udev from
    reassembling arrays and locking the disk while sfdisk rewrites the layout.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 21 Mar 2026 15:05:51 +0800

clonezilla (5.15.13-drbl1) unstable; urgency=medium

  * ocs-restore-mdraid-layout: Sanitize MDRAID array name
    ":" -> "_" since mdadm ver 4.3 & 4.4 have
    strict POSIX-compatible array names.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 16 Mar 2026 20:56:25 +0800

clonezilla (5.15.12-drbl1) unstable; urgency=medium

  * Ignore the bios_grub flag as running EFI boot manager update.
    Only attempt EFI updates if the disk is GPT and
    the system is actually booted in UEFI mode.
  * Make ocs-clean-disk-part-fs run interactively by default. With option
    "-b" it will run in batch mode. This is safer.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 16 Mar 2026 15:11:56 +0800

clonezilla (5.15.11-drbl1) unstable; urgency=medium

  * Support LVM thin provisioning mechanism.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 15 Mar 2026 21:08:47 +0800

clonezilla (5.15.10-drbl1) unstable; urgency=medium

  * Clean stale MDRAID signature before create PV during restoring an image.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 15 Mar 2026 13:27:48 +0800

clonezilla (5.15.9-drbl1) unstable; urgency=medium

  * Improved the MDRAID stop/clean so that it won't be busy when restoring.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 14 Mar 2026 17:22:35 +0800

clonezilla (5.15.8-drbl1) unstable; urgency=medium

  * Hide LVM & MDRAID devices in TUI as selecting devices.
    Only the underlying devices will be listed.
  * Added program to start/stop MDRAID device: ocs-mdraid-start &
    ocs-mdraid-stop.
  * ocs-chkimg: Skip checking partition table when it's MDRAID device.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 14 Mar 2026 16:11:43 +0800

clonezilla (5.15.7-drbl1) unstable; urgency=medium

  * Auto-append related MDRAID devices
    If the selected physical disks contain MDRAID member partitions,
    the associated active MD arrays must be appended so their contents
    are saved properly.
  * Skip dumping ${hd}-pt.sf if it's a bare device with fs, e.g.,
    md127-pt.sf that md127 has no partition, just fs.
  * Add function get_md_devices_from_disk_or_part.
  * Support root fs at a bare MDRAID dev with fs (e.g., /dev/md127 w xfs)
  * Skip putting fail-mbr.bin as a block dev with fs. Otherwise it will
    erase the file system (say /dev/md127 with xfs).

 -- Steven Shiau <steven@clonezilla.org>  Fri, 13 Mar 2026 09:43:55 +0800

clonezilla (5.15.6-drbl1) unstable; urgency=medium

  * ocs-blk-dev-info: output logical block size when the device
    is a disk. Now the logical block size in TUI will be shown
    when the device is a disk.
  * Enhanced ocs-cvt-dev with new capabilities: 
    1. Enabled conversion of RAID component names. 
    2. Added support for simultaneous conversion of multi-device arrays.
  * Introduced three new utilities for MDRAID management:
    1. ocs-purge-mdraid-layout (for array destruction and cleanup)
    2. ocs-save-mdraid-layout (for layout and metadata extraction) 
    3. ocs-restore-mdraid-layout (for automated array reconstruction) 
  * Standardized naming conventions: 
    Renamed create-ocs-tmp-img to ocs-create-tmp-img.
    To ensure backward compatibility, a symbolic link has been maintained
    from the new name to the original.
  * Improved RAID Reliability:
    This version significantly optimizes the workflow for saving and
    restoring MDRAID devices, ensuring accurate metadata and UUID preservation. 

 -- Steven Shiau <steven@clonezilla.org>  Sun, 08 Mar 2026 10:39:32 +0800

clonezilla (5.15.5-drbl1) unstable; urgency=medium

  * Added a mechanism to prompt bcdboot fix for 512n/e<->4kn conversion in
    ocs-onthefly.
  * Deal with nc.traditional/nc/netcat. Test them in that order.
    Ref: https://sourceforge.net/p/clonezilla/bugs/437/

 -- Steven Shiau <steven@clonezilla.org>  Sun, 01 Mar 2026 14:56:16 +0800

clonezilla (5.15.4-drbl1) unstable; urgency=medium

  * Append '--rescue' to partclone options to bypass mtdblock read errors.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 18 Feb 2026 16:59:20 +0800

clonezilla (5.15.3-drbl1) unstable; urgency=medium

  * Improved functions do_ntfs_512to4k_fix and do_ntfs_4kto512_fix
    by updating Total Sectors (Offset 40) for NTFS.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 17 Feb 2026 15:20:22 +0800

clonezilla (5.15.2-drbl1) unstable; urgency=medium

  * Stop using efi_uga since Debian grub 2.14.2 has dropped it.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 17 Feb 2026 10:48:13 +0800

clonezilla (5.15.1-drbl2) unstable; urgency=medium

  * Updated debian/control.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 16 Feb 2026 22:50:00 +0800

clonezilla (5.15.1-drbl1) unstable; urgency=medium

  * Bug fixed: function udp_send_part_img_or_dev
    (multicast sending from raw device) from ocs-functions
    did not work for a partition with unknown file system.
  * Added the mechanism for cloning 4kn to 512n/e disk.
  * ocs-blk-dev-info: replace space and single/doulbe quote with "-".
    Rewrite it to make it more efficient. Thanks to pete-15.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/e0fb8053/?limit=25#b9f3

 -- Steven Shiau <steven@clonezilla.org>  Mon, 16 Feb 2026 16:29:23 +0800

clonezilla (5.14.5-drbl1) unstable; urgency=medium

  * ocs-pt-size-from-sf: new small program to get partition size
    from sfdisk's dump file.
  * Bug fixed: failed to create BT slice files for unknown fs.
    Use the new option "-S|--device-size" from Partclone >= 0.3.42
    to assign the dd image (device) size.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 01 Feb 2026 11:38:28 +0800

clonezilla (5.14.4-drbl1) unstable; urgency=medium

  * Do 512B to 4kn fix for NTFS. This should be after NTFS file system is resized.
    Otherwise we have to enter MS Windows rescue mode, in the command prompt run:
    chkdsk c: /f

 -- Steven Shiau <steven@clonezilla.org>  Sat, 31 Jan 2026 09:58:56 +0800

clonezilla (5.14.3-drbl1) unstable; urgency=medium

  * The local partition to partiton_clone from ocs-functions
    for ESP use copy mechanism, not partclone cloning in 512B to 4kn case.
  * ocs-expand-gpt-pt: allow 34 sectors for GPT Backup Header so we don't
    truncate the last partition.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 30 Jan 2026 16:02:51 +0800

clonezilla (5.14.2-drbl1) unstable; urgency=medium

  * ocs-expand-gpt-pt: bug fixed so that it exits with correct return code.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 29 Jan 2026 21:28:25 +0800

clonezilla (5.14.1-drbl1) unstable; urgency=medium

  * ocs-expand-gpt-pt: rewrote (more robust) and improved,
    including do 512B to 4kn conversion if mismatched sector found.
  * Detect sector size in create_gpt_partition_table of ocs-functions:
    priority: logical_block_size (Standard/Modern) -> hw_sector_size (Legacy)

 -- Steven Shiau <steven@clonezilla.org>  Thu, 29 Jan 2026 21:13:59 +0800

clonezilla (5.13.25-drbl1) unstable; urgency=medium

  * Added a mechanism to do ESP cloning and NTFS fix for 512B disk to 4kn
    one.
  * ocs-pt-512-4k-convert: a program to convert 512B to 4kn partition table
    was added.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 28 Jan 2026 13:17:50 +0800

clonezilla (5.13.24-drbl1) unstable; urgency=medium

  * S03prep-gparted-live: added a mechanism to avoid blank screen for GParted
    live.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 27 Jan 2026 15:52:40 +0800

clonezilla (5.13.23-drbl1) unstable; urgency=medium

  * Added parttype for lsblk so that extended part can be shown.
    Otherwise using type will only show "part" for extended partition in
    an MBR disk.
  * Bug: ocs-get-dev-info failed to identify extended partition.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 15 Jan 2026 21:14:38 +0800

clonezilla (5.13.22-drbl1) unstable; urgency=medium

  * Added a mechanism to change the master key from LUKS header.
    Thanks to nbergont.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/ccf83c0592/
  * ocs-cvt-dev: avoid name collision as converting.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 12 Jan 2026 21:18:36 +0800

clonezilla (5.13.21-drbl1) unstable; urgency=medium

  * Bug fixed: wrong path for firmware in
    get_non_free_net_firmware_for_ubuntu of ocs-functions.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 08 Jan 2026 19:59:01 +0800

clonezilla (5.13.20-drbl1) unstable; urgency=medium

  * Use new mechanism to get NIC firmware list in live-hook when creating
    Ubuntu-based Clonezilla live.
  * ocs-get-nic-fw-lst: rewrite to get firmware list from Linux kernel
    moduels.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 08 Jan 2026 18:22:29 +0800

clonezilla (5.13.19-drbl1) unstable; urgency=medium

  * Bug fixed: multicast mode from the raw device failed to work for unknown
    file system. Now partclone.dd will be used.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 03 Jan 2026 21:57:13 +0800

clonezilla (5.13.18-drbl1) unstable; urgency=medium

  * Bug fixed: removed extra LVM and LUKS info in dev-fs.list.
    The issue was introduced on 2024/Aug/1. They should
    not be added otherwise it will make clone-over-net of ocs-onthefly
    fail because the partition order is messed up. Thanks to kokutou
    kiritsugu for reporting this issue and providing an image for testing.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/2f352495cb/

 -- Steven Shiau <steven@clonezilla.org>  Thu, 01 Jan 2026 13:38:13 +0800

clonezilla (5.13.17-drbl1) unstable; urgency=medium

  * Time sync mechanism will be disabled if ocs_time_sync="no" is assigned
    in the boot parameters.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/9b6c1d0151/

 -- Steven Shiau <steven@clonezilla.org>  Sat, 27 Dec 2025 14:22:44 +0800

clonezilla (5.13.16-drbl1) unstable; urgency=medium

  * ocs-functions: check_mtd_emmcboot_dev improved for saving/restoring
    cases.  Otherwise it only works for saving mode.
  * ocs-functions: improved converting tmp image for different
    source/destination devices, i.e., >=2 devices won't go. Otherwise it
    will fail.
  * ocs-iso-2-onie: use "zstd -T0", not "zstdmt" to avoid confusion.
  * ocs-cvtimg-comp: removed zstdmt to avoid confusion.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 25 Dec 2025 22:31:42 +0800

clonezilla (5.13.15-drbl1) unstable; urgency=medium

  * Added |mtdblock|mmcblk.*boot to allow special devs.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Dec 2025 15:37:00 +0800

clonezilla (5.13.14-drbl1) unstable; urgency=medium

  * Suppressed useless grep error messages.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Dec 2025 10:24:22 +0800

clonezilla (5.13.13-drbl1) unstable; urgency=medium

  * ocs-live-feed-img: add detection for MTD/EMMC devices.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Dec 2025 10:01:30 +0800

clonezilla (5.13.12-drbl1) unstable; urgency=medium

  * ocs-live-feed-img: added -smtd & -smmcb in BT from raw device pseudo_img_cmd.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 14 Dec 2025 20:37:36 +0800

clonezilla (5.13.11-drbl1) unstable; urgency=medium

  * ocs-live-feed-img: added missing options, including -smtd, -smmcb,
    -rmtd, -rmmcb, -dblk

 -- Steven Shiau <steven@clonezilla.org>  Thu, 11 Dec 2025 16:17:21 +0800

clonezilla (5.13.10-drbl1) unstable; urgency=medium

  * ocs-live-boot-menu: support memtest86+ >=8.0 new file format.
    It has no longer separate .bin (Legacy) and .efi (UEFI) files,
    i.e., a single binary for both UEFI and legacy boot.
  * -

 -- Steven Shiau <steven@clonezilla.org>  Thu, 11 Dec 2025 16:17:19 +0800

clonezilla (5.13.9-drbl1) unstable; urgency=medium

  [ Marcos Diez ]

  * BitLocker partitions now work on the clone_server (ocs-onthefly)

 -- Steven Shiau <steven@clonezilla.org>  Mon, 01 Dec 2025 07:30:00 +0800

clonezilla (5.13.8-drbl1) unstable; urgency=medium

  * Don't unmount $ocsroot $pre_ocsroot_path by default.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 29 Nov 2025 13:37:07 +0800

clonezilla (5.13.7-drbl2) unstable; urgency=medium

  [ Marcos Diez ]

  * BitLocker asks the password again if it is wrong.
  * Improved BitLocker mechanism about echoing passphrase/keys or not.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 25 Nov 2025 07:15:24 +0800

clonezilla (5.13.7-drbl1) unstable; urgency=medium

  * ocs-resize-part: removed useless variables and
    improved for safety and reliability.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 24 Nov 2025 08:08:26 +0800

clonezilla (5.13.6-drbl1) unstable; urgency=medium

  * Bug fixed: ocs-sr can't find devices with PTUUID
    Ref: https://github.com/stevenshiau/clonezilla/issues/168
  * Model and serial from disk or partition might contain
    doulbe quotation mark ("), which breaks dialog menu in Clonezilla.
    The output from ocs-blk-dev-info should remove doulbe quotation mark
    from model and serial.
    https://sourceforge.net/p/clonezilla/bugs/436/

 -- Steven Shiau <steven@clonezilla.org>  Sun, 23 Nov 2025 17:18:33 +0800

clonezilla (5.13.5-drbl1) unstable; urgency=medium

  * Added option -dblk|--decrypt-bitlocker in ocs-sr.
  * Moved deal_with_bitlocker_partitions to task_saveparts from
    check_if_input_device_exist. This makes BitLocker-related codes are the
    same way as LUKS-related codes.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 10 Nov 2025 19:58:38 +0800

clonezilla (5.13.4-drbl1) unstable; urgency=medium

  [ Marcos Diez ]

  * New feature: Bitlocker partitions can be decrypted before backups.
    Ref: https://github.com/stevenshiau/clonezilla/pull/163

 -- Steven Shiau <steven@clonezilla.org>  Sat, 08 Nov 2025 16:39:24 +0800

clonezilla (5.13.3-drbl1) unstable; urgency=medium

  * ocs-live-run-menu: Set TERM as fbterm when running
    program in fbterm so that the box-drawing characters
    can be displayed correctly.
  * Unmount sys/firmware/efi/efivars before unmounting sys/ updating grub or
    initrd in the restored OS.
  * ocs-reset-kbd-lang: the program to reset the keymap and
    locales in Clonezilla live environment was added.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 01 Nov 2025 11:15:37 +0800

clonezilla (5.13.2-drbl1) unstable; urgency=medium

  * Updated get_latest_kernel_ver_in_repository from ocs-functions
    to get the latest linux kernel version.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 28 Oct 2025 21:39:28 +0800

clonezilla (5.13.1-drbl1) unstable; urgency=medium

  * create-ubuntu-live: support resolute, drop plucky.
  * Replaced "--buffer_size" with shorter option "-z" in partclone commands.
  * Added -smtd & -smmcb in the USAGE of ocs-sr.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 28 Oct 2025 20:23:11 +0800

clonezilla (5.12.38-drbl1) unstable; urgency=medium

  * Added 2 options: -smtd & -smmcb for saving an image.
    This allows users to select. By default do not save the
    MTD block device and eMMC boot device.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 17 Oct 2025 16:11:49 +0800

clonezilla (5.12.37-drbl1) unstable; urgency=medium

  * Updated prompts: (1) Inputted device not found and 
    (2) Searching MTD block and eMMC boot devices

 -- Steven Shiau <steven@clonezilla.org>  Wed, 15 Oct 2025 07:50:25 +0800

clonezilla (5.12.36-drbl1) unstable; urgency=medium

  * Added option "-uoab" in ocs-sr & ocs-live-feed-img to
    support using Clonezilla alias block device name in the TUI.
  * get_mapped_kernel_blkname from ocs-functions was renmaed as
    get_mapped_kernel_or_ocs_blkname and now it can be used to
    map kernel device name or Clonezilla alias device name.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 12 Oct 2025 20:29:17 +0800

clonezilla (5.12.35-drbl1) unstable; urgency=medium

  * Improved to make lite server support ocs-?d* (Clonezilla block device).

 -- Steven Shiau <steven@clonezilla.org>  Fri, 10 Oct 2025 19:46:18 +0800

clonezilla (5.12.34-drbl1) unstable; urgency=medium

  * ocs-get-dev-info: improved for better performance.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 09 Oct 2025 22:16:37 +0800

clonezilla (5.12.33-drbl1) unstable; urgency=medium

  * ocs-cmd-screen-sample: added option -v|--verbose. If used, "bash -x" will
    be used for the script.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 07 Oct 2025 08:39:08 +0800

clonezilla (5.12.32-drbl1) unstable; urgency=medium

  * Support imaging MTD block & eMMC boot devices.
    By default these two types of device will be saved when they are found.
    When restoring, if -rmtd|--restore-mtdblock or -rmmcb|--restore-mmcblk
    is assigned, the saved image will be restored.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 05 Oct 2025 19:57:05 +0800

clonezilla (5.12.31-drbl1) unstable; urgency=medium

  * Improved function get_not_busy_disks_or_parts. Make it more efficient.
    Functions conv_uuid_mount_to_tradpart & is_linux_raid_member were
    improved, too.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 04 Oct 2025 14:22:32 +0800

clonezilla (5.12.30-drbl1) unstable; urgency=medium

  * Removed the clonezilla dev cache mechanism since it's not mature.
    Functions check_if_use_disklist_cache & check_if_use_partlist_cache
    were removed.
    Parameter use_dev_list_cache is not honored anymore.
  * Improved functions so they are more efficient:
    check_if_input_device_exist, strip_leading_dev,
    format_dev_name_with_leading_dev,
    format_dev_name_without_leading_dev
  * Improved functions to deal with eMMC boot device: /dev/mmcblk*boot*,
    including is_supported_dev, is_partition, get_part_number
  * function get_diskname from ocs-functions: mtdblock*|mmcblk*boot* return ""
    since we treat it as a partition.

  
  [ Ceasar Sun ]

  * New program: ocs_live_u-bootable_rawdisk (PR #159) from Ceasar Sun.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 04 Oct 2025 12:19:47 +0800

clonezilla (5.12.29-drbl1) unstable; urgency=medium

  * get_part_number from ocs-functions: improved with new dev mtdblockN

 -- Steven Shiau <steven@clonezilla.org>  Tue, 30 Sep 2025 21:06:48 +0800

clonezilla (5.12.28-drbl1) unstable; urgency=medium

  * Add supported block MTD Block Device (/dev/mtdblockN), and treat it
    as a partition in function since it contains no any partitions.
  * Function gen_proc_partitions_map_file from ocs-functions:
    removed devfs part since devfs is no more from Linux kernel >= 2.6.18.
  * The functions is_partition, get_diskname and is_supported_dev from
    ocs-functions were rewritten, with the help of Google's Gemini.
    It should be more efficient and readable now.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 29 Sep 2025 20:51:37 +0800

clonezilla (5.12.27-drbl1) unstable; urgency=medium

  * New sample program: ocs-cmd-screen-sample. It is used as the template
    program for the run-again script.
    Both screen and tmux option can be assigned by "-s" or "-t".
  * Function output_run_again_script in ocs-functions was updated with
    new sample script ocs-cmd-screen-sample.
  * S03prep-drbl-clonezilla: Source ~/.bash_profile from ~/.bashrc for root
    and user accounts so that non-login shell (screen/tmux...) has same PS1.
  * ocs-cvt-dev: only disk type is accepted.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 29 Sep 2025 10:32:08 +0800

clonezilla (5.12.26-drbl1) unstable; urgency=medium

  [ Thomas Tsai ]
  * Added test scripts for debian/tests.

  [ Ceasar Sun ]
  * Improved support for riscv64 arch
  * DTB files collect from imported deb files
  * Save full repacke command( as info) into ./{live/}Clonezilla-Live-Version

 -- Steven Shiau <steven@clonezilla.org>  Thu, 25 Sep 2025 18:11:30 +0800

clonezilla (5.12.25-drbl1) unstable; urgency=medium

  * Variable msg_next_choose_timezon -> msg_next_choose_timezone.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 24 Sep 2025 20:41:37 +0800

clonezilla (5.12.24-drbl1) unstable; urgency=medium

  * Source dev to multi-machines descriptions updated, i.e.,
    Updated the descriptions about "disk-2-mdisks" & "part-2-mparts".
    Updated the descriptions of the option "-cdt"

 -- Steven Shiau <steven@clonezilla.org>  Mon, 22 Sep 2025 21:07:49 +0800

clonezilla (5.12.23-drbl1) unstable; urgency=medium

  * ocs-blk-dev-info: improved to make jq work in some cases.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 20 Sep 2025 11:55:11 +0800

clonezilla (5.12.21-drbl1) unstable; urgency=medium

  [ Ceasar Sun ]
  * ocs-live-swap-kernel: patched to deal with modules.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Sep 2025 18:39:26 +0800

clonezilla (5.12.20-drbl1) unstable; urgency=medium

  * ocs-blkdev-sorter: Skip generating the PV from LVM.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 12 Sep 2025 11:30:27 +0800

clonezilla (5.12.19-drbl1) unstable; urgency=medium

  * live-hook: use /usr/lib/ instead of /lib/, and remove unused codes,

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 Sep 2025 21:21:38 +0800

clonezilla (5.12.18-drbl1) unstable; urgency=medium

  * Updated code to work with efiboogmgr >= 18-4.
  * Make root's bash prompt use full hostname in live system.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 Sep 2025 16:51:25 +0800

clonezilla (5.12.17-drbl1) unstable; urgency=medium

  * Fix: wrong code for PS1 of autologin account.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 06 Sep 2025 12:49:36 +0800

clonezilla (5.12.16-drbl1) unstable; urgency=medium

  * create-ubuntu-live: removed linux-modules-extra for Questing release.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 06 Sep 2025 10:37:56 +0800

clonezilla (5.12.15-drbl1) unstable; urgency=medium

  * Use full hostname, not short one, for the bash prompt in live account.
  * create-ubuntu-live: do not assign hostname. Let ocs-iso/ocs-live-dev
    do that.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 05 Sep 2025 20:37:21 +0800

clonezilla (5.12.14-drbl1) unstable; urgency=medium

  * Added an option to use screen in the "run again" script.
    Thanks to lisz8 for sharing that.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 05 Sep 2025 15:38:23 +0800

clonezilla (5.12.13-drbl1) unstable; urgency=medium

  * Changed the ocs block device path to /dev/ocs-disks/, was in
    /dev/ocs_disks/.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 03 Sep 2025 13:44:02 +0800

clonezilla (5.12.12-drbl1) unstable; urgency=medium

  * 99-ocs-sorted-disks.rules: device changes should trigger the updates
    for ocs-?d*. 

 -- Steven Shiau <steven@clonezilla.org>  Wed, 03 Sep 2025 09:06:14 +0800

clonezilla (5.12.11-drbl1) unstable; urgency=medium

  * Fixed: --batch was not passed to function check_image_if_restorable of
    ocs-functions.
    Ref: https://github.com/stevenshiau/clonezilla/issues/154
  * ocs-scan-disk: Updated the comments and the output will be aligned.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 02 Sep 2025 20:25:56 +0800

clonezilla (5.12.10-drbl1) unstable; urgency=medium

  * ocs-blkdev-sorter: make it affect as a disk is removed.
  * 99-ocs-sorted-disks.rules: removed ENV{ID_FS_UUID_ENC}==""
    so that when USB disk is removed, RUN will be executed.
  * ocs-scan-disk: format the output so that it's easier to read.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 29 Aug 2025 20:59:41 +0800

clonezilla (5.12.9-drbl1) unstable; urgency=medium

  * Improved ocs-blkdev-sorter to make it run in udev:
    1. Add a lock to the script so there is only one instance running at the same time.
    2. Overwrite the log file instead of appending to it.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Aug 2025 21:47:25 +0800

clonezilla (5.12.8-drbl1) unstable; urgency=medium

  * Added udev rule: 99-ocs-sorted-disks.rules to run ocs-blkdev-sorter.
  * drbl-ocs.conf: changed CD_FILE_LIMIT to 700.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 27 Aug 2025 20:40:15 +0800

clonezilla (5.12.7-drbl1) unstable; urgency=medium

  * A new program ocs-blkdev-sorter was added. It will be used in the future
    to have a abstract block device from Clonezilla.
  * The abstract block device name can be used in CML when running ocs-sr &
    ocs-onthefly.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 26 Aug 2025 21:25:04 +0800

clonezilla (5.12.6-drbl1) unstable; urgency=medium

  * drbl-ocs.conf: updated ocs_live_exclude_kernels to
    exclude "-16k" Linux kernel for ARM64 arch.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 21 Aug 2025 16:15:11 +0800

clonezilla (5.12.5-drbl1) unstable; urgency=medium

  * Disabled atd and cron services in live system by default.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 21 Aug 2025 10:16:45 +0800

clonezilla (5.12.4-drbl1) unstable; urgency=medium

  * Added ethdevice-link-timeout=7 in the live client.
    This assigns the ethernet device linking status timeout as 7 secs
    instead of the default 15 secs.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/579168f80f/

 -- Steven Shiau <steven@clonezilla.org>  Wed, 20 Aug 2025 15:31:07 +0800

clonezilla (5.12.3-drbl1) unstable; urgency=medium

  * Made dialog menu of block devs list more efficient.
  * ocs-blk-dev-info: A new program to output block dev info in json format.
  * Output LVM and LUKS partition info in dev-fs.list
  * Bug fixed: Wrong device name due to lacking /dev/ 
    for check_if_containing_thin_lv.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 02 Aug 2025 11:08:02 +0800

clonezilla (5.12.2-drbl1) unstable; urgency=medium

  * ocs-lang-kbd-conf: added options "-f" and "-t". 

 -- Steven Shiau <steven@clonezilla.org>  Sun, 27 Jul 2025 20:09:23 +0800

clonezilla (5.12.1-drbl1) unstable; urgency=medium

  * Removed the duplicated part about ocs-lang-kbd-conf
    since it's run in ocs-live-run-menu.
  * A funtion to to disable stdin non-blocking mode was added in
    ocs-functions and used after fbterm is run in ocs-lang-kbd-conf
    and ocs-live-run-menu.
    This will avoid this issue when read command is used:
    "read: read error: 0: Resource temporarily unavailable"

 -- Steven Shiau <steven@clonezilla.org>  Sun, 27 Jul 2025 12:28:52 +0800

clonezilla (5.11.21-drbl1) unstable; urgency=medium

  * ocs-lang-kbd-conf should be run once inside ocs-live-run-menu.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Jul 2025 20:09:29 +0800

clonezilla (5.11.20-drbl1) unstable; urgency=medium

  * Move language and keymap configurations to login shell. It was before
    /sbin/getty. This is due to fbterm needs interactive tty.
    Therefore /etc/ocs/ocs-live.d/S05-lang-kbd-conf was removed.
  * ocs-lang-kbd-conf: removed unused comments.
  * Move tag file start-ocs-lang-kbd-conf to /run/live from /run/lock/.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Jul 2025 18:54:31 +0800

clonezilla (5.11.19-drbl1) unstable; urgency=medium

  * A better way to run fbterm with suitable font size, and forget about
    TERM variable.
  * Tag file for already being run was changed:
    /run/lock/drbl-kbdchooser -> /run/live/drbl-kbdchooser
  * Renamed function "ask_language_if_supported_with_bterm" as
    "choose_language_in_fb_term".
    Skip checking framebuffer dev in choose_language_in_fb_term due to there
    is no good way to pass environmental variable TERM to fbterm. A
    workaround is to use file tag (/run/live/drbl-langchooser) to check if it's run or not.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Jul 2025 10:49:11 +0800

clonezilla (5.11.18-drbl1) unstable; urgency=medium

  * A workaround to set TERM=fbterm due to fbterm will overwrite
    the environmental variable TERM as linux. We force to set it as
    fbterm when entering the shell.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 25 Jul 2025 19:20:20 +0800

clonezilla (5.11.17-drbl1) unstable; urgency=medium

  * In addition to jfbter/bterm, added fbterm as another option.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 23 Jul 2025 16:13:51 +0800

clonezilla (5.11.16-drbl1) unstable; urgency=medium

  * Updated prompts about time sync.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 21 Jul 2025 20:17:09 +0800

clonezilla (5.11.15-drbl1) unstable; urgency=medium

  * ocs-scan-disk: show ID_PATH_TAG so that it's easier to identify the
    disk.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 21 Jul 2025 16:52:05 +0800

clonezilla (5.11.14-drbl1) unstable; urgency=medium

  * ocs-live-time-sync: live system should not touch the BIOS's clock. 
    It's better to keep the way it is. Hence drop the command
    "hwclock --systohc". 

 -- Steven Shiau <steven@clonezilla.org>  Mon, 21 Jul 2025 15:33:27 +0800

clonezilla (5.11.13-drbl1) unstable; urgency=medium

  * Implemented a mechanism to set timezone as time syncing from BIOS
    when no internet connection.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 20 Jul 2025 11:48:34 +0800

clonezilla (5.11.12-drbl1) unstable; urgency=medium

  * ocs-console-font-size: added a new mechanism to set console font size
    automatically based on the console cols and rows if not assigned.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 13 Jul 2025 17:29:45 +0800

clonezilla (5.11.11-drbl1) unstable; urgency=medium

  * Use the same mechanism to reduce the possibility of random order
    of block devices in GParted live.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 12 Jul 2025 20:24:30 +0800

clonezilla (5.11.10-drbl1) unstable; urgency=medium

  * Added package curl in the requirements.
  * Added new program ocs-live-time-sync and used in ocs-live-netcfg.
  * When internet is available, time sync can be done.
    Bug fixed: image name variable was not protected in function
    create_temp_image_for_different_target_dev_name_if_necessary
    of ocs-functions.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 12 Jul 2025 11:18:15 +0800

clonezilla (5.11.9-drbl1) unstable; urgency=medium

  * Added "efitextmode 0" to the grub.cfg of Clonezilla live.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/8775952851/

 -- Steven Shiau <steven@clonezilla.org>  Fri, 11 Jul 2025 08:48:09 +0800

clonezilla (5.11.8-drbl1) unstable; urgency=medium

  * Added a mechanism to check if LVM thin provisioning existing. If so,
    quit program.
    Ref: https://github.com/stevenshiau/clonezilla/issues/133

 -- Steven Shiau <steven@clonezilla.org>  Tue, 08 Jul 2025 21:55:00 +0800

clonezilla (5.11.7-drbl1) unstable; urgency=medium

  * ocs-iso-2-onie: updated to catch modern Debian, especially the
    mkinitramfs multiple segments.
  * ocs-live-hook.conf: force to add module "loop" in initramfs.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 07 Jul 2025 17:12:40 +0800

clonezilla (5.11.6-drbl1) unstable; urgency=medium

  * drbl-ocs.conf: added ocs_1_cpu_udev in boot parameter
    "supp_boot_param_ocs_live_extra".

 -- Steven Shiau <steven@clonezilla.org>  Sun, 29 Jun 2025 10:32:00 +0800

clonezilla (5.11.5-drbl1) unstable; urgency=medium

  * Recovery iso/zip file name now contains CPU arch.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 28 Jun 2025 16:47:34 +0800

clonezilla (5.11.4-drbl1) unstable; urgency=medium

  * ocs-sr, ocs-onthefly, ocs-restore-mbr, ocs-restore-mdisks:
    Replaced commands with variable so it's easier to read and debug.
    Protect the image dir name variable so that special characters like ()
    can be used as image name.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 27 Jun 2025 21:01:13 +0800

clonezilla (5.11.3-drbl1) unstable; urgency=medium

  * Improved lite server about BT mode to allow image name with special
    characters (e.g., ()).
  * Added missing options, -cm, -cs, -cb2, -cb3, -f in ocs-live-get-img.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 25 Jun 2025 20:38:52 +0800

clonezilla (5.11.2-drbl1) unstable; urgency=medium

  * Improved the RE to find the latest linux kernel from Packages.xz.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 24 Jun 2025 20:07:21 +0800

clonezilla (5.11.1-drbl1) unstable; urgency=medium

  * Update RE to parse latest linux kernel.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 24 Jun 2025 13:15:03 +0800

clonezilla (5.11.0-drbl1) unstable; urgency=medium

  * Protect the image name variables (dir) so that special character
    like "(" or ")" can be used in the name, though it's not recommended to
    do so.
    Allow image name to contain special characters "(" & ")" in the TUI.
    Ref: https://sourceforge.net/p/clonezilla/bugs/431/

 -- Steven Shiau <steven@clonezilla.org>  Tue, 24 Jun 2025 08:06:35 +0800

clonezilla (5.10.8-drbl1) unstable; urgency=medium

  * Fixed: ID tag from udevadm was wrongly truncated.
  * A mechanism was added to have more boot parameters to migigate
    random naming of block devices: scsi_mod.use_blk_mq=0 nvme.poll_queues=1

 -- Steven Shiau <steven@clonezilla.org>  Tue, 20 May 2025 15:30:00 +0800

clonezilla (5.10.7-drbl1) unstable; urgency=medium

  * Simplied the ezio-related variables. Use only
    ezio_seed_max_connect, ezio_seed_max_upload, ezio_upload_timeout
    and assigned their initial values.
    i.e., dropped:
    ezio_seed_max_connect_def, ezio_seed_max_upload_def, ezio_upload_timeout_def

 -- Steven Shiau <steven@clonezilla.org>  Mon, 12 May 2025 07:24:06 +0800

clonezilla (5.10.6-drbl1) unstable; urgency=medium

  * ocs-get-dev-info: do not escape whitespace of blkid output.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Help/thread/6f9d89b8b7/?limit=25#bed4
  * Add 3 options for running ezio:
    ezio_seed_max_connect="6" # Max total connections number
    ezio_seed_max_upload="5" # Max upload connections number
    ezio_upload_timeout="90" # The interval to keep uploading and waiting for other peer (sec)
    These 3 parameters can also be assigned in boot parameters so that
    seeder and leecher of ezio can be controlled.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 11 May 2025 20:23:35 +0800

clonezilla (5.10.5-drbl1) unstable; urgency=medium

  * Make sure partition label does not contain space in
    the dialog menu. This should fix the issue which whiptail shows:
    "Box" is an unknown partition device. Program terminated!.
    Thanks to bagged 9008.
    Ref: https://sourceforge.net/p/clonezilla/bugs/429/

 -- Steven Shiau <steven@clonezilla.org>  Sat, 10 May 2025 20:03:37 +0800

clonezilla (5.10.4-drbl1) unstable; urgency=medium

  * [Ceasar Sun]
    ocs-live-swap-kernel: sync the hook files for update-initramfs.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 10 May 2025 16:09:41 +0800

clonezilla (5.10.3-drbl1) unstable; urgency=medium

  * ocs-live-swap-kernel: fixed firmware destination dir when rsync files.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 09 May 2025 20:10:36 +0800

clonezilla (5.10.2-drbl1) unstable; urgency=medium

  * ocs-live-swap-kernel: firmware will be included.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 09 May 2025 14:56:42 +0800

clonezilla (5.10.1-drbl1) unstable; urgency=medium

  * ocs-ezio-leecher: add timeout option (-w) from ezio >= 2.0.16
    for ezio_ui.py and ezio_cli.py. This allows us to control the
    uploading timeout of the leecher.
  * ocs-ezio-seeder: use ezio_add_torrent.py from ezio >= 2.0.16, i.e.,
    dropped ezio_add_torrent_seed.py.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 07 May 2025 20:42:56 +0800

clonezilla (5.9.10-drbl1) unstable; urgency=medium

  * create-ubuntu-live: support creating Ubuntu Questing-based
    Clonezilla live system. Dropped old ones.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 04 May 2025 12:01:04 +0800

clonezilla (5.9.9-drbl1) unstable; urgency=medium

  * ocs-live-repository: added a prompt about Clonezilla live USB
    when it's found.
  * Set CPUs offline/online jobs in background.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 08 Apr 2025 05:00:36 +0800

clonezilla (5.9.8-drbl1) unstable; urgency=medium

  * ocs-live-repository: bug fixed for syntax error.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 06 Apr 2025 16:04:44 +0800

clonezilla (5.9.7-drbl1) unstable; urgency=medium

  * ocs-find-live-key: Improved to deal with the case that the Clonezilla
    live USB drive is already mounted. Now no matter it's mounted or not,
    the removable medium (1) that is vFAT file system and (2) contains
    the file "Clonezilla-Live-Version" will be treated as Clonezilla
    live USB drive.
  * ocs-live-repository: added dev=///OCS_LIVE_USB so that
    the Clonezilla live USB drive can be assigned as the image repo,
    especially when Clonezilla live USB drive is booted in "To RAM" mode.
    The Clonezilla live USB drive has to be vFAT file system since
    it's used to boot in both uEFI and MBR mode. Hence it is not a good
    choice for image repo since vFAT file system has many restrictions.
    Better to use UUID or LABEL to assign the image repo.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 06 Apr 2025 15:57:53 +0800

clonezilla (5.9.6-drbl1) unstable; urgency=medium

  * Added new program ocs-find-live-key & updated ocs-put-log-usb
    so that it can copy the log files even when Clonezilla live USB drive is
    used in "To RAM" mode.
  * Improved the saving dialog menu and prompt.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 05 Apr 2025 16:19:59 +0800

clonezilla (5.9.5-drbl1) unstable; urgency=medium

  * Improved the mechanism to mitigate the random order of block device
    naming.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 04 Apr 2025 18:29:08 +0800

clonezilla (5.9.4-drbl1) unstable; urgency=medium

  * Added a mechanism to mitigate the random order of block devices.
    It can be enabled by adding the boot parameter "ocs_1_cpu_udev", i.e.,
    when udev is started in initramfs, only 1 CPU is online. After that, all
    CPUs will be enabled.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 04 Apr 2025 16:38:38 +0800

clonezilla (5.9.3-drbl1) unstable; urgency=medium

  * ocs-get-dev-info: bug fixed for parsing wrong fs about apfs.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 20 Mar 2025 18:55:44 +0800

clonezilla (5.9.2-drbl1) unstable; urgency=medium

  * ocs-get-dev-info: the encrypted APFS is outputted
    as different name (apfs_encrypted) otherwise
    Partclone can not handle it.
  * drbl-ocs.conf: enable btrfs support in drbl-ocs.conf
    since Partclone has been updated to 0.3.34 which supports
    btrfs v6.13.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 20 Mar 2025 11:41:01 +0800

clonezilla (5.9.1-drbl1) unstable; urgency=medium

  * Disable devices list cache mechanism since blkid is run
    too many times that makes program run slowly.
  * ocs-functions: drop function get_part_vol_name since it can be replaced by
    ocs-get-dev-info.
  * ocs-get-dev-info: compare only 3th/4th columns of /proc/partitions.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 18 Mar 2025 20:32:28 +0800

clonezilla (5.8.20-drbl1) unstable; urgency=medium

  * [Thomas Tsai]
    ocs-live-swap-kernel: add required modules in initramfs
    for ARM-based Mac.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 04 Mar 2025 21:46:36 +0800

clonezilla (5.8.19-drbl1) unstable; urgency=medium

  * nic-firmware.lst: added ath10k firmware.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 27 Feb 2025 20:47:37 +0800

clonezilla (5.8.18-drbl1) unstable; urgency=medium

  * Default to use "-1" for lz4 compression.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 18 Feb 2025 22:46:06 +0800

clonezilla (5.8.17-drbl1) unstable; urgency=medium

  * Bug fixed: lz4 option was not used correctly.
    Thanks to ottokang for reporting this issue.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 17 Feb 2025 20:51:55 +0800

clonezilla (5.8.16-drbl1) unstable; urgency=medium

  * ocs-live-swap-kernel: support both path in /usr/lib/modules and /lib/modules
    when swaping kernel modules.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 14 Feb 2025 17:56:07 +0800

clonezilla (5.8.15-drbl1) unstable; urgency=medium

  * Merge lz4 and lz4mt, use "lz4 -T0" by default. Hence the following extra_lz4* variables are dropped:
    extra_lz4_opt, extra_lz4mt_opt.
    This will be easier for user to customize that using boot parameters.
    Now only available variables for lz4 are:
    extra_lz4_opt, extra_lz4_dc_opt, extra_lz4_opt_onthefly & extra_lz4_dc_opt_onthefly.
  * S03prep-drbl-clonezilla: add lz4-related boot parameters: extra_lz4_opt, extra_lz4_dc_opt,
    extra_lz4_opt_onthefly & extra_lz4_dc_opt_onthefly

 -- Steven Shiau <steven@clonezilla.org>  Fri, 14 Feb 2025 17:51:47 +0800

clonezilla (5.8.14-drbl1) unstable; urgency=medium

  * ocs-live-swap-kernel: path for newer Linux kernel modules is
    /usr/lib/modules, not /lib/modules anymore.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 10 Feb 2025 20:46:20 +0800

clonezilla (5.8.13-drbl1) unstable; urgency=medium

  * ocs-onthefly: Let ocs-sr do the "-plu" job. Otherwise it will be
    duplicated.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 09 Feb 2025 10:15:47 +0800

clonezilla (5.8.12-drbl1) unstable; urgency=medium

  * The changes for the option "-plu" were done for ocs-sr/ocs-onthefly.
    Add a boot parameter "put_log_usb" so that "-plu" can be assigned as yes/no.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 08 Feb 2025 20:46:54 +0800

clonezilla (5.8.11-drbl1) unstable; urgency=medium

  * Replace lz4mt with "lz4 -T0" since lz4 >= 1.10 support multicores.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 06 Feb 2025 21:15:33 +0800

clonezilla (5.8.10-drbl1) unstable; urgency=medium

  * Move gen_checksums_for_img_if_assigned to task_postprocessing in
    ocs-functions.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 26 Jan 2025 21:20:10 +0800

clonezilla (5.8.9-drbl1) unstable; urgency=medium

  * ocs-live-swap-kernel: add option "-l" to umount for
    kernel pseudo-filesystem: squashfs-root/{dev,proc,sys,run}
    This will avoid the efivarfs is busy as
    squashfs-root/sys/firmware/efi/efivars.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 16 Jan 2025 19:53:22 +0800

clonezilla (5.8.8-drbl1) unstable; urgency=medium

  * Add an option in expert mode (-plu) so that user can
    copy clonezilla-related log files to Clonezilla live
    USB drive.A new file ocs-put-log-usb is used to copy
    log files to Clonezilla live USB drive.
  * Use $ocs_log_dir (/var/log/clonezilla/) as log dir. All the
    Clonezilla-related log files will be under that dir.
    Bug fixed: wrong total number for chosen checksum method.
    Thanks to barkoder.
    Ref: https://github.com/stevenshiau/clonezilla/issues/127#issuecomment-2587011681

 -- Steven Shiau <steven@clonezilla.org>  Tue, 14 Jan 2025 20:25:39 +0800

clonezilla (5.8.7-drbl1) unstable; urgency=medium

  * Fixed the wrong format of live info in grub menu.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 06 Jan 2025 07:47:37 +0800

clonezilla (5.8.6-drbl1) unstable; urgency=medium

  * Format the output of live system ifno in grub menu.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 05 Jan 2025 22:01:58 +0800

clonezilla (5.8.5-drbl1) unstable; urgency=medium

  * Add time tag in grub boot menu for live system.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 05 Jan 2025 15:23:51 +0800

clonezilla (5.8.4-drbl1) unstable; urgency=medium

  * Improve the outputs and prompts about checksum messages in
    check_checksums_for_img of ocs-functions.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 05 Jan 2025 14:19:35 +0800

clonezilla (5.8.3-drbl1) unstable; urgency=medium

  * Keep the partition size for "Apple Boot partition (recovery HD)".
    Thanks to Ryan Carsten Schmidt for this suggestion.
    Ref: https://sourceforge.net/p/clonezilla/bugs/425/
  * Update some comments and prompts in ocs-expand-gpt-pt.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 04 Jan 2025 15:40:11 +0800

clonezilla (5.8.2-drbl1) unstable; urgency=medium

  * Restored to use the fail-mbr.bin from package drbl, not from partclone
    since it will be dropped in the future.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 01 Jan 2025 15:07:46 +0800

clonezilla (5.8.1-drbl1) unstable; urgency=medium

  * Disable btrfs support since partclone does not support it well.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 29 Dec 2024 09:10:15 +0800

clonezilla (5.7.12-drbl2) unstable; urgency=medium

  * Update control file for packaging. 

 -- Steven Shiau <steven@clonezilla.org>  Fri, 13 Dec 2024 11:41:25 +0800

clonezilla (5.7.12-drbl1) unstable; urgency=medium

  * Bug fixed: an extra "-" file was created when inspecting the checksums
    of files in a file system.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 13 Dec 2024 11:25:10 +0800

clonezilla (5.7.11-drbl1) unstable; urgency=medium

  * Improve the checksums mechanism for Clonezilla image. Make it read once
    and pass to multiple checksum programs.
    Thanks to barkoder.
    Ref: https://github.com/stevenshiau/clonezilla/issues/127

 -- Steven Shiau <steven@clonezilla.org>  Wed, 11 Dec 2024 23:01:11 +0800

clonezilla (5.7.10-drbl1) unstable; urgency=medium

  * Improve the checksum creation for LV and interactive mode.
    Do not wait for input from stdin otherwise it will skip the rest of device in
    dev-fs.list. Skip file checksum creation about Linux swap &
    MS_Reserved_Partition partitions.
  * Improve the checksum inspection mechanism. Make the log file in a
    directory to avoid confusion.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 08 Dec 2024 12:41:01 +0800

clonezilla (5.7.9-drbl1) unstable; urgency=medium

  * Generate the checksums of files in a file system in batch mode, not
    right after the image of device is saved.
    Thanks to barkoder for asking this.
    Ref: https://github.com/stevenshiau/clonezilla/issues/126

 -- Steven Shiau <steven@clonezilla.org>  Sat, 07 Dec 2024 14:29:02 +0800

clonezilla (5.7.8-drbl1) unstable; urgency=medium

  * A workdaround to avoid grub has no video output on some systems
    Ref: https://savannah.gnu.org/bugs/?65503#comment2
    https://sourceforge.net/p/clonezilla/bugs/424/
    Thanks to Fab Stz.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Nov 2024 07:52:21 +0800

clonezilla (5.7.7-drbl1) unstable; urgency=medium

  * The files create-(debian|ubuntu|gparted)-live:
    A workaround to run bootstrap "debootstrap". Not always using mmdebstrap.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 08 Nov 2024 11:21:00 +0800

clonezilla (5.7.6-drbl1) unstable; urgency=medium

  * Arch riscv64 support are added to more ocs files.
  * The dirs syslinux and utils in live system are
    only for x86, not for arm64 and riscv64.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 04 Nov 2024 18:40:13 +0800

clonezilla (5.7.5-drbl1) unstable; urgency=medium

  * ocs-iso/ocs-live-dev: fit the riscv64 linux kernel name vmlinux-*, not
    vmlinuz-*.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 03 Nov 2024 16:10:58 +0800

clonezilla (5.7.4-drbl1) unstable; urgency=medium

  * ocs-iso/ocs-live-dev: add supporting riscv64 arch.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 03 Nov 2024 14:33:22 +0800

clonezilla (5.7.3-drbl1) unstable; urgency=medium

  * Improved creating riscv64 live system.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 02 Nov 2024 23:10:24 +0800

clonezilla (5.7.2-drbl1) unstable; urgency=medium

  * create-debian-live: support creating live system for riscv64 arch.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 31 Oct 2024 15:10:22 +0800

clonezilla (5.7.1-drbl1) unstable; urgency=medium

  * create-ubuntu-live: Support creating Plucky-based Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 29 Oct 2024 09:42:33 +0800

clonezilla (5.6.23-drbl1) unstable; urgency=medium

  * ocs-live-feed-img: missing -edio option.
    Thanks to Sainthol.
    https://sourceforge.net/p/clonezilla/discussion/Help/thread/dede4020e7/?limit=25#a008
  * Typo fixed. Thanks to Rachad-Alabi-ADEKAMBI.
    Ref: https://github.com/stevenshiau/clonezilla/pull/125

 -- Steven Shiau <steven@clonezilla.org>  Thu, 10 Oct 2024 14:17:09 +0800

clonezilla (5.6.22-drbl1) unstable; urgency=medium

  * Replace reboot with "systemctl -f reboot" so that root over NFS won't
    hang when rebooting. Same for poweroff command.
    The option HALT_REBOOT_OPT is set as "-f" in drbl-ocs.conf.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 02 Oct 2024 23:02:55 +0800

clonezilla (5.6.21-drbl1) unstable; urgency=medium

  * clonezilla: add missing option "-n" in the usage.
    Thanks to tim-cyb for reporting this.
    Ref: https://github.com/stevenshiau/clonezilla/issues/119

 -- Steven Shiau <steven@clonezilla.org>  Sat, 28 Sep 2024 12:52:34 +0800

clonezilla (5.6.20-drbl1) unstable; urgency=medium

  * Remove sudo when halting & rebooting in the GParted live menu since it is
    not necessary and the GUI won't start.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 28 Sep 2024 09:51:30 +0800

clonezilla (5.6.19-drbl1) unstable; urgency=medium

  * Output more info in the clonezilla log file.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 19 Sep 2024 20:20:54 +0800

clonezilla (5.6.18-drbl1) unstable; urgency=medium

  * ocs-scan-disk: use lsblk so the codes is neater. The block device with
    file system (e.g., sda has ntfs file system) can be correctly shown now.
    Ref: https://github.com/stevenshiau/clonezilla/issues/67

 -- Steven Shiau <steven@clonezilla.org>  Sun, 08 Sep 2024 11:15:32 +0800

clonezilla (5.6.17-drbl1) unstable; urgency=medium

  * Batch mode did not just quit when failing to restore a partition.
    Thanks to Ron for reporting this.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/07b08bf1e4/?limit=25#4637/b907
  * Merged zstd and zstdmt, use "zstd -T0" by default. Hence the following extra_zstdmt_* variables are dropped:
    extra_zstdmt_opt, extra_zstdmt_dc_opt, extra_zstdmt_opt_onthefly & extra_zstdmt_dc_opt_onthefly.
    This will be easier for user to customize that using boot parameters.
    Now only available variables for zstd are:
    extra_zstd_opt, extra_zstd_dc_opt, extra_zstd_opt_onthefly & extra_zstd_dc_opt_onthefly.
    Thanks to trfl for asking.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/27e0b4559d/?limit=25#0d85/99ae

 -- Steven Shiau <steven@clonezilla.org>  Thu, 05 Sep 2024 20:09:12 +0800

clonezilla (5.6.16-drbl1) unstable; urgency=medium

  * Make 1st-disk skip mounted disk. Thanks to trfl.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/27e0b4559d/
  * Bug fixed: OOM issue about checksums of all files
    The feature to verify checksums of all files inside the restored
    filesystems may OOM because it produces a very large logfile in
    ramdisk. Fix: filter the log to only include failed files
    Thanks to trfl.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/27e0b4559d/
  * ocs-onthefly: -j2 and -e2 should not be on when running ocs-sr. It
    should be assigned by user.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/b3ce8cfeb0/

 -- Steven Shiau <steven@clonezilla.org>  Fri, 30 Aug 2024 23:06:07 +0800

clonezilla (5.6.15-drbl1) unstable; urgency=medium

  * live-build >= 1:20240810 does not generated
    /EFI/boot/bootia32.efi for amd64 distribution. Corresponding changes
    for create-gparted-live, ocs-iso & ocs-live-dev were done.
  * create-gparted-live: polkitd & pkexec have replaced policykit-1 in
    Debian Sid repo.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 23 Aug 2024 15:43:06 +0800

clonezilla (5.6.14-drbl1) unstable; urgency=medium

  *  Allow "%" in the autoname format of image name in TUI when saving an image.
     Thanks to Batiste DONDOGLIO for reporting this.
     Ref: https://sourceforge.net/p/clonezilla/discussion/Help/thread/1063f63aa9/

 -- Steven Shiau <steven@clonezilla.org>  Tue, 06 Aug 2024 20:25:54 +0800

clonezilla (5.6.13-drbl1) unstable; urgency=medium

  * Replace the command to clean super blocks of fakeraid.
    Use mdadm, no more using dmraid since dmraid is not maintained anymore.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 15 Jul 2024 17:18:56 +0800

clonezilla (5.6.12-drbl1) unstable; urgency=medium

  * A workaround to solve LUKS+CIFS+Encrypt issue.
    There is an issue for a combination of the source disk being LUKS,
    the image repo being SMB share, and choosing to encrypt the saved image.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/67c5389b20/

 -- Steven Shiau <steven@clonezilla.org>  Thu, 11 Jul 2024 16:10:05 +0800

clonezilla (5.6.11-drbl1) unstable; urgency=medium

  * ocs-resize-part: add option "-f" for fatresize in batch mode.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 09 Jul 2024 10:54:05 +0800

clonezilla (5.6.10-drbl1) unstable; urgency=medium

  * get-latest-ocs-live-ver: add "-V" for sort since we need to have version
    sorting.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 29 Jun 2024 16:09:54 +0800

clonezilla (5.6.9-drbl1) unstable; urgency=medium

  * Bug fixed: ocs-onthefly failing in local part cloning in command line mode, while
    interactive mode works.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/f2b2b8aa7c/

 -- Steven Shiau <steven@clonezilla.org>  Sun, 09 Jun 2024 12:08:02 +0800

clonezilla (5.6.8-drbl1) unstable; urgency=medium

  * gl-screenshot: image preview w/o assigning size

 -- Steven Shiau <steven@clonezilla.org>  Wed, 05 Jun 2024 10:10:18 +0800

clonezilla (5.6.7-drbl1) unstable; urgency=medium

  * Removed thin-provisioning-tools in the packages list for GParted live
    since it's not available in Debian repo anymore.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 05 Jun 2024 08:33:47 +0800

clonezilla (5.6.6-drbl1) unstable; urgency=medium

  * Force to use zenity as the dialog in GParted live's program gl-screenshot.
    No more using gdialog or Xdialog since they are not available in Debian
    repo.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 04 Jun 2024 20:36:12 +0800

clonezilla (5.6.5-drbl1) unstable; urgency=medium

  * Support zst kernel module and firmware name when exacting NIC firmware.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/3ef47e6fbe/

 -- Steven Shiau <steven@clonezilla.org>  Tue, 28 May 2024 22:35:03 +0800

clonezilla (5.6.4-drbl1) unstable; urgency=medium

  * Set a bigger scrollback for screen in live system.
    It's easier to debug.
  * Support oracular, drop lunar in create-ubuntu-live.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 12 May 2024 17:33:58 +0800

clonezilla (5.6.3-drbl1) unstable; urgency=medium

  * Add missing function USAGE in ocs-live-nicbonding.
  * Fixed: ocs_nic_type was not exported so that ocs-live-nicbonding failed
    to run in ocs-live-netcfg.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 11 May 2024 05:29:39 +0800

clonezilla (5.6.2-drbl1) unstable; urgency=medium

  * create-gparted-live: remove deborphan in packages list.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Apr 2024 22:19:23 +0800

clonezilla (5.6.1-drbl1) unstable; urgency=medium

  * fix: only rotating file when it exists.
  * Prompt about spawned by server (DRBL or Clonezilla lite server) is updated.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 Apr 2024 20:21:12 +0800

clonezilla (5.5.33-drbl1) unstable; urgency=medium

  * New format messages sending to ocsmgrd. A comma (,) is
    used to separate the messages.
  * Rotate log files & receive new format messages from clients.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 Apr 2024 17:30:50 +0800

clonezilla (5.5.32-drbl1) unstable; urgency=medium

  * fix: not message was sent to ocsmgrd in BT mode.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 27 Mar 2024 22:47:49 +0800

clonezilla (5.5.31-drbl1) unstable; urgency=medium

  * ocs-functions: update disable_sudo_use_pty,
    negate it explicitly, not just comment it.
    This should avoid distortion of gpm with jfbterm.
    Thanks to ottokang for reporting this issue.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 16 Mar 2024 20:56:03 +0800

clonezilla (5.5.30-drbl1) unstable; urgency=medium

  * create-*live: add option -bt so that bootstrap program (debootstrap or
    mmdebstrap) can be assigned.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 13 Mar 2024 19:20:14 +0800

clonezilla (5.5.29-drbl1) unstable; urgency=medium

  * drbl-ocs.conf: add the variable mmdebstrap_ver_required

 -- Steven Shiau <steven@clonezilla.org>  Wed, 13 Mar 2024 11:46:03 +0800

clonezilla (5.5.28-drbl1) unstable; urgency=medium

  * create-ubuntu-live: include apt in debootstrap option
    so that mmdebstrap will work.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 13 Mar 2024 07:33:24 +0800

clonezilla (5.5.27-drbl1) unstable; urgency=medium

  * Do not remove orphan packages when creating live system
    since some are required.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 12 Mar 2024 22:20:24 +0800

clonezilla (5.5.26-drbl1) unstable; urgency=medium

  * Do not run disable_apt_lang_translation in create-*-live. It's not
    required and will hinder mmdebstrap.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 12 Mar 2024 18:32:16 +0800

clonezilla (5.5.25-drbl1) unstable; urgency=medium

  * Removed "ip=" from boot parameters.
    Thanks to Robert Spitzenpfeil for mentioning that.
    Ref: https://sourceforge.net/p/clonezilla/bugs/415/

 -- Steven Shiau <steven@clonezilla.org>  Sat, 02 Mar 2024 15:05:34 +0800

clonezilla (5.5.24-drbl1) unstable; urgency=medium

  * Applied Helmut Grohne's patch.
    Thanks to Georges Khaznadar, too.
    Ref: https://bugs.debian.org/1064450
  * Updated packaging files from Debian. Thanks to Georges Khaznadar.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 28 Feb 2024 15:17:33 +0800

clonezilla (5.5.23-drbl1) unstable; urgency=medium

  * Make get_latest_kernel_ver_in_repository work for Debian and Ubuntu
    kernel package naming, i.e., all of these should be OK:
    linux-image-6.5.0-5-amd64, linux-image-6.6.9-amd64, linux-image-6.5.0-9-generic.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 03 Jan 2024 20:22:41 +0800

clonezilla (5.5.22-drbl1) unstable; urgency=medium

  * Improved the function get_latest_kernel_ver_in_repository of
    ocs-functions to get the correct version number for new naming of Debian
    linux kernel package name, i.e., less "-" in new format, e.g.,
    linux-image-6.5.0-5-amd64 -> linux-image-6.6.9-amd64

 -- Steven Shiau <steven@clonezilla.org>  Wed, 03 Jan 2024 19:20:04 +0800

clonezilla (5.5.21-drbl1) unstable; urgency=medium

  * Update function get_latest_kernel_ver_in_repository of ocs-functions,
    exclude some unwanted kernel, e.g., -rt-amd64.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 03 Jan 2024 15:46:51 +0800

clonezilla (5.5.20-drbl1) unstable; urgency=medium

  * The netboot files will be modified at stopping when the client is
    using netboot.
  * Show Clonezilla live version in grub netboot in the lite client.
  * Show the massive deployment mode in the boot menu of netboot clients.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 18 Dec 2023 18:23:43 +0800

clonezilla (5.5.19-drbl1) unstable; urgency=medium

  * A better mechanism learned from newer Debian to load unifont in Debian.
    This should solve the issue blocked by grub security policy when loading
    fonts.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 14 Dec 2023 15:14:27 +0800

clonezilla (5.5.18-drbl2) unstable; urgency=medium

  * Removed dmraid from requirements. It does not exist in Debian Sid anymore. 
    Ref: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=864423

 -- Steven Shiau <steven@clonezilla.org>  Mon, 04 Dec 2023 20:56:59 +0800

clonezilla (5.5.18-drbl1) unstable; urgency=medium

  * ocs-ezio-leecher: Use Ezio simple output mode when the terminal is
    smaller than 80x24.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 04 Dec 2023 20:42:46 +0800

clonezilla (5.5.17-drbl1) unstable; urgency=medium

  * ocs-prep-cache: fixed testing wrong file name.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 25 Nov 2023 11:39:18 +0800

clonezilla (5.5.16-drbl1) unstable; urgency=medium

  * create-ubuntu-live: support Noble, retired Kinetic.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 07 Nov 2023 11:07:26 +0800

clonezilla (5.5.15-drbl1) unstable; urgency=medium

  * Support an extra dir "root" for the root fs with grub reinstallation.
    This is for the case that Fedora >= 38 uses an extra dir "root"
    for root file system, i.e., /root/ under the root partition. 
    Older system just puts the dirs (boot, usr, var, lib) in the / of root file system.
    Thanks to Bob Bobsled for reporting this issue.
    Ref: https://sourceforge.net/p/clonezilla/mailman/message/42287717/

 -- Steven Shiau <steven@clonezilla.org>  Thu, 02 Nov 2023 14:50:09 +0800

clonezilla (5.5.14-drbl1) unstable; urgency=medium

  * create-ubuntu-live: bug fixed. Append "(-|$)" after linux modules version.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 30 Oct 2023 20:08:11 +0800

clonezilla (5.5.13-drbl1) unstable; urgency=medium

  * create-ubuntu-live: bug fixed. Append "-" after linux modules version.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 30 Oct 2023 18:38:38 +0800

clonezilla (5.5.12-drbl1) unstable; urgency=medium

  * Separate the direct IO options for reading and writing NVMe SSD.
  * Add the option "-edio" to enable direct IO when using Partclone to save or
    restore NVMe SSD.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 05 Oct 2023 20:16:21 +0800

clonezilla (5.5.11-drbl1) unstable; urgency=medium

  * Only NVMe SSD will use --direct-io of Partclone.
    The --direct-io of Partclone for partition to partition cloning is
    implemented.
  * ocs-park-disks: only park HDD, not SSD.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 30 Sep 2023 13:47:47 +0800

clonezilla (5.5.10-drbl1) unstable; urgency=medium

  * Add the mechanism to use direct IO for partclone if the destination disk
    is NVMe/SSD.
  * ocs-resize-part: workaround to avoid fatresize bug.
    A workaround to avoid fatresize 1.1.0 bug. We do not extend it to the boundary.
    Just try to resize it smaller.
    Ref: https://github.com/ya-mouse/fatresize/issues/18

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Sep 2023 15:45:50 +0800

clonezilla (5.5.9-drbl1) unstable; urgency=medium

  * Since grub commands "linux/initrd" works for uEFI boot,
    no matter it's secure boot or not. Just use them,
    not using linuxefi/initrdefi.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 18 Aug 2023 10:40:02 +0800

clonezilla (5.5.8-drbl1) unstable; urgency=medium

  * ocs-prep-cache: improved the device cache mechanism so that a whole disk
    with LV/LUKS will be used correctly.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 12 Aug 2023 11:17:03 +0800

clonezilla (5.5.7-drbl1) unstable; urgency=medium

  * Log more info about local LV cloning.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 07 Aug 2023 12:21:44 +0800

clonezilla (5.5.6-drbl1) unstable; urgency=medium

  * Bug fixed: cloning paritition loop for multiple LVs. 
    Thanks for all the bug reporters.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/f6a7e860c9

 -- Steven Shiau <steven@clonezilla.org>  Sun, 06 Aug 2023 10:59:17 +0800

clonezilla (5.5.5-drbl1) unstable; urgency=medium

  * Improved the mechanism for the reserved word name "all" when in the
    restoredisk/restoreparts mode. The reserved name "unmounted_disk" and
    "unmounted_parts" for restoredisk and restoreparts modes were added,
    respectively.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 01 Aug 2023 17:10:27 +0800

clonezilla (5.5.4-drbl1) unstable; urgency=medium

  * Separate the stdout and stderr of ezio to different log files in
    ocs-ezio-seeder and ocs-ezio-leecher.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 29 Jul 2023 17:33:16 +0800

clonezilla (5.5.3-drbl1) unstable; urgency=medium

  * Better mechanism to kill ocs related services when stopping drbl-ocs or
    ocs-live-feed-img.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 28 Jul 2023 10:03:46 +0800

clonezilla (5.5.2-drbl1) unstable; urgency=medium

  * stop_ocs_service: only kill the process older than 30 secs.
  * gparted-live-hook: use root:root in chown, not root.root.
  * ocs-ezio-seeder: wait for 2 secs instead of 0.5 secs
    after starting ezio process.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 27 Jul 2023 20:24:58 +0800

clonezilla (5.5.1-drbl1) unstable; urgency=medium

  * Add the mechanism for multicast deployment from raw devices.
    Note:
    The options -bdt and -bsdf of ocs-live-feed-img are deprecated. They
    are replaced by -cdt and -csdf, it means cast (including bittorrent
    and multicast), not only for bittorrent only.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 21 Jul 2023 16:30:18 +0800

clonezilla (5.4.12-drbl1) unstable; urgency=medium

  * Improved the start/stop mechanism of ezio process.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 13 Jul 2023 16:18:46 +0800

clonezilla (5.4.11-drbl1) unstable; urgency=medium

  * ocs-live-feed-img: implement options -ssnf & -iui.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/416d0fe630/
  * Allow bt_restoredisk mode to restore image to different device name.
    However, ezio has to be improved so that the display device name can be
    from save_path, not torrent name.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/09d819bcbf/?limit=25#e267/46b4
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/70b7ca6263/?limit=25#2d08

 -- Steven Shiau <steven@clonezilla.org>  Thu, 06 Jul 2023 09:43:33 +0800

clonezilla (5.4.10-drbl1) unstable; urgency=medium

  * ocs-functions: add function get_disk_id_path and show disk ID path in
    the disk info.
  * ocs-scan-disk: show disk ID path in the disk info.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 28 Jun 2023 20:30:48 +0800

clonezilla (5.4.9-drbl1) unstable; urgency=medium

  * S03prep-drbl-clonezilla: parse ocs_screen_blank.
    When ocs_screen_blank="no" is assigned in the boot parameters,
    screen_not_blank won't run.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 08 Jun 2023 20:29:43 +0800

clonezilla (5.4.8-drbl1) unstable; urgency=medium

  * ocs-live-boot-menu: Add comment "memtest86+ia32.bin -> mt86+x32.mbr".

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 May 2023 19:49:44 +0800

clonezilla (5.4.7-drbl1) unstable; urgency=medium

  * Allow choosing NIC in lite server mode when multiple network cards exist.
    Thanks to Date Huang and Nate Carr for asking this.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/6fedbfd6c3

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 May 2023 09:44:51 +0800

clonezilla (5.4.6-drbl1) unstable; urgency=medium

  * create-ubuntu-live: add v86d in runtime when creating.
    Since Ubuntu >= 23.04 removed v86d, we will add v86d in runtime.
    This is not done in Debian-based as v86d is still in Debian repository.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 13 Apr 2023 06:05:57 +0800

clonezilla (5.4.5-drbl1) unstable; urgency=medium

  * ocs-cvtimg-comp:
    Suppress the syntax error about size when dd image is converted.
    Rename the existing destination image name if it exists.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Help/thread/e182121ea0

 -- Steven Shiau <steven@clonezilla.org>  Tue, 28 Mar 2023 13:50:31 +0800

clonezilla (5.4.4-drbl1) unstable; urgency=medium

  * If block dev has a file system found in the image when restoring,
    treat it as a partition.
  * ocs-onthefly: disable devices list cache mechanism if /dev/md* exists.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 19 Mar 2023 19:51:57 +0800

clonezilla (5.4.3-drbl1) unstable; urgency=medium

  * ocs-sr: if /dev/md* exists, list both disk and parts in TUI, and disable
    devices list cache mechanism.
  * Bug fixed: devices list cache failed to disabled.
    If use_dev_list_cache is set as no, then check_if_use_disklist_cache and
    check_if_use_partlist_cache in ocs-functions should not create any cache
    info.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 18 Mar 2023 15:33:51 +0800

clonezilla (5.4.2-drbl1) unstable; urgency=medium

  * Functions check_if_disk_busy and is_partition of ocs-functions were improved.
    Fake/firmware RAID support should be improved.
    Thanks to Michael McGrath.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/8627eabf99/?limit=25&page=1#9b16/b174

 -- Steven Shiau <steven@clonezilla.org>  Thu, 16 Mar 2023 13:17:01 +0800

clonezilla (5.4.1-drbl1) unstable; urgency=medium

  * Add option "-K" (--ignoreactivationskip) to vgchange so that snapshots
    can be dealed with. Thanks to Felipe Piero Benjamin Solari Agüela
    (fsolari _at_ pucp.edu.pe) for suggesting this.
  * Removed the stale workaround for Ubuntu DNS.
    Do not link /etc/resolv.conf to ../run/systemd/resolve/stub-resolv.conf.
    Ref:
    https://sourceforge.net/p/clonezilla/bugs/404/
    https://github.com/stevenshiau/clonezilla/issues/87
  * Set allow_disk_with_fs as yes in the function check_input_partition of
    ocs-functions.
    This makes ocs-prep-cache to be the same behaviors as that in ocs-sr
    and ocs-onthelfy. The should make /dev/md127 to be shown in the TUI when
    restoring partitions.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/8627eabf99/?limit=25&page=1#9b16/b174

 -- Steven Shiau <steven@clonezilla.org>  Tue, 14 Mar 2023 22:45:58 +0800

clonezilla (5.4.0-drbl1) unstable; urgency=medium

  * Update programs to work with ezio v2.0. 
  * Remove extra "stop" in parameters when stopping lighttpd.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 21 Feb 2023 15:21:10 +0800

clonezilla (5.3.17-drbl1) unstable; urgency=medium

  * Bugs fixed: 
    (1) Failed to dump raw data if dd mode is forced when saving.
    (2) Duplicated codes about restoring swap image were removed.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 27 Jan 2023 16:53:51 +0800

clonezilla (5.3.16-drbl1) unstable; urgency=medium

  * Add function to_ocs_dev_img_name to better deal with device-related
    image name. The LUKS device, classic device, and LVM device names
    can be process better now.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 26 Jan 2023 21:42:04 +0800

clonezilla (5.3.15-drbl1) unstable; urgency=medium

  * The swap partition is shown in the saveparts dialog menu.
  * Swap partition can be saved in two modes: only keep UUID/label or
    dumped by dd. A better mechanism is implemented to deal with these two
    scenarios.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 25 Jan 2023 21:31:52 +0800

clonezilla (5.3.14-drbl1) unstable; urgency=medium

  * Put Clonezilla live version and related packages info in clonezilla.log
    when ocs-sr or ocs-onthelfy is run.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 24 Jan 2023 19:37:35 +0800

clonezilla (5.3.13-drbl1) unstable; urgency=medium

  * Instead of bailing out in error when failing to open LUKS device,
    an option was provided to use dd mode to save LUKS device.
    Thanks to Swâmi Petaramesh for suggesting that.
    Ref: https://sourceforge.net/p/clonezilla/bugs/402/

 -- Steven Shiau <steven@clonezilla.org>  Tue, 24 Jan 2023 18:44:24 +0800

clonezilla (5.3.12-drbl2) unstable; urgency=medium

  * Bug fixed: option -fsck-y failed to run.
    Thanks to Dupuis for reporting this.
    Ref: https://sourceforge.net/p/clonezilla/bugs/401/

 -- Steven Shiau <steven@clonezilla.org>  Mon, 23 Jan 2023 21:35:02 +0800

clonezilla (5.3.11-drbl1) unstable; urgency=medium

  * Exclude kdump and rescue initrams when seeking cryttab.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 23 Jan 2023 20:22:46 +0800

clonezilla (5.3.10-drbl1) unstable; urgency=medium

  * ocs-chkimg: check the LUKS swap device info instead of dd image.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 23 Jan 2023 14:44:04 +0800

clonezilla (5.3.9-drbl1) unstable; urgency=medium

  * LUKS swap device should keep UUID and label only, not using dd mode.
    Thanks to Swâmi Petaramesh for reporting this.
    Ref: https://sourceforge.net/p/clonezilla/bugs/400/

 -- Steven Shiau <steven@clonezilla.org>  Mon, 23 Jan 2023 09:57:47 +0800

clonezilla (5.3.8-drbl1) unstable; urgency=medium

  * Improve get_luks_mapped_dev_name_from_os of ocs-functions. Support more
    device format in crypttab.
  * ocs-get-dev-info: support querying label

 -- Steven Shiau <steven@clonezilla.org>  Wed, 18 Jan 2023 11:22:46 +0800

clonezilla (5.3.7-drbl1) unstable; urgency=medium

  * Try to get the Clonezilla live version no. in /live/ first.
    Thanks to Swâmi Petaramesh.
  * Bug fixe: The LUKS devices in crypttab of initramfs can be more than 1.
    Thanks to Swâmi Petaramesh.
    Ref: https://sourceforge.net/p/clonezilla/bugs/397/

 -- Steven Shiau <steven@clonezilla.org>  Thu, 12 Jan 2023 08:43:56 +0800

clonezilla (5.3.6-drbl1) unstable; urgency=medium

  * Support mkinitcpio in updating initramfs mechanism.
    This is for restoring Arch/Manjaro Linux.
  * Add linking LUKS image file, not copying it.
    Thanks to Stephen Hawes for reporting this issue.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/8757c20ada/

 -- Steven Shiau <steven@clonezilla.org>  Mon, 09 Jan 2023 22:53:25 +0800

clonezilla (5.3.5-drbl1) unstable; urgency=medium

  * Add program ocs-live-ver to show clonezilla live version. 

 -- Steven Shiau <steven@clonezilla.org>  Sun, 08 Jan 2023 22:39:18 +0800

clonezilla (5.3.4-drbl1) unstable; urgency=medium

  * Improved LUKS mechanism to support multiple LUKS devices.
    Thanks to Swâmi Petaramesh for reporting this issue.
    Ref: https://sourceforge.net/p/clonezilla/bugs/397/

 -- Steven Shiau <steven@clonezilla.org>  Sun, 08 Jan 2023 11:51:47 +0800

clonezilla (5.3.3-drbl1) unstable; urgency=medium

  * By default the opentracker service is disabled in Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 30 Dec 2022 10:27:52 +0800

clonezilla (5.3.2-drbl1) unstable; urgency=medium

  * Replace ocs-bttrack with opentracker since python2 is not available in
    Debian Sid anymore.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 30 Dec 2022 08:57:23 +0800

clonezilla (5.3.1-drbl1) unstable; urgency=medium

  * ocs-live-boot-menu: wrong path to test file if mt86+x64.efi exists or
    not.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 27 Nov 2022 19:35:06 +0800

clonezilla (5.3.0-drbl1) unstable; urgency=medium

  * Support memtest86+ v6 naming & mechanism.
    Memtest86+ v6.00 now supports legacy BIOS and uEFI booting.
    Both x86 and x86-64 are supported, too. In DRBL/Clonezilla
    we use shorter file name so that it works in FAT file system:
    memtest86+.bin -> mt86+x32.mbr
    memtest86+x32.bin -> mt86+x32.mbr
    memtest86+x32.efi -> mt86+x32.efi
    memtest86+x64.bin -> mt86+x64.mbr
    memtest86+x64.efi -> mt86+x64.efi

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Nov 2022 14:27:55 +0800

clonezilla (5.2.7-drbl1) unstable; urgency=medium

  * Use OWNER:GROUP, not OWNER.GROUP in chown command

 -- Steven Shiau <steven@clonezilla.org>  Fri, 28 Oct 2022 18:15:06 +0800

clonezilla (5.2.6-drbl1) unstable; urgency=medium

  * Add device to partclone log file name and rotate it,
    not overwrite it.
  * Move "set timeout" to the head of grub.cfg.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 13 Oct 2022 16:03:39 +0800

clonezilla (5.2.5-drbl1) unstable; urgency=medium

  * Add options -k0/-k1 in the beginner mode of ocs-onthefly.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 27 Sep 2022 20:34:17 +0800

clonezilla (5.2.4-drbl1) unstable; urgency=medium

  * Replace "\/" as "/" in grep pattern to avoid grep >= 3.8
    showing warnings.
  * The command egrep was replaced by "grep -E", and fgrep was replaced by
    "grep -F" to avoid grep >= 3.8 showing warnings.
  * Add authentication example for grub config file.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 12 Sep 2022 20:13:09 +0800

clonezilla (5.2.3-drbl1) unstable; urgency=medium

  * Disable glances service in live system.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 24 Aug 2022 14:26:04 +0800

clonezilla (5.2.2-drbl1) unstable; urgency=medium

  * /etc/default/espeakup has changed its variable, so modify default_voice
    instead of VOICE.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 09 Jul 2022 22:34:46 +0800

clonezilla (5.2.1-drbl1) unstable; urgency=medium

  * Disable ufw service when making live system.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 05 Jul 2022 14:30:08 +0800

clonezilla (5.1.12-drbl1) unstable; urgency=medium

  * Do not let sudo to spawn pseudo-terminal when running a job. Otherwise
    ocs-live-run-menu will be run twice, and it will make the console weird.
    Ref: https://groups.google.com/g/ocs-clonezilla/c/tB93Vjz9CVw
    Thanks to ottokang for reporting this bug.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 12 Jun 2022 16:51:08 +0800

clonezilla (5.1.11-drbl1) unstable; urgency=medium

  * Add image size info file (Info-img-size.txt) in the image dir.
  * Replace buggy /usr/share/terminfo/j/jfbterm from ncurses-term.
    Thanks to ottokang for reporting this bug.
  * Add more options in boot parameters to be parsed, including:
    extra_pbzip2_opt, extra_lbzip2_opt, extra_plzip_opt, extra_lz4mt_opt,
    and extra_xz_opt.
    Thanks to ottokang for this request.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 12 Jun 2022 12:46:45 +0800

clonezilla (5.1.10-drbl1) unstable; urgency=medium

  * Add extra_pigz_opt extra_zstdmt_opt to be parsed in boot parameters.
    This will be easier for user to customized.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 06 Jun 2022 10:34:08 +0800

clonezilla (5.1.9-drbl1) unstable; urgency=medium

  * The option --rsyncable of zstd causes bad performance.
    It can be 5 times slower
    for v1.4.x, and worse for v1.5.2.
    Hence by default we do not use it.
    Ref: https://github.com/facebook/zstd/issues/3150

 -- Steven Shiau <steven@clonezilla.org>  Sat, 04 Jun 2022 15:01:51 +0800

clonezilla (5.1.8-drbl1) unstable; urgency=medium

  * ocs-live-swap-kernel: update-intitramfs needs /boot/config-$ver, so add
    it before running it.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 31 May 2022 18:59:11 +0800

clonezilla (5.1.7-drbl1) unstable; urgency=medium

  * ask_nic_dev of ocs-functions: more flexible method to get NIC names.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/6026cbd187/

 -- Steven Shiau <steven@clonezilla.org>  Thu, 26 May 2022 21:50:14 +0800

clonezilla (5.1.6-drbl1) unstable; urgency=medium

  * Update ocs-memtester, make RAM size more readable
  * ocs-live-feed-img: corresponding changes due to the modification in
    set_drbl_ocs_extra_param.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 26 May 2022 08:38:27 +0800

clonezilla (5.1.5-drbl1) unstable; urgency=medium

  * create-ubuntu-live: update distribution name/arch.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 22 May 2022 16:36:37 +0800

clonezilla (5.1.4-drbl1) unstable; urgency=medium

  * Bug fixed: recovery iso/zip failed due to output file is not assigned
    in create_clonezilla_live_recovery_iso_zip of ocs-sr.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 22 May 2022 16:18:36 +0800

clonezilla (5.1.3-drbl1) unstable; urgency=medium

  * create-ubuntu-live: drop support for hirsute, add support kinetic

 -- Steven Shiau <steven@clonezilla.org>  Thu, 12 May 2022 11:30:12 +0800

clonezilla (5.1.2-drbl1) unstable; urgency=medium

  * ocs-sr: add an option "-luks" so that opening LUKS or not
    can be assigned in the command line prompt.
  * ocs-onthefly: force to use "-luks no" so that LUKS device
    can be cloned.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 10 May 2022 10:35:54 +0800

clonezilla (5.1.1-drbl1) unstable; urgency=medium

  * Add a prompt to decide if opening LUKS dev or not.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 02 May 2022 10:46:40 +0800

clonezilla (5.1.0-drbl1) unstable; urgency=medium

  * New feature: initial APFS support.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Apr 2022 05:45:25 +0800

clonezilla (5.0.12-drbl1) unstable; urgency=medium

  * ocs-iso/ocs-live-dev: check_if_in_netboot_env should be in the live env
    after booting, not in the mode that downloaded live media exists.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Apr 2022 18:56:49 +0800

clonezilla (5.0.11-drbl1) unstable; urgency=medium

  * Show the prompt that ocs-iso/ocs-live-dev can not be run in
    netboot env.
    Thanks to Constantino Michailidis.
    Ref: https://sourceforge.net/p/clonezilla/patches/19/

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Apr 2022 17:16:48 +0800

clonezilla (5.0.10-drbl1) unstable; urgency=medium

  * Option "-k0" was added to drbl-ocs and ocs-live-feed-img, too.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 17 Apr 2022 21:49:39 +0800

clonezilla (5.0.9-drbl1) unstable; urgency=medium

  * ocs-expand-*-pt: Improved the mechanism about creating proportional
    partition table. Especially that GPT in the last partition should not
    be expanded.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 13 Apr 2022 11:37:32 +0800

clonezilla (5.0.8-drbl1) unstable; urgency=medium

  * update-efi-nvram-boot-entry: when there is no reference
    label/uuid/boot_file in NVRAM, try to guess one based on
    the dir in /efi/ dir for uEFI boot entry.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 11 Apr 2022 14:01:36 +0800

clonezilla (5.0.7-drbl1) unstable; urgency=medium

  * ocs-resize-part: Give warning, not failure for Unknown or
  * Implemented a better to check GPT/MBR format of a disk.
    This is a workaround to deal with ChromeOS Flex partition table.
    Ref:
    https://lists.gnu.org/archive/html/bug-parted/2022-04/msg00001.html
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/688ce74fb1

 -- Steven Shiau <steven@clonezilla.org>  Sat, 09 Apr 2022 22:06:37 +0800

clonezilla (5.0.6-drbl1) unstable; urgency=medium

  * To make it consistent, put "-k0" even it's in beginner mode in the
    dialog menu of ocs-onthefly.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 29 Mar 2022 21:58:36 +0800

clonezilla (5.0.5-drbl1) unstable; urgency=medium

  * Add the dummy option "-k0" for creating partition in ocs-sr and
    ocs-onthefly. It's the same as default action. Just easier for
    us to explain.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 27 Mar 2022 12:55:43 +0800

clonezilla (5.0.4-drbl1) unstable; urgency=medium

  * Improved functions related to turn_off_swap_and_LVM2, including
    turn_off_swap, turn_off_swap_and_LVM2 itself, and check_if_disk_busy.
    Basically make turn_off_swap_and_LVM2 accept the device about be off.
    The goal in the future is to only inactive the destination device (swap,
    LV) before saving or restoring. Not disable all in the beginning of
    ocs-sr or ocs-onthefly.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 12 Mar 2022 15:10:15 +0800

clonezilla (5.0.3-drbl1) unstable; urgency=medium

  * Add the program ocs-memtester, which can be used to run
    memtester easier.
  * ocs-live-boot-menu: add memtester in the uEFI bootmenu.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 20 Feb 2022 21:44:33 +0800

clonezilla (5.0.2-drbl1) unstable; urgency=medium

  * Bug fixed: ocs-onthefly via net failed, this was due
    to the options -a/-f should not be passed to ocs-sr.
    Thanks to m2acgi for reporting this issue and providing the patch.
    Ref:
    https://github.com/stevenshiau/clonezilla/issues/68#issuecomment-1042540967

 -- Steven Shiau <steven@clonezilla.org>  Sat, 19 Feb 2022 09:25:17 +0800

clonezilla (5.0.1-drbl1) unstable; urgency=medium

  * Avoid running efibootmgr with empty label in update-efi-nvram-boot-entry.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 04 Feb 2022 20:14:21 +0800

clonezilla (5.0.0-drbl1) unstable; urgency=medium

  * Add LUKS support. Basically a better mechanism than using dd is
    implemented.
  * Renamed cnvt-ocs-dev as ocs-cvt-dev, and prep-ocsroot as ocs-prep-repo.
  * Corresponding changes were done for related files.
  * No more using dislocker-find to identify BitLocker since newer blkid can identify it.
    Use a neater way to run blkid to get the file system of a partition.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 03 Feb 2022 21:43:05 +0800

clonezilla (4.6.15-drbl1) unstable; urgency=medium

  * The variable use_os_prober should skip linux-boot-prober, too.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 18 Jan 2022 17:12:48 +0800

clonezilla (4.6.14-drbl1) unstable; urgency=medium

  * Bug fixed: pixz has no option to stdout with "-d".
    Therefore program pixz was replaced by xz since
    using "-T 0" works the same.
    Thanks to nurupo for reporting this issue.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 18 Jan 2022 11:57:17 +0800

clonezilla (4.6.13-drbl1) unstable; urgency=medium

  * The netboot client for interactive mode will inherit the
    locale from lite server.
  * Boot parameter use_os_prober="no" now skips running os-prober.
    Thanks to Bernard Michaud for this idea.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/b96b4eee21/?limit=25#d97b

 -- Steven Shiau <steven@clonezilla.org>  Mon, 17 Jan 2022 22:24:21 +0800

clonezilla (4.6.12-drbl1) unstable; urgency=medium

  * Add a mechanism to skip using devices list cache. If the boot parameter
    use_dev_list_cache=no in the boot parameter, then the devices list cache
    mechanism won't be used.
  * Add support Greek locales. Thanks to Stamatis Mavrogiorgis for providing
    the language file.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 09 Jan 2022 12:00:58 +0800

clonezilla (4.6.11-drbl1) unstable; urgency=medium

  * Rename /tmp/split_error.* as /tmp/img_out_err.*.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 03 Jan 2022 07:34:58 +0800

clonezilla (4.6.10-drbl1) unstable; urgency=medium

  * Bug fixed: ignore the 1st 2 columns in /proc/partitions when
    comparing it for the cache files in the function
    check_if_use_disklist_cache of ocs-functions.
  *  ocs-get-dev-info: better way to run dislocker-find so that when it
    failed to load some lib, it won't show the device's fs is bitlocker.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 21 Dec 2021 19:44:26 +0800

clonezilla (4.6.9-drbl1) unstable; urgency=medium

  * Due to sudo >= 1.9.8p2-1 will new a pts (e.g., /dev/pts/0) instead of
    keeping the tty from SUDO_USER. Hence a new environmental variable
    SUDO_TTY from sudo will be used to make clonezilla main menu only starts
    in tty1. Make both CURRENT_TTY and SUDO_TTY mechanism work.
    The environmental variable SUDO_TTY is passed to ocs-lang-kbd-conf &
    ocs-live-run-menu by:
    sudo -i SUDO_TTY="$(tty)" ocs-lang-kbd-conf
    sudo -i SUDO_TTY="$(tty)" ocs-live-run-menu

 -- Steven Shiau <steven@clonezilla.org>  Mon, 20 Dec 2021 10:59:15 +0800

clonezilla (4.6.8-drbl1) unstable; urgency=medium

  * update-efi-nvram-boot-entry: bug fixed for 2 or more ESPs on the same
    machine, unmount should be done within for loop.
  * ocs-prep-cache: ignore the 1st 2 columns in /proc/partitions when
    comparing it for the cache files, since partprobe might change the major
    and minor numbers in /proc/partitions, while the blocks and device names
    (3rd & 4th columns) will remain the same after partprobe is run.
  * ocs-chkimg: treat not link & not split image as a special case. Read it
    directly. Do not use cat to get best performance.
  * When restoring, not link & not split image as a special case. Read it
    directly. Do not use cat to get best performance.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 19 Dec 2021 18:55:11 +0800

clonezilla (4.6.7-drbl1) unstable; urgency=medium

  * ocs-chkimg: output more messages to log files.
  * Bug fixed: variables in for loop should be escaped when outputting to
    log file.
  * Reverted the split_flag mechanism when restoring which as implemented
    in 4.6.6. This is because that some uncompression program can not deal
    with (follow) symbolic files. E.g., "pixz -d" has no option to process
    a symbolic file. This is crucial when we want to restore the image
    saved from different source device. The program create-ocs-tmp-img
    uses symbolic files for that.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 14 Dec 2021 08:58:19 +0800

clonezilla (4.6.6-drbl1) unstable; urgency=medium

  * Unicast retoring by partclone was improved. If the image file is not
    split, no need to use cat. Just read it from the uncompressing program.
    This makes the performance better.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 12 Dec 2021 17:54:53 +0800

clonezilla (4.6.5-drbl1) unstable; urgency=medium

  * Do not modify /etc/drbl/drbl-ocs.conf if the image repo is FAT. Just 
    set the environmental variable VOL_LIMIT_IN_INTERACTIVE to 4096 once.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 06 Dec 2021 11:51:47 +0800

clonezilla (4.6.4-drbl1) unstable; urgency=medium

  * By default do not split the image file of a partition, i.e., use "-i 0"
    when saving an image by ocs-sr.
    If the image repo is FAT, VOL_LIMIT_IN_INTERACTIVE will
    be set as 4096 when running ocs-sr in saving mode.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 05 Dec 2021 19:32:56 +0800

clonezilla (4.6.3-drbl1) unstable; urgency=medium

  * ocs-btsrv: ezio uses --cache only as it's available. 
    This is compatible when older version of ezio is used.
  * Support dracut from CentOS 6 which exists in different path and no
    option"--tmpdir" for the restored CentOS 6.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 29 Nov 2021 16:40:18 +0800

clonezilla (4.6.2-drbl1) unstable; urgency=medium

  * create-ubuntu-live: removed support for groovy, add jammy.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 27 Nov 2021 12:38:42 +0800

clonezilla (4.6.1-drbl1) unstable; urgency=medium

  * ocs-btsrv: no more assigning RAM size when running ezio.
    Use the default value from libtorrent since ezio >= 1.2.1
    has removed the option --cache.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 27 Nov 2021 12:15:17 +0800

clonezilla (4.5.16-drbl1) unstable; urgency=medium

  * ocs-live-netcfg: add exit in the menu when choosing wired or wireless
    NIC type.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 27 Oct 2021 20:04:09 +0800

clonezilla (4.5.15-drbl1) unstable; urgency=medium

  * ocs-live-netcfg: rewrite so it's easier to read.
    Changes:
    Boot parameter ocs_use_wifi was changed to ocs_nic_type.
    ocs-live-netcfg: no more option -r and -w.
    Merge them as option -w|--nic-type TYPE. TYPE can be "wired" or "wireless".

 -- Steven Shiau <steven@clonezilla.org>  Tue, 26 Oct 2021 15:00:21 +0800

clonezilla (4.5.14-drbl1) unstable; urgency=medium

  * ocs-live-netcfg: add support for wifi device.
  * S03prep-drbl-clonezilla: Add boot parameter ocs_use_wifi. It can be
    assigned as "yes" or "no" (default).

 -- Steven Shiau <steven@clonezilla.org>  Mon, 25 Oct 2021 16:34:16 +0800

clonezilla (4.5.13-drbl1) unstable; urgency=medium

  * update-efi-nvram-boot-entry: avoid duplicated boot entries.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 18 Oct 2021 22:04:37 +0800

clonezilla (4.5.12-drbl1) unstable; urgency=medium

  * update-efi-nvram-boot-entry: improved to refer to saved nvram data
    (efi-nvram.dat). In addition, multiple boot entries can be processed,
    too.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/9ffa31f838

 -- Steven Shiau <steven@clonezilla.org>  Sun, 17 Oct 2021 20:36:18 +0800

clonezilla (4.5.11-drbl1) unstable; urgency=medium

  * Bug fixed. The get_disk_list from ocs-functions: 
    need to check if is_partition. Otherwise if sda, e.g.,
    has a file system, it will be listed in both disks and partitions.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 08 Oct 2021 07:54:53 +0800

clonezilla (4.5.10-drbl1) unstable; urgency=medium

  * Function get_not_busy_disks_or_parts: a bug was fixed, which
    failed to process dev with /dev/mapper, e.g., /dev/mapper/ventoy.
    Thanks to yellowsoar for reporting this issue.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/b5d15a6edf

 -- Steven Shiau <steven@clonezilla.org>  Thu, 07 Oct 2021 19:11:10 +0800

clonezilla (4.5.9-drbl1) unstable; urgency=medium

  * Avoid duplication in cache file dev_fs_size_type.cache
    by ocs-prep-cache.
    E.g., /dev/sdb is a block device with fs.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 06 Oct 2021 22:27:33 +0800

clonezilla (4.5.8-drbl1) unstable; urgency=medium

  * Optimize get_not_busy_disks_or_parts so that ocs-scan-disk runs
    faster 1st time.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 06 Oct 2021 09:37:42 +0800

clonezilla (4.5.7-drbl1) unstable; urgency=medium

  * Replace "which" with "command -v" in the script because "which"
    command is deprecated.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 03 Oct 2021 14:01:43 +0800

clonezilla (4.5.6-drbl1) unstable; urgency=medium

  * Bug fixed: missing disk-related processing in get_not_busy_disks_or_parts.
    Those linux_raid_member and assigned excluding devices about disks were
    not processed.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 02 Oct 2021 14:24:44 +0800

clonezilla (4.5.5-drbl1) unstable; urgency=medium

  * S03prep-gparted-live: Skip starting gparted if no-gparted-start
    is assigned in the boot parameters.
    Ref: http://gparted-forum.surf4.info/viewtopic.php?pid=35995

 -- Steven Shiau <steven@clonezilla.org>  Sat, 25 Sep 2021 15:20:37 +0800

clonezilla (4.5.4-drbl1) unstable; urgency=medium

  * Improve the cache mechanism to speed up the device scan and file
    system/size/type.
    This makes get_not_busy_disks_or_parts and other functions about
    scanning the device's file system/size/type faster.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 23 Sep 2021 15:05:43 +0800

clonezilla (4.5.3-drbl1) unstable; urgency=medium

  * Add a cache mechanism to speed up the device scan.
    This makes get_not_busy_disks_or_parts run faster.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 15 Sep 2021 09:34:45 +0800

clonezilla (4.5.2-drbl1) unstable; urgency=medium

  * Improve the progress messages when searching disk or partition.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 10 Sep 2021 15:33:53 +0800

clonezilla (4.5.1-drbl1) unstable; urgency=medium

  * Bug fixed: not searching live-media-path from boot parameters.
    Thanks to JDFandango for reporting this issue.
    Ref: https://github.com/stevenshiau/clonezilla/issues/59

 -- Steven Shiau <steven@clonezilla.org>  Sat, 04 Sep 2021 13:47:34 +0800

clonezilla (4.5.0-drbl1) unstable; urgency=medium

  * Change version number since some major changes were done.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 29 Aug 2021 10:26:42 +0800

clonezilla (4.4.13-drbl1) unstable; urgency=medium

  * Allow reserved image names to be used in TUI.
    The description about reserved image names is shown in TUI.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 28 Aug 2021 12:07:58 +0800

clonezilla (4.4.12-drbl1) unstable; urgency=medium

  * Improved is_partition from ocs-functions to judge /dev/md*
    is disk or partition when restoring an image.
  * Suppress the stderr when running ocs-get-dev-info.
  * Improved cnvt-ocs-dev to convert md device and files blkdev.list & blkid.list.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 17 Aug 2021 11:41:45 +0800

clonezilla (4.4.11-drbl1) unstable; urgency=medium

  * prep-ocsroot: pass ocs_sr_type to is_partition so that it can judge for
    disk/partition of /dev/md*
    Suppress stderr when running ocs-get-dev-info in is_block_device_with_fs.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 09 Aug 2021 20:40:39 +0800

clonezilla (4.4.10-drbl1) unstable; urgency=medium

  * is_partition of ocs-functions: /dev/md is not partition if md?p? exists.
    E.g., /dev/md126, but there is /dev/md126p1, then /dev/md126 is not a partition.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/8627eabf99

 -- Steven Shiau <steven@clonezilla.org>  Sun, 08 Aug 2021 22:01:27 +0800

clonezilla (4.4.9-drbl1) unstable; urgency=medium

  * ocs-restore-mdisks: support wildcard for device name.
    E.g.,
    ocs-restore-mdisks -b -a choose -p "-g auto -e1 auto -e2 -r -j2 -c -scr
    -p true" focal-mbr-20210531 sd*

 -- Steven Shiau <steven@clonezilla.org>  Tue, 27 Jul 2021 20:08:15 +0800

clonezilla (4.4.8-drbl1) unstable; urgency=medium

  * update-efi-nvram-boot-entry: should test if shimx64.efi exists before
    grubx64.efi.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/0fcee8469a/
  * ocs-restore-mdisks: countdown 15 secs, not 7 secs,
    before going on for the device name is assigned as "all"
  * create-gparted-live: include gvfs to address the issue that yelp does
    not open GParted help manual.
    Ref: https://sourceforge.net/p/gparted/mailman/message/37321623/

 -- Steven Shiau <steven@clonezilla.org>  Sat, 17 Jul 2021 20:42:01 +0800

clonezilla (4.4.7-drbl1) unstable; urgency=medium

  * ocs-restore-mdisks: "all" can be used as all non-busy local disks

 -- Steven Shiau <steven@clonezilla.org>  Tue, 13 Jul 2021 23:06:59 +0800

clonezilla (4.4.6-drbl1) unstable; urgency=medium

  * Update USAGE about the option -j2 for ocs-sr. 
    Add warning messages about skipping option "-j2" (clone_hidden_data)
    when it's in restoreparts.
    Ref: https://sourceforge.net/p/clonezilla/bugs/361/

 -- Steven Shiau <steven@clonezilla.org>  Mon, 05 Jul 2021 20:44:58 +0800

clonezilla (4.4.5-drbl1) unstable; urgency=medium

  * Bug fixed: ntfsclone without compression image was not detected
    correctly.
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/560dea1695

 -- Steven Shiau <steven@clonezilla.org>  Thu, 01 Jul 2021 14:08:49 +0800

clonezilla (4.4.4-drbl1) unstable; urgency=medium

  * Add short options -bm & -em for the beginner/expert modes in:
    drbl-ocs, ocs-live-feed-img, ocs-onthefly, ocs-restore-mdisks,
    and ocs-sr.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Jun 2021 11:09:58 +0800

clonezilla (4.4.3-drbl1) unstable; urgency=medium

  * Support mounting bitlocker device as image repository.
    Thanks to fiddyschmitt for requesting this.
    Ref: https://github.com/stevenshiau/clonezilla/issues/58

 -- Steven Shiau <steven@clonezilla.org>  Mon, 21 Jun 2021 20:02:11 +0800

clonezilla (4.4.2-drbl1) unstable; urgency=medium

  * ocs-clean-part-fs is renamed as ocs-clean-disk-part-fs.
  * Add the mechanism to clean the RAID metadata in disk in
    ocs-clean-disk-part-fs.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 18 Jun 2021 21:53:16 +0800

clonezilla (4.4.1-drbl1) unstable; urgency=medium

  * Improve the mechanism to expand LVM when -k1 (hence -r) is enabled.
  * ocs-expand-lvm: add a new program to expand LVM.
  * ocs-resize-part: instead of checking device format, check if it exists.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 16 Jun 2021 11:01:16 +0800

clonezilla (4.3.29-drbl1) unstable; urgency=medium

  * Bug fixed: image checking should be before encrypted image is unmounted.
    Thanks to Brian Connolly for reporting this issue.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 09 Jun 2021 21:44:57 +0800

clonezilla (4.3.28-drbl1) unstable; urgency=medium

  * ocs-live-hook-functions: Update get_non_free_net_firmware_for_ubuntu
    to use new mechanism to get NIC firmware.
  * create-ubuntu-live: add support Ubuntu impish
  * ocs-get-nic-fw-lst: new added program for get nic-firmware.lst.
  * nic-firmware.lst: new added for putting nic firmware on Ubuntu-based
    Clonezilla live.
  * ocs-functions: variable rc_saveparts/rc_savepts.
    Improve test for variable rc_saveparts/rc_savedisk.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 25 May 2021 13:15:50 +0800

clonezilla (4.3.27-drbl1) unstable; urgency=medium

  * ocs-live-final-action: Move ocs-park-disks before "countdown 7".
  * Depends on smartmontools.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 13 May 2021 07:16:45 +0800

clonezilla (4.3.26-drbl1) unstable; urgency=medium

  * ocs-live-boot-menu: add big font using nomodeset. 

 -- Steven Shiau <steven@clonezilla.org>  Tue, 11 May 2021 15:27:00 +0800

clonezilla (4.3.25-drbl1) unstable; urgency=medium

  * Add "VGA with large font & To RAM" (using nomodeset) in the boot menu,
    and move "KMS with large font & To RAM" to submenu. 
    This can be an alternative solution for jfbterm not working in
    KMS mode for some VGA cards.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 11 May 2021 15:19:27 +0800

clonezilla (4.3.24-drbl1) unstable; urgency=medium

  * Add ocs-park-disks in do_ocs_live_run_final of ocs-live-final-action.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 09 May 2021 17:08:46 +0800

clonezilla (4.3.23-drbl1) unstable; urgency=medium

  * Add ocs-park-disks before rebooting/halting in Clonezilla live.
    Ref: https://sourceforge.net/p/clonezilla/bugs/364/
    Thanks DDD for this requesting.
  * ocs_*veracrypt-vh: add check if root.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 08 May 2021 15:50:58 +0800

clonezilla (4.3.22-drbl1) unstable; urgency=medium

  * Improve to process the volume header of Veracrypt.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/76c9794d/
    Add two files: ocs-save-veracrypt-vh & ocs-restore-veracrypt-vh

 -- Steven Shiau <steven@clonezilla.org>  Sun, 02 May 2021 21:20:33 +0800

clonezilla (4.3.21-drbl1) unstable; urgency=medium

  * Put --archive-areas in the same command with --distribution for
    create-*-live. This should work with live-build 202104 version, a
    workaround to avoid lb config --archive-areas "main non-free" failing
    in create-gparted-live.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 28 Apr 2021 14:36:14 +0800

clonezilla (4.3.20-drbl1) unstable; urgency=medium

  * Add "--force" for vgcfgrestore to force metadata restore
    even with thin pool LVs.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 21 Apr 2021 21:53:00 +0800

clonezilla (4.3.19-drbl1) unstable; urgency=medium

  * Add boot parameter echo_ocs_repository, so that when
    it's assigned as "no", the prompt about mounting image repository
    can be hidden.
    Thanks to ottokang for asking this.
  * Update singularity-debian-ocs.def: include ezio instead of ezio-static

 -- Steven Shiau <steven@clonezilla.org>  Tue, 13 Apr 2021 21:48:49 +0800

clonezilla (4.3.18-drbl1) unstable; urgency=medium

  * Set default prompt for boot menu of gparted/drbl live. Previous changes
    affected those 3 modes of boot menus.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 05 Apr 2021 11:28:17 +0800

clonezilla (4.3.17-drbl1) unstable; urgency=medium

  * Disable sleep and hibernate for live system.
    Ref: https://gitlab.gnome.org/GNOME/gparted/-/issues/149

 -- Steven Shiau <steven@clonezilla.org>  Sun, 04 Apr 2021 20:16:20 +0800

clonezilla (4.3.16-drbl1) unstable; urgency=medium

  * ocs-live-boot-menu: update "framebuffer To RAM" menu prompt as
    "VGA 800x600 & To RAM"
  * Manually applied the patches for timeout and exit code for ocs-iso and
    ocs-live-dev.
    Ref:
    https://gitlab.com/stevenshiau/clonezilla/-/merge_requests/44
    https://gitlab.com/stevenshiau/clonezilla/-/merge_requests/45
    Thanks to Vitaly for these MRs.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 03 Apr 2021 12:47:09 +0800

clonezilla (4.3.15-drbl1) unstable; urgency=medium

  * ocs-live-feed-img: make timeout_max shorter as "60".

 -- Steven Shiau <steven@clonezilla.org>  Fri, 02 Apr 2021 23:03:52 +0800

clonezilla (4.3.14-drbl1) unstable; urgency=medium

  * ask_nic_dev of ocs-functions: not to detect wifi device linking status.
    Add wl.* to net device list.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 02 Apr 2021 21:44:38 +0800

clonezilla (4.3.13-drbl1) unstable; urgency=medium

  * ocs-live-boot-menu: Switch KMS+To RAM and To RAM between 1st and 2nd
    level of menus. Drop grub 1 support. Make grub to use grub 2, 
    not grub 1 anymore.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 02 Apr 2021 21:05:23 +0800

clonezilla (4.3.12-drbl1) unstable; urgency=medium

  * Remove words "Default settings" from the boot menu.
    Thanks to Lord65 for this suggestion.
  * Update netboot menu only when /tftpboot/nbi_img exists. This would avoid
    giving error messages when running in singularity container for data
    move.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 02 Apr 2021 15:46:50 +0800

clonezilla (4.3.11-drbl1) unstable; urgency=medium

  * Move image check of the restoring mode to
    task_processing_after_parameters_checked of ocs-functions.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 28 Mar 2021 19:49:10 +0800

clonezilla (4.3.10-drbl1) unstable; urgency=medium

  * Move image checking to be after creating Info-* files.
  * Add "To RAM" in the 1st layer of live boot menu.
    Thanks to Lord65 for this suggestion.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 23 Mar 2021 23:08:31 +0800

clonezilla (4.3.9-drbl1) unstable; urgency=medium

  * Bug fixed: forgot to put "shift;;" in drbl-ocs.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 21 Mar 2021 14:22:43 +0800

clonezilla (4.3.8-drbl1) unstable; urgency=medium

  * ocs-live-boot-menu: comment "rmmod tpm".

 -- Steven Shiau <steven@clonezilla.org>  Wed, 17 Mar 2021 11:11:29 +0800

clonezilla (4.3.7-drbl1) unstable; urgency=medium

  * ocs-sr: change -sspt as -scpt. Add option to force choosing disk name in
    saveparts mode in expert mode.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 16 Mar 2021 21:33:18 +0800

clonezilla (4.3.6-drbl1) unstable; urgency=medium

  * Add -gb/-cb in drbl-ocs & ocs-sr.
    Rename check_md5_sha1_sums_for_img as check_checksums_for_img
    Rename gen_md5_sha1_sums_for_img_if_assigned as
    gen_checksums_for_img_if_assigned. And both of them are rewritten
    so that it's easier to add more programs.
    Thanks to Ramon Fischer for this suggestion.
    Ref: https://github.com/stevenshiau/clonezilla/issues/52
  * Switch to use b2sum instead of md5sum in chksum_cmd_for_files_in_dev
    of drbl-ocs.conf.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 09 Mar 2021 18:21:32 +0800

clonezilla (4.3.5-drbl1) unstable; urgency=medium

  * Bug fixed: wrong info was saved to Info-saved-by-cmd.txt when ocs-sr
    is run in non-interactive mode.
  * A typo was fixed:
    msg_continue_with_weired_partition_table ->
    msg_continue_with_weird_partition_table.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 Mar 2021 22:11:36 +0800

clonezilla (4.3.4-drbl1) unstable; urgency=medium

  * Add -ssnf, --skip-set-netboot-first in the dcs, i.e., drbl-ocs so that the 
    variable efi_netboot_1st_in_nvram in drbl-ocs.conf can be changed
    when running dcs.
  * Add the option -sspt, --skip-save-part-table for ocs-sr & drbl-ocs.
  * ocs_chkimg: do not exit if no partition table. This allows the image
    saved for whole disk as a file system (e.g., /dev/sda) by saving saveparts.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 Mar 2021 16:15:32 +0800

clonezilla (4.3.3-drbl1) unstable; urgency=medium

  * ocs-live-hook-functions: Add prompt in function set_ntp_off

 -- Steven Shiau <steven@clonezilla.org>  Tue, 23 Feb 2021 20:54:04 +0800

clonezilla (4.3.2-drbl1) unstable; urgency=medium

  * Bug fixed: Set ntp off in live-hook for Clonezilla/DRBL/GParted live.
    The previous method does not work.
    Thanks Jay B. for identify this issue.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 20 Feb 2021 22:42:23 +0800

clonezilla (4.3.1-drbl1) unstable; urgency=medium

  * prep-ocsroot: Drop portmap, keep rpcbind only
  * create-gparted-live: increase ramfs_size_def to 7516192768.
  * create-drbl-live: Increase ramfs_size_def to 16106127360

 -- Steven Shiau <steven@clonezilla.org>  Sat, 20 Feb 2021 15:21:00 +0800

clonezilla (4.2.32-drbl2) unstable; urgency=medium

  * Repacket due to temp file existing in the deb. 

 -- Steven Shiau <steven@clonezilla.org>  Tue, 16 Feb 2021 21:54:50 +0800

clonezilla (4.2.32-drbl1) unstable; urgency=medium

  * create-gparted-live: include package nwipe in GParted live. 
    Thanks to bruno.forcier for asking this.
    Ref: http://gparted-forum.surf4.info/viewtopic.php?id=17972

 -- Steven Shiau <steven@clonezilla.org>  Tue, 16 Feb 2021 20:28:02 +0800

clonezilla (4.2.31-drbl1) unstable; urgency=medium

  * Exclude loop device as 1st-disk is used for device name in ocs-sr,
    since /dev/loop0 is for filesystem.squashfs from Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 13 Feb 2021 15:21:11 +0800

clonezilla (4.2.30-drbl1) unstable; urgency=medium

  * Bug fixed: missing TUI when -rescue is used for partclone in device to
    device cloning. Thanks to huh for reporting this.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 20 Jan 2021 20:49:51 +0800

clonezilla (4.2.29-drbl1) unstable; urgency=medium

  * prep-ocsroot: Make fsck dialog to be different from the saving mode.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 20 Jan 2021 09:57:29 +0800

clonezilla (4.2.28-drbl1) unstable; urgency=medium

  * ocs-sr: make --rescue work for ocs-onthefly to call ocs-sr.
    Thanks to huh for reporting this issue:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/ba2d28a4ef/

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Jan 2021 21:41:28 +0800

clonezilla (4.2.27-drbl1) unstable; urgency=medium

  * prep-ocsroot: add an option to fsck repository file system before
    mounting local one.
    Thanks to Bohdan for this idea. 
    Ref: https://gitlab.com/stevenshiau/clonezilla/-/issues/53

 -- Steven Shiau <steven@clonezilla.org>  Mon, 18 Jan 2021 22:36:14 +0800

clonezilla (4.2.26-drbl1) unstable; urgency=medium

  * Better mechanism to find LIVE_MEDIA in function get_live_media_mnt_point
    of ocs-functions.
  * Update comment about "autoname-" in ocs-functions.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 17 Jan 2021 17:59:27 +0800

clonezilla (4.2.25-drbl1) unstable; urgency=medium

  * Use datefmt_* instead of date_F_* for "autoname-", and let user assign
    %, so that it's easier to assign. E.g.,
    autoname-fox-datefmt_%Y%m%d -> fox-20210109
    autoname-fox-datefmt_%Y-datefmt_%m%d -> fox-2021-0109

 -- Steven Shiau <steven@clonezilla.org>  Sat, 09 Jan 2021 20:10:37 +0800

clonezilla (4.2.24-drbl1) unstable; urgency=medium

  * Add more keyname about the image name: "autoname-":
    month, day, hour, minute, date_F_*
    date_F_* is like: date_F_y, where y is the format from program "date",
    e.g., date_F_y is the value got from "date +%y",
    i.e., last two digits of year (00..99).

 -- Steven Shiau <steven@clonezilla.org>  Fri, 08 Jan 2021 19:56:46 +0800

clonezilla (4.2.23-drbl1) unstable; urgency=medium

  * ocs-live-repository: 
    Expand samba_server with version assigned as: smb1, smb1.0, smb2,
    smb2.0, smb2.1, smb3, smb3.0, smb3.11, and smb3.1.1.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 05 Jan 2021 09:34:23 +0800

clonezilla (4.2.22-drbl1) unstable; urgency=medium

  * prep-ocsroot: add options for auto and 3.1.1 SMB protocol. Default
    choice is "auto".
  * Add support for scheme smb1, smb2, smb3 in ocs-live-repository so that
    the cifs version can be assigned. Thanks to ottokang for this idea.
    Ref:
    https://groups.google.com/g/ocs-clonezilla/c/M0eEV9ClO4k/m/FlW06koMBwAJ

 -- Steven Shiau <steven@clonezilla.org>  Fri, 01 Jan 2021 21:10:46 +0800

clonezilla (4.2.21-drbl1) unstable; urgency=medium

  * ocs-sr: Support customized auto-gen image name.
    Key name: productname + FQDN + UUID + MAC + year + date + time
    It can be any combination, just beginning with autoname-
    Ff key name is not shown, it will be shown as itself.
    E.g., autoname-fox-year-date-time-uuid ->
          fox-2020-1227-2336-564d41fc-9d80-20ac-c844-bda6a392d4c6
  * Due to the above new feature, the "autoname-wpfx=" mechanism
    is dropped.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 28 Dec 2020 09:37:50 +0800

clonezilla (4.2.20-drbl1) unstable; urgency=medium

  * ocs-live-boot-menu: add language setting for grub

 -- Steven Shiau <steven@clonezilla.org>  Tue, 22 Dec 2020 07:56:12 +0800

clonezilla (4.2.19-drbl1) unstable; urgency=medium

  * Add a reserverd name autoname-wpfx= for saving.
  * Change the date-time format for auto*name as like
    my-2020-1220-0221-img, was my-2020-12-20-0221-img.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 20 Dec 2020 11:06:28 +0800

clonezilla (4.2.18-drbl1) unstable; urgency=medium

  * Allow something lie /dev/md126 can be a partition, too.
  * Show file system and partition size in the TUI when listing partitions
    in restoreparts.
  * create-ocs-tmp-img: Use "-f" instead of "-e" to test a normal file in
    the btzone dir otherwise noise from cp will be shown.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 19 Dec 2020 14:32:38 +0800

clonezilla (4.2.17-drbl1) unstable; urgency=medium

  * ocs-sr: dump md-related info in the image dir.
  * ocs-live-feed-img: Reduce timeout_max to 120 secs from 300 secs.
  * ocs-get-dev-info: Partition type is not reset if it's not swap.
    This allows linux_raid_member to be identified.
  * ocs-chkimg: skip checking md device's MBR and partition table.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 16 Dec 2020 15:30:46 +0800

clonezilla (4.2.16-drbl1) unstable; urgency=medium

  * Reduce ezio_cache_ratio from 0.7 to 0.5 in drbl-ocs.conf.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 08 Dec 2020 08:16:08 +0800

clonezilla (4.2.15-drbl1) unstable; urgency=medium

  * Update prompt and usage of ocs-btsrv.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 03 Dec 2020 15:29:06 +0800

clonezilla (4.2.14-drbl1) unstable; urgency=medium

  * Output the ezio seeding & leeching logs  in ocs-btsrv,
    not in function task_restoreparts.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 03 Dec 2020 15:21:19 +0800

clonezilla (4.2.13-drbl1) unstable; urgency=medium

  * Add leecher log: /var/log/ocs-leecher.log.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 03 Dec 2020 06:33:49 +0800

clonezilla (4.2.12-drbl1) unstable; urgency=medium

  * Bug fixed: jfbterm was not used in i686 live due to wrong keyword to 
    be grepped in ocs-lang-kbd-conf. This made no way to choose language
    for i686 version of Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 01 Dec 2020 21:14:59 +0800

clonezilla (4.2.11-drbl1) unstable; urgency=medium

  * Make "service dnsmasq restart" as "systemctl stop dnsmasq; 
    systemctl start dnsmasq" in ocs-live-feed-img.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 30 Nov 2020 21:09:21 +0800

clonezilla (4.2.10-drbl1) unstable; urgency=medium

  * The devices to be deployed by BT mode will be run together.
    No more one device by another device.
  * Add leecher mode (-l|--for-leecher) in ocs-btsrv.
  * Add package f3 in Clonezilla/DRBL/GParted live.
    Thanks to timgmooney _at_ hotmail com for this suggestion.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 29 Nov 2020 16:15:03 +0800

clonezilla (4.2.9-drbl1) unstable; urgency=medium

  * As suggested by ottokang _at gmail com and
    https://lwn.net/Articles/244829/, noatime implies nodiratime.
    There remove nodiratime in the option of mount command.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 25 Nov 2020 15:13:20 +0800

clonezilla (4.2.8-drbl1) unstable; urgency=medium

  * Bug fixed: save_ocs_sr_related_vars should be replaced with
    new function name save_ocs_related_vars not used in ocs-chkimg and
    ocs-live-feed-img.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 24 Nov 2020 07:57:14 +0800

clonezilla (4.2.7-drbl1) unstable; urgency=medium

  * Bug fixed: in interactive mode, ocs-onthefly and ocs-sr should wait
    for pressing enter before asking final action. It was not working for
    device to device cloning, recovery iso/zip creation, etc.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 23 Nov 2020 22:15:44 +0800

clonezilla (4.2.6-drbl1) unstable; urgency=medium

  * ocs-sr: run save_ocs_sr_related_vars on all modes. Save more variables
    in the function save_ocs_sr_related_vars of ocs-functions.
    This would make some more modes stop before asking the final action by
    default.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 23 Nov 2020 20:12:54 +0800

clonezilla (4.2.5-drbl1) unstable; urgency=medium

  * ocs-sr: destination disk can be assigned by serialno when restoring.
  * ocs-onthefly: source and destination device can be assigned by serialno.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 22 Nov 2020 12:28:12 +0800

clonezilla (4.2.4-drbl1) unstable; urgency=medium

  * GParted live: Update the calculator in the menu as galculator.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 21 Nov 2020 16:51:46 +0800

clonezilla (4.2.3-drbl1) unstable; urgency=medium

  * create-gparted-live: Replace calcoo with galculator and add yelp.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 21 Nov 2020 12:08:00 +0800

clonezilla (4.2.2-drbl1) unstable; urgency=medium

  * ocs-sr: update usage about short serial number
  * ocs-get-dev-info: add option -l so that the default output about serial
    no of a disk can be shown in long format. Default is short one.
    Thanks to LinuxOpa.
    Ref: https://sourceforge.net/p/clonezilla/support-requests/143/

 -- Steven Shiau <steven@clonezilla.org>  Fri, 20 Nov 2020 09:42:35 +0800

clonezilla (4.2.1-drbl1) unstable; urgency=medium

  * Make ptuuid/serialno/uuid/partuuid case insensitive when using 
    as the input parameter of ocs-sr.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 18 Nov 2020 10:38:49 +0800

clonezilla (4.2.0-drbl1) unstable; urgency=medium

  * Rename ocs-get-part-info as ocs-get-dev-info.
  * When ocs-sr is in saving mode, the DEVICE name can also be
    assigned by:
    For disk: PTUUID or SERIALNO, e.g., 
    PTUUID=03c8b280-47aa-4881-aca5-9b9c66fe28c7. 
    If there are spaces in SERIALNO, replace every space by \"_\"
    For partition: UUID or PARTUUID, 
    e.g., UUID=0b51ce79-7bc0-4111-8a40-839461a9b12f"

 -- Steven Shiau <steven@clonezilla.org>  Wed, 18 Nov 2020 09:59:08 +0800

clonezilla (4.1.9-drbl1) unstable; urgency=medium

  * Implement a better mechanism to get block device about UUID.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 17 Nov 2020 22:29:18 +0800

clonezilla (4.1.8-drbl1) unstable; urgency=medium

  * Support assigning input device using UUID/serial no when saving image:
    savedisk: PTUUID, SERIALNO
    saveparts: UUID, PARTUUID
    E.g.,
    ocs-sr -q2 -c -j2 -z9p -i 4096 -sfsck -senc -p choose savedisk
    myimg SERIALNO=36000c292124c4d6554f924089bd9b83a
    serialno=36000c29045c0eab7f80c902114867c19 PTUUID="f722833a"

 -- Steven Shiau <steven@clonezilla.org>  Mon, 16 Nov 2020 22:48:46 +0800

clonezilla (4.1.7-drbl2) unstable; urgency=medium

  * Remove gptsync since it's not available in Debian repository,
    and add scsitools blktool safecopy in GParted live packages list.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 02 Nov 2020 20:17:53 +0800

clonezilla (4.1.6-drbl1) unstable; urgency=medium

  * Bug fixed: avoid creating VG more than once.
    VG might exist in more than one PV. If so, we only have to create it once.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Help/thread/13f8ed6643

 -- Steven Shiau <steven@clonezilla.org>  Thu, 29 Oct 2020 20:58:15 +0800

clonezilla (4.1.5-drbl1) unstable; urgency=medium

  * Update create-ubuntu-live for hirsute support, and remove the support
    for eoan.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 25 Oct 2020 12:59:19 +0800

clonezilla (4.1.4-drbl1) unstable; urgency=medium

  * Bug fixed: cnvt-ocs-dev now can process the image repository path
    with whitespace.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/cf543265b2
  * Save OS-related info in the image dir as the file name
    Info-OS-prober.txt
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Help/thread/7ddac80b9f

 -- Steven Shiau <steven@clonezilla.org>  Sat, 24 Oct 2020 13:15:58 +0800

clonezilla (4.1.3-drbl1) unstable; urgency=medium

  * Improve part to part (local and remote) for ocs-onthefly.
    The previous version did not work for local part to part in interactive
    mode, while it works for running in batch command mode. It did not work
    for local disk to disk in batch command mode, but works for interactive
    mode.
  * ocs-sr's option -f|--from-part-in-img is changed as -f|--from-part since
    it now supports both from an image and a device.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 16 Oct 2020 19:27:34 +0800

clonezilla (4.1.2-drbl1) unstable; urgency=medium

  * Use -np|--net-pipe  PROGRAM instead of -u|--use-netcat
    so that it's easier to switch, and it can be
    selected in the expert mode.
  * Revert to use netcat as the default net pipe program since the nuttcp in
    Debian/Ubuntu repository is to old and buggy (6.1.2, the latest one now
    is 8.2.2).
  * If a disk has not any partition, it can not be the source for
    ocs-onthefly. It will just quit to avoiding confusion.
  * Add "--rsyncable" for zstd saving.
    Since zstdmt is equivalent to zstd -T0, remove "-T${cpu_no}" in
    extra_zstdmt_opt.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 10 Oct 2020 23:27:23 +0800

clonezilla (4.1.1-drbl1) unstable; urgency=medium

  * clonezilla: wrong option for ocs-onthefly in ocs_interactive, now it
    should be "-d" instead of "-t".

 -- Steven Shiau <steven@clonezilla.org>  Fri, 09 Oct 2020 10:19:15 +0800

clonezilla (4.1.0-drbl1) unstable; urgency=medium

  * Implement a better mechanism to run ocs-onthefly:
    Now ocs-onthefly mainly uses ocs-sr to save the pseudo image,
    and let partclone do the device to device clone. This is similar to that
    of Clonezilla lite server.
    Due to this improvement, some major changes for ocs-othefly in order to
    sync with that of ocs-sr:
    1. These options have been changed to totally different meanings:
       -d|--destination|--target was -t|--target
       -po|--port was -p|--port
       --net-filter was -i|--filter
       -p|-pa|--postaction was -pa|--postaction
       -u|--use-nuttcp was -u|--use-netcat
    2. New options:
       -t|--no-restore-mbr
       -t1|--restore-raw-mbr
       -t2|--no-restore-ebr
    By default, the network cloning is changed to use zstd to compress
    the data instead of gzip, and the network piping program is changed
    to nuttcp from netcat since the latter has too many diverse versions.
  * ocs-update-initrd: Remove useless prompt.
  * cnvt-ocs-dev: dev-fs.list should be converted, too.
    Add a tag file device_name_converted.info in the converted image.
  * For drbl-ocs.conf:
    Remove: PARTCLONE_RESTORE_ONTHEFLY_OPT_INIT
    Add:
    ONTHEFLY_NET_PIPE="nuttcp"
    NC_PORT_DEFAULT="9000"
    PARTCLONE_LOG="/var/log/partclone.log"

 -- Steven Shiau <steven@clonezilla.org>  Fri, 09 Oct 2020 00:40:40 +0800

clonezilla (4.0.4-drbl1) unstable; urgency=medium

  * Dump the S.M.A.R.T. data of drive in the image dir.
    Thanks to KrashDummy for this idea.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/7484b15424/
  * Update usage message of ocs-sr, about option -sfs.
  * Show the ocs-sr command in ocs-live-feed-img.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 29 Sep 2020 14:28:05 +0800

clonezilla (4.0.3-drbl1) unstable; urgency=medium

  * Switch to use nuttcp for net pipe and zstd for filter
    in ocs-onthefly.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 23 Sep 2020 21:49:43 +0800

clonezilla (4.0.2-drbl1) unstable; urgency=medium

  * Disable NetworkManager service in the live-hook when
    creating clonezilla live system.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 22 Sep 2020 20:39:10 +0800

clonezilla (4.0.1-drbl1) unstable; urgency=medium

  * Do not suppress the stdout/stderr messages when running dd in
    ocs-restore-[em]br.
  * ocs-expand-gpt-pt/ocs-expand-mbr-pt: 
    No need to check since we are creating new partition table and should
    not care about the destination disk's format is GPT or MBR.
    Add prompt about the option -icds when failing to creating the partition
    table on the smaller disk.
  * Deal with more than one EFI part in a machine having same UUID.
    Avoid update-efi-nvram-boot-entry failing in this case.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 21 Sep 2020 21:36:52 +0800

clonezilla (4.0.0-drbl1) unstable; urgency=medium

  * Format the parameters of ocs-* command about the device name
    so that it can be with or without /dev/, e.g., /dev/sda or sda.
    Thanks to Tsutsukakushi and MichaIng.
    Ref: https://gitlab.com/stevenshiau/clonezilla/-/merge_requests/4
  * Jump the version to 4 since the version number of 3.40 is already too big.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 18 Sep 2020 22:27:18 +0800

clonezilla (3.40.8-drbl1) unstable; urgency=medium

  * Update comments about grub netboot host specific boot mechanism.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 13 Sep 2020 13:05:28 +0800

clonezilla (3.40.7-drbl1) unstable; urgency=medium

  * Add option -rvd to ocs-onthefly so that we can choose to remove
    the NTFS volume dirty flag in source NTFS file system before
    cloning it.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 10 Sep 2020 21:42:35 +0800

clonezilla (3.40.6-drbl1) unstable; urgency=medium

  * Update wget bterm-unifont and nic-firmware in live-hook since the
    package might be in new category.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 08 Sep 2020 16:23:02 +0800

clonezilla (3.40.5-drbl1) unstable; urgency=medium

  * Add support for loop devices: Disk images attaches as block
    devices. Thanks to MichaIng.
    Ref: https://gitlab.com/stevenshiau/clonezilla/-/merge_requests/43

 -- Steven Shiau <steven@clonezilla.org>  Thu, 20 Aug 2020 19:29:27 +0800

clonezilla (3.40.4-drbl1) unstable; urgency=medium

  * Newer zip can create zip file larger than 2 GB. Hence ocs-live-dev
    should use zip to create the recovery zip file, not force to change that
    to tar.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 18 Aug 2020 12:40:11 +0800

clonezilla (3.40.3-drbl1) unstable; urgency=medium

  * Add network-manager-gnome to drbl live since wicd was removed.
    network-manager for clonezilla/drbl live was wrong, should be
    NetworkManager. However, it's can be up, so remove it.
  * Remove qemu-kvm but keep qemu-util, replace xvnc4viewer by
    xtightvncviewer since the former is broken in Sid.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 15 Aug 2020 13:00:19 +0800

clonezilla (3.40.2-drbl1) unstable; urgency=medium

  * Keep ttf-unifont, unifont, xfonts-unifont, xfonts-utils
    to avoid unifont.pcf.gz being removed in the ocs-live hook when
    building Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 09 Aug 2020 10:27:04 +0800

clonezilla (3.40.1-drbl1) unstable; urgency=medium

  * Add Korean support. Thanks to Hyeonmin Oh and 박규민.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 09 Aug 2020 07:02:30 +0800

clonezilla (3.39.14-drbl1) unstable; urgency=medium

  * Export linux_cmd and initrd_cmd in grub.cfg, i.e., make them as global
    variables so that the submenu can use that, too.
    Thanks to Chuck for identifying this issue.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/a7b696d13e/

 -- Steven Shiau <steven@clonezilla.org>  Fri, 03 Jul 2020 08:21:43 +0800

clonezilla (3.39.13-drbl1) unstable; urgency=medium

  * Bug fixed: the CPU arch tag file was missing when running
    ocs-iso, create-gparted-live and create-drbl-live.
    Thanks to Chuck for reporting this issue.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 02 Jul 2020 12:47:11 +0800

clonezilla (3.39.12-drbl1) unstable; urgency=medium

  * Bug fixed: wrong commands for parsing $linux_cmd

 -- Steven Shiau <steven@clonezilla.org>  Tue, 30 Jun 2020 16:20:27 +0800

clonezilla (3.39.11-drbl1) unstable; urgency=medium

  * Add a mechanism to create CPU arch tag file in the release root dir.
  * A better mechanism to deal with linuxefi/initrdefi or linux/initrd in
    the grub config.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 29 Jun 2020 16:24:58 +0800

clonezilla (3.39.10-drbl1) unstable; urgency=medium

  * The function get_input_dev_name in ocs-functions should not skip
    LVM if the device is whole block disk (e.g., /dev/sdb which is PV)
  * create-gparted-live: use new package name netsurf-gtk instead of old
    one: netsurf

 -- Steven Shiau <steven@clonezilla.org>  Fri, 19 Jun 2020 10:46:52 +0800

clonezilla (3.39.9-drbl1) unstable; urgency=medium

  * Bug fixed: The function is_block_device_with_fs of ocs-function
    should not treat "LVM2_member" as a file system.
    Thanks to Carlos Trentini for reporting this.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/726d3dd6a8/
  * ocs-iso, ocs-live-dev: sync syslinux-related files when copying syslinux
    exec files.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 16 Jun 2020 13:28:05 +0800

clonezilla (3.39.8-drbl1) unstable; urgency=medium

  * When creating recovery iso/zip file, if it's in Clonezilla live environment,
    we have those syslinux files. Use that first so the version mismatch can be avoided.
    Ref: https://sourceforge.net/p/clonezilla/support-requests/127/

 -- Steven Shiau <steven@clonezilla.org>  Mon, 08 Jun 2020 21:29:53 +0800

clonezilla (3.39.7-drbl1) unstable; urgency=medium

  * ocs-sr: ocs-chkimg should not overwrite /var/lib/clonezilla/ocs-vars.
    Hence backup it before running ocs-chkimg in the restoring mode.
    Thanks for Denis reporting this issue:
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/3f52bb4542

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 Jun 2020 13:15:40 +0800

clonezilla (3.39.6-drbl1) unstable; urgency=medium

  * Add ID for two grub boot menus in the menu generated by
    ocs-live-boot-menu:
    --id live-default
    --id live-kms-toram
    This will be easier for drbl-sl to locate the boot parameters.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 31 May 2020 07:01:26 +0800

clonezilla (3.39.5-drbl1) unstable; urgency=medium

  * Make my email address consistent at clonezilla org for all the files.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 29 May 2020 23:42:51 +0800

clonezilla (3.39.4-drbl1) unstable; urgency=medium

  * grub netboot cfg dir is now at /tftpboot/nbi_img/grub/,
    while for backward compatibility, we still link it to
    /tftpboot/nbi_img/grub-efi.cfg.
  * Use ocswp-grub2.png instead of ocswp.png for grub netboot client.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 29 May 2020 21:05:56 +0800

clonezilla (3.39.3-drbl1) unstable; urgency=medium

  * Bug fixed: No need to run gen-grub-efi-nb-menu in ocs-live-feed-img
    since it's run inside drbl-gen-grub-efi-nb.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 May 2020 15:37:26 +0800

clonezilla (3.39.2-drbl1) unstable; urgency=medium

  * Bug fixed: the grub2 menu created by ocs-live-boot-menu should use
    linuxefi/initrdefi.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 27 May 2020 21:39:42 +0800

clonezilla (3.39.1-drbl1) unstable; urgency=medium

  * ocs-onthefly: bug fix for missing last-lba line
    Previous solution neglecting the last-lba line in sfdisk dumped file
    should not be used in the case that option -k1 is used in ocs-onthefly.
    Thanks to Alex Hughes and JR Bregante for reporting this issue.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/68e1be5cfe/
    https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/491c9eb9ce
  * ocs-function: follow the change linuxefi/initrdefi
    Follow the change in gen-grub-efi-nb-menu, the grub command in the
    grub config file is now linuxefi/initrdefi instead of linux/initrd.
    Hence the corresponding functions have to be
    changed:
    remove_runlevel_1_in_grub_efi_cfg_block
    remove_runlevel_1_in_grub_efi_cfg_block
  * ocsmgrd: generate grub netboot file with new name.
    To avoid conflict with the patch of grub in CentOS/Fedora,
    for GRUB EFI NB MAC/IP config style, the netboot file is now like
    grub.cfg-drbl-00:50:56:01:01:01
    and
    grub.cfg-drbl-192.168.177.2
    not grub.cfg-01-* anymore.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 27 May 2020 09:42:09 +0800

clonezilla (3.38.16-drbl1) unstable; urgency=medium

  * Add reserved words 'all' and 'all-but-usb' for the image and device
    name. This is especially for using in the BT from device mode in
    ocs-live-feed-img.
  * Update USAGE for ocs-sr about the reserved word 'all' for saving mode.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 09 May 2020 18:31:47 +0800

clonezilla (3.38.15-drbl1) unstable; urgency=medium

  * Update ocs-live-repository so that ram_disk is one of the option.
    It can be done by using ram://.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 08 May 2020 14:36:34 +0800

clonezilla (3.38.14-drbl1) unstable; urgency=medium

  * Fix wrong syntax in create-ubuntu-live.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 05 May 2020 14:43:22 +0800

clonezilla (3.38.13-drbl1) unstable; urgency=medium

  * Add support for creating groovy-based live system.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 05 May 2020 14:32:41 +0800

clonezilla (3.38.12-drbl1) unstable; urgency=medium

  * Neglect the line "last-lba:..." for the GPT partition table.
    This allows something like:
    64 GB disk with a 20 GB NTFS partition, disk clone to >= 20 GB disk.
    This is harmless when same sizes of disk cloning or smaller to larger
    case.
    The option -icds is required when larger disk is cloned/restored to
    smaller one, no need to use -k1 in this case.
    Thanks to panreyes for this idea.
    Ref: https://sourceforge.net/p/clonezilla/bugs/342/

 -- Steven Shiau <steven@clonezilla.org>  Tue, 28 Apr 2020 22:16:38 +0800

clonezilla (3.38.11-drbl1) unstable; urgency=medium

  *  Add batch mode, and instead of countdown, pause it when rc is not 0
     for ocs-run-boot-param.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 14 Apr 2020 07:04:01 +0800

clonezilla (3.38.10-drbl1) unstable; urgency=medium

  * Countdown 10 secs when there is a failure ocs-run-boot-param.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 12 Apr 2020 16:05:47 +0800

clonezilla (3.38.9-drbl1) unstable; urgency=medium

  * Update USAGE, add  checking required programs & improve exit function
    of ocs-live-swap-kernel.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 06 Apr 2020 10:28:28 +0800

clonezilla (3.38.8-drbl1) unstable; urgency=medium

  * Add a new program ocs-live-swap-kernel which can be used to swap
    Linux kernel and modules in clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 22 Mar 2020 22:12:33 +0800

clonezilla (3.38.7-drbl1) unstable; urgency=medium

  * Improve decide_MKSQUASHFS_OPTIONS so that it can be
    optionally assigned with an arg.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 21 Mar 2020 10:23:43 +0800

clonezilla (3.38.6-drbl1) unstable; urgency=medium

  * Improve get_latest_kernel_ver_in_repository to 
    make get_latest_kernel_ver_in_repository work for creating
    Debian-based and Ubuntu-based live system. 

 -- Steven Shiau <steven@clonezilla.org>  Sun, 15 Mar 2020 12:07:23 +0800

clonezilla (3.38.5-drbl1) unstable; urgency=medium

  * Add support for creating Clonezilla live in armhf arch.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 14 Mar 2020 17:16:46 +0800

clonezilla (3.38.4-drbl1) unstable; urgency=medium

  * Bug fixed: To RAM option was not put in the large font+To RAM
    boot menu.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 11 Mar 2020 20:40:12 +0800

clonezilla (3.38.3-drbl1) unstable; urgency=medium

  * put --distribution before --mode in the lb config in create-ubuntu-live. 

 -- Steven Shiau <steven@clonezilla.org>  Wed, 11 Mar 2020 11:18:52 +0800

clonezilla (3.38.2-drbl1) unstable; urgency=medium

  * Improve get_latest_kernel_ver_in_repository to work with arm64.
  * Put lb config --distribution in the beginning for create-*-live,
    otherwise live-build 20191221 won't work.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 11 Mar 2020 10:56:54 +0800

clonezilla (3.38.1-drbl1) unstable; urgency=medium

  * Replace pzstd by zstdmt.
    Thanks to Lord65 (lord5319 _at_ gmail com) for this idea.
    Ref: https://github.com/facebook/zstd/pull/1192#issuecomment-397599977
  * Change large font boot menu as large font + toram.
  * Improve the codes to create Clonezilla live arm64 release.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 10 Mar 2020 20:56:09 +0800

clonezilla (3.37.22-drbl1) unstable; urgency=medium

  * Improve ocs-restore-mdisks by adding option -a|--last-action to separate
    the last action before it's finished.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 02 Mar 2020 21:14:59 +0800

clonezilla (3.37.21-drbl1) unstable; urgency=medium

  * Fix the issue ocs-restore-mdisks failed to return to cmd:
    https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/366eeabc42/
    ocs-live-final-action was improved for usage.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 01 Mar 2020 15:02:12 +0800

clonezilla (3.37.20-drbl1) unstable; urgency=medium

  * Bug fixed TYPE=isw_raid_member should not be a supported file system for
    ocs-get-part-info to give. Thanks to Domenic DiSorbo for reporting this
    issue.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 21 Feb 2020 12:20:08 +0800

clonezilla (3.37.19-drbl1) unstable; urgency=medium

  * Move the stdout (-) to the last option for lrzip.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 28 Jan 2020 23:58:24 +0800

clonezilla (3.37.18-drbl1) unstable; urgency=medium

  * Add Variables for the buffer size of dd & partclone.dd in drbl-ocs.conf:
    dd_buffer_size & partclone_dd_bs.
    They are used in the related functions of ocs-functions.
    Thanks to cagnulein for reporting this issue.
    Ref: https://gitlab.com/stevenshiau/clonezilla/merge_requests/42

 -- Steven Shiau <steven@clonezilla.org>  Thu, 26 Dec 2019 08:53:17 +0800

clonezilla (3.37.17-drbl1) unstable; urgency=medium

  * Let a bare block device with a file system (e.g, /dev/sda, not /dev/sda1),
    which we treat as a partition, can be chosen as the destination disk
    when not saving.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 24 Dec 2019 20:46:00 +0800

clonezilla (3.37.16-drbl1) unstable; urgency=medium

  * New upstream partclone_create_torrent.py, use python3:
    https://raw.githubusercontent.com/tjjh89017/ezio/migrate_to_py3/utils/partclone_create_torrent.py
  * Slightly improve BT return status so that ocs-live-feed-img won't
    continue running the rest. Not finished, need improvements in the
    future.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 05 Dec 2019 14:22:20 +0800

clonezilla (3.37.15-drbl1) unstable; urgency=medium

  * Add options -z7/-z8/-z8p/-z9/-z9p to drbl-ocs.
    Ref: https://sourceforge.net/p/drbl/bugs/22/

 -- Steven Shiau <steven@clonezilla.org>  Tue, 03 Dec 2019 21:50:05 +0800

clonezilla (3.37.14-drbl1) unstable; urgency=medium

  * Fix expand tools from using the wrong filename for '.info' files.
    See merge request stevenshiau/clonezilla!41

 -- Steven Shiau <steven@clonezilla.org>  Sun, 01 Dec 2019 21:42:14 +0800

clonezilla (3.37.13-drbl1) unstable; urgency=medium

  * Remove nonempty from sshfs mouting
    since fuse3 has used it by default.
    Ref: https://github.com/libfuse/libfuse/commit/0bef21e8

 -- Steven Shiau <steven@clonezilla.org>  Wed, 20 Nov 2019 14:36:45 +0800

clonezilla (3.37.12-drbl1) unstable; urgency=medium

  * Temporarily remove swift repository from the list of prep-ocsroot
    since cloudfuse package is not maintained anymore.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Nov 2019 17:16:08 +0800

clonezilla (3.37.11-drbl1) unstable; urgency=medium

  * Generate locales in the post script of singularity definition file

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Nov 2019 15:00:27 +0800

clonezilla (3.37.10-drbl1) unstable; urgency=medium

  * A workaround was added to avoid partclone wrongly detects device is
    busy in Singularity environment:
    https://github.com/sylabs/singularity/issues/4182
    Otherwise Partclone will fail due to block device status not found

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Nov 2019 05:59:04 +0800

clonezilla (3.37.9-drbl1) unstable; urgency=medium

  * Add a workaround for singularity-debian-ocs.def so that
    the weird keyboard-configuration won't be asked interactively.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 08 Nov 2019 10:50:08 +0800

clonezilla (3.37.8-drbl1) unstable; urgency=medium

  * Make create-ubuntu-live work for Ubuntu Focal.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 06 Nov 2019 13:40:03 +0800

clonezilla (3.37.7-drbl1) unstable; urgency=medium

  * Only mail the results to root as MTA is running.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 18 Oct 2019 08:36:15 +0800

clonezilla (3.37.6-drbl1) unstable; urgency=medium

  * Exclude "-oracle" Linux kernel (e.g., linux-image-5.0.0-1004-oracle)
    so that the generic kernel can be used in Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 16 Oct 2019 05:39:57 +0800

clonezilla (3.37.5-drbl1) unstable; urgency=medium

  * An option "-ps" or "--play-sound" was added in expert mode so that when
    Clonezilla job is done, a sound can be played.
    Thanks to David McCracken (daveski at localnet com) for suggesting this.
  * Bug fixed: machine-id should not be created in 2nd partition if it
    exists due to the flag is not reset.
    Thanks to czfan for reporting this issue:
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/ccb439f3da/

 -- Steven Shiau <steven@clonezilla.org>  Tue, 15 Oct 2019 22:52:53 +0800

clonezilla (3.37.4-drbl1) unstable; urgency=medium

  * Fix recovery Clonezilla live iso/zip issue with ocs-iso
    and ocs-live-dev due to the recently modified syslinux
    x86 and x64 path.
    Thanks to Steeve Gagne for reporting this issue.
    Ref: https://sourceforge.net/p/clonezilla/bugs/331/

 -- Steven Shiau <steven@clonezilla.org>  Sun, 22 Sep 2019 22:09:20 +0800

clonezilla (3.37.3-drbl1) unstable; urgency=medium

  * Use function to get the variable mail_client in ocs-functions
    so that it can be reused in both multicast and BT functions.
  * When stopping then starting ocs-live-feed-img, clean stale
    netboot files only when the mode is to run dhcpd.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 21 Sep 2019 18:43:03 +0800

clonezilla (3.37.2-drbl1) unstable; urgency=medium

  * Bug fixed:The assigned IP address of eth port in
    ocs-live-feed-img should be paswd to ocs-btsrv.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 19 Sep 2019 15:29:38 +0800

clonezilla (3.37.1-drbl1) unstable; urgency=medium

  * Implement the code to work with bare block device with file system, e.g,
    /dev/md0 with file system ext4. This type of device will be treated as
    a partition.
  * Format the inputted variable dest_dev of ocs-live-get-img as
    device name without /dev, e.g. sda instead of /dev/sda
  * Rewrite ocs-live-feed-img and ocs-functions so they are more readable.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 17 Sep 2019 16:30:10 +0800

clonezilla (3.36.12-drbl1) unstable; urgency=medium

  * Add --dest-dev to ocs-live-get-img so that the destination disk in the
    BT client can be different from the source disk.
  * Add -bt-iface for ocs-live-feed-img so that the ethernet port can be
    assigned in BT mode.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 11 Sep 2019 21:37:09 +0800

clonezilla (3.36.11-drbl1) unstable; urgency=medium

  * A workaround to start lighttpd when PID=1 program is not systemd, which
    makes "systemctl start lighttpd" fail.
  * Add the option "-icol" to ocs-live-get-img.
  * Update the comments in singularity-debian-ocs.def.
    Rename singularity-debian-ocs as singularity-debian-ocs.def.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 08 Sep 2019 18:28:21 +0800

clonezilla (3.36.10-drbl1) unstable; urgency=medium

  * Add an option -icol for ocs-live-feed-img which can be used to skip
    checking the running environment is Clonezilla live or not.
    Move the part about network configuration and dhcp mode as a function.
  * Add a Singularity recipe sample file singularity-debian-ocs which
    can be used to create a Singularity image.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 07 Sep 2019 13:11:08 +0800

clonezilla (3.36.9-drbl1) unstable; urgency=medium

  * Use different variables for amd64 and x86 live system from drbl.conf
    when creating clonezilla/drbl live:
    PKG_FROM_DBN_WHICH_OCS_LIVE_NEED_X86_64_ONLY
    PKG_FROM_DBN_WHICH_OCS_LIVE_NEED_X86_ONLY

 -- Steven Shiau <steven@clonezilla.org>  Tue, 03 Sep 2019 07:04:03 +0800

clonezilla (3.36.8-drbl1) unstable; urgency=medium

  * Add prompt about removing MBR partition table. 

 -- Steven Shiau <steven@clonezilla.org>  Mon, 02 Sep 2019 14:42:23 +0800

clonezilla (3.36.7-drbl1) unstable; urgency=medium

  * Add contrib and update default distribution for create-debina-live,
    create-drbl-live and create-gparted-live.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 01 Sep 2019 21:41:02 +0800

clonezilla (3.36.6-drbl1) unstable; urgency=medium

  * create-usb-2P-pt-sf: Change the default fs for 1st part as vfat.
    In addition, add an new option -f so that the file system for 1st
    partition can be assigned.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 26 Aug 2019 22:10:35 +0800

clonezilla (3.36.5-drbl1) unstable; urgency=medium

  * Add boot parameter enforcing=0 for live system. This can make
    poweroff/reboot more smoothly.
  * Run "ocs-btsrv stop" instead of "ocs-live-feed-img stop". This should
    keep the same mechanism for the previous versions in the boot menu
    of clients.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 21 Aug 2019 15:11:46 +0800

clonezilla (3.36.4-drbl1) unstable; urgency=medium

  * stop_ocs_service of ocs-functions wrongly parses -m option.
    Make PXE and uEFI netboot have same menu when stop_ocs_service is run
    for NFSroot mode.
  * Stop ocs-related services when lite service is done so that
    poweroff/reboot will work smoothly.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 20 Aug 2019 10:37:47 +0800

clonezilla (3.36.3-drbl1) unstable; urgency=medium

  * Switch to use gen-torrent-from-ptcl to create torrent file from
    torrent.info, not using transmission-create anymore. This could
    save a lot of time when the source image is big.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 19 Aug 2019 21:52:25 +0800

clonezilla (3.36.2-drbl1) unstable; urgency=medium

  * Rename the file torrent.info as something like sda1.torrent.info when
    running BT from device mode in ocs-gen-bt-metainfo.
    That file can be useful for debugging.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 19 Aug 2019 13:12:42 +0800

clonezilla (3.36.1-drbl1) unstable; urgency=medium

  * Deprecate the option -m for ocs-btsrv since we will switch to use kill
    to terminate the tracker.
  * Due to an issue of using gen-torrent-from-ptcl to
    convert the torrent.info to torrent file, temporarily revert to use
    transmission-create to generate the torrent file.
    In addition, drop the "-k 60" parameter for ezio seeder
    (ezio_seeder_opt).

 -- Steven Shiau <steven@clonezilla.org>  Sun, 18 Aug 2019 13:16:52 +0800

clonezilla (3.35.12-drbl1) unstable; urgency=medium

  * Avoid torrent.info created by Partclone being included in the torrent
    file. 

 -- Steven Shiau <steven@clonezilla.org>  Fri, 16 Aug 2019 09:41:14 +0800

clonezilla (3.35.11-drbl1) unstable; urgency=medium

  * Modify parameters about BT in drbl-ocs.conf:
    Switch to use gen-torrent-from-ptcl (ezio-ptcl)
    Remove "-t 3" from ezio_seeder_opt, now
    ezio_seeder_opt="-k 60"
  * Use gen-torrent-from-ptcl to create torrent file from torrent.info,
    which is generated by Partclone when creating BT slices.
    This can:
    (1) Avoid the issue that torrent.info not found in the
        BT client's hard drive.
    (2) Increase the performance when creating torrent file. Program
        transmission-create was used to scan the slices dir that might take
        a lot of time. While gen-torrent-from-ptcl (partclone_create_torrent.py)
        requires the small summary file "torrent.info" only.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 15 Aug 2019 22:20:05 +0800

clonezilla (3.35.10-drbl1) unstable; urgency=medium

  * Improve the check_input_* functions. Make them wait for press a key then
    continue when not in the batch mode. This could avoid the last dialog
    menu overwrite the error messages.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 13 Aug 2019 20:15:25 +0800

clonezilla (3.35.9-drbl1) unstable; urgency=medium

  * Update samples/custom-ocs-3, add more checking.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 12 Aug 2019 23:00:07 +0800

clonezilla (3.35.8-drbl1) unstable; urgency=medium

  * Add a new sample program custom-ocs-3.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 12 Aug 2019 12:43:55 +0800

clonezilla (3.35.7-drbl1) unstable; urgency=medium

  * Improved the disk full test function:
    /usr/share/drbl/sbin/ocs-functions:disk_full_test()
    Should use mktemp instead of the fixed file name.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/d3f3bfb5/

 -- Steven Shiau <steven@clonezilla.org>  Tue, 30 Jul 2019 15:02:14 +0800

clonezilla (3.35.6-drbl1) unstable; urgency=medium

  * Only re-gen the machine id in the right fs when running
    ocs-tux-postprocess.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 23 Jul 2019 10:49:44 +0800

clonezilla (3.35.5-drbl1) unstable; urgency=medium

  * Update the mechanism to generate new machine-id for restored GNU/Linux.
    Thanks to Peter Sun for reporting the issue and providing the solution.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 22 Jul 2019 21:22:11 +0800

clonezilla (3.35.4-drbl1) unstable; urgency=medium

  * Add hotkey for boot menu "To RAM" (R) and KMS (K) modes.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 21 Jul 2019 16:28:49 +0800

clonezilla (3.35.3-drbl1) unstable; urgency=medium

  * Add option -iui for ocs-onthefly, and implement the ocs-update-initrd
    for restored GNU/Linux.
  * Bug fixed: the source IP address for disk to remote disk was not shown
    in the source (server) side when there is one NIC configured.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 19 Jul 2019 00:03:01 +0800

clonezilla (3.35.2-drbl1) unstable; urgency=medium

  * Reuse ocs-gen-grub2-efi-bldr for drbl-usb-netinstall. Make appropriate
    changes for uEFI booting use case.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 12 Jul 2019 09:42:05 +0800

clonezilla (3.35.1-drbl1) unstable; urgency=medium

  * Deprecate Partimage, i.e. no more depending on Partimage.
    Since it's not in the Debian Buster repository.
    It's only recommended to install, not a required package.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 05 Jul 2019 14:19:12 +0800

clonezilla (3.34.8-drbl1) unstable; urgency=medium

  * Enable ntfs module in live initramfs.
    Ref: http://gparted-forum.surf4.info/viewtopic.php?id=17840

 -- Steven Shiau <steven@clonezilla.org>  Wed, 26 Jun 2019 20:10:15 +0800

clonezilla (3.34.7-drbl1) unstable; urgency=medium

  * Make sure label will have one name only in update-efi-nvram-boot-entry.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 18 Jun 2019 08:21:45 +0800

clonezilla (3.34.6-drbl1) unstable; urgency=medium

  * Give warning about failing to create initrd in the restored OS due to different
    system architecture (e.g., i686 vs x86-64) for ocs-update-initrd.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 12 Jun 2019 13:52:50 +0800

clonezilla (3.34.5-drbl1) unstable; urgency=medium

  * Bind mount /sys before running chroot for dracut,
    otherwise for RHEL 8, it will run very slow.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 11 Jun 2019 13:26:50 +0800

clonezilla (3.34.4-drbl1) unstable; urgency=medium

  * Improve the mechanism to clean and sort the boot entries in the NVRAM.
    The duplicated or useless boot entries will be cleaned.
    Make the codes in update-efi-nvram-boot-entry more readable.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 10 Jun 2019 21:24:04 +0800

clonezilla (3.34.3-drbl1) unstable; urgency=medium

  * Add a mechanism to clean unused uEFI boot entry in NVRAM.
  * Use /tmp instead of /var/tmp for dracut. This could avoid the failure
    for running dracut when /var is not in the chroot / environment.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 09 Jun 2019 10:44:46 +0800

clonezilla (3.34.2-drbl1) unstable; urgency=medium

  * Improve the mechanism to update uEFI nvram boot entry. It's the same way
    as boot-local-efi.cfg.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 03 Jun 2019 21:45:18 +0800

clonezilla (3.34.1-drbl1) unstable; urgency=medium

  * Default to run ocs-update-initrd for the restored OS when running ocs-sr.
    This helps to make initramfs work for different hardware.
    The option "-iui" can be used for ocs-sr to ignore running ocs-update-initrd.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 02 Jun 2019 20:17:44 +0800

clonezilla (3.33.36-drbl1) unstable; urgency=medium

  * Add prompt about entering uEFI firmware setup.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 29 May 2019 11:00:41 +0800

clonezilla (3.33.35-drbl1) unstable; urgency=medium

  * uEFI boot menu of GParted live was corrected. It was Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 25 May 2019 18:00:15 +0800

clonezilla (3.33.34-drbl1) unstable; urgency=medium

  * Program gparted-console-font-size was improved, no need to load language
    file.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 23 May 2019 10:03:54 +0800

clonezilla (3.33.33-drbl1) unstable; urgency=medium

  * Improve ocs-live-boot-menu, so the new sorted uEFI menu
    works for GParted live

 -- Steven Shiau <steven@clonezilla.org>  Thu, 23 May 2019 06:52:16 +0800

clonezilla (3.33.32-drbl1) unstable; urgency=medium

  * Tune more menus for uEFI boot menu, including:
    1. Make wording more consistent
    2. Show countdown and can be skipped by pressing Esc key when running sleep
       (sleep --verbose --interruptible 10).

 -- Steven Shiau <steven@clonezilla.org>  Fri, 17 May 2019 21:54:14 +0800

clonezilla (3.33.31-drbl1) unstable; urgency=medium

  * Add two more menus in uEFI boot menu:
    1. uEFI firmware setup
    2. Clonezilla live version info

 -- Steven Shiau <steven@clonezilla.org>  Fri, 17 May 2019 20:45:42 +0800

clonezilla (3.33.30-drbl1) unstable; urgency=medium

  * Integrated backup plan in boot-local-efi.cfg. Hence the regexp
    issue in Ubuntu's grub2 can be workarounded.
    Ref: https://bugs.launchpad.net/bugs/1829331

 -- Steven Shiau <steven@clonezilla.org>  Fri, 17 May 2019 11:50:52 +0800

clonezilla (3.33.29-drbl1) unstable; urgency=medium

  * Add backup plan for local boot in the Clonezilla live boot menu
    in case boot-local-efi.cfg fails, since there is
    a bug in Ubuntu's grub commands, including regexp, probe...:
    https://bugs.launchpad.net/bugs/1829331

 -- Steven Shiau <steven@clonezilla.org>  Thu, 16 May 2019 21:58:20 +0800

clonezilla (3.33.28-drbl1) unstable; urgency=medium

  * A better mechanism (boot-local-efi.cfg) to detect EFI boot loader
    and boot it was implemented.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 15 May 2019 15:03:40 +0800

clonezilla (3.33.27-drbl1) unstable; urgency=medium

  * Add hotkey l (large font) for syslinux boot menu.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 14 May 2019 08:28:50 +0800

clonezilla (3.33.26-drbl1) unstable; urgency=medium

  * Sorted the boot menu, and added a hotkey (l) for large font boot
    menu in Clonezilla live uEFI booting.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 13 May 2019 15:37:57 +0800

clonezilla (3.33.25-drbl1) unstable; urgency=medium

  * Append dirs "boot,.disk,utils" to toram parameter. This would make To
    RAM option can be used for creating recovery iso/zip.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 11 May 2019 13:31:05 +0800

clonezilla (3.33.24-drbl1) unstable; urgency=medium

  * Add option "-t 1 -k 60" for ezio on server side.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 09 May 2019 16:23:41 +0800

clonezilla (3.33.23-drbl1) unstable; urgency=medium

  * Bug fixed: add a large font menu for uEFI mode in Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 08 May 2019 16:58:53 +0800

clonezilla (3.33.22-drbl1) unstable; urgency=medium

  * Add a large font menu for uEFI mode in Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 08 May 2019 16:35:09 +0800

clonezilla (3.33.21-drbl1) unstable; urgency=medium

  * Add a boot menu "KMS with large fonts" for Clonezilla live.
  * No need to press enter when batch mode is off about warning MBR disk > 4 TB.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 08 May 2019 11:35:17 +0800

clonezilla (3.33.20-drbl1) unstable; urgency=medium

  * Make create-ubuntu-live work for eoan.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 29 Apr 2019 06:09:04 +0800

clonezilla (3.33.19-drbl1) unstable; urgency=medium

  * Bug fixed: can't create disk image if swap is provided by logical volume
    listed in crypttab.
    Thanks to Constantino Michailidis for providing the patch file.
    Ref: https://sourceforge.net/p/clonezilla/bugs/314/

 -- Steven Shiau <steven@clonezilla.org>  Tue, 09 Apr 2019 05:24:52 +0800

clonezilla (3.33.18-drbl1) unstable; urgency=medium

  * Add sleep .1 before cat /proc/partitions to file.
    Thanks to Zibarov Volodymyr.
    Ref: https://sourceforge.net/p/clonezilla/bugs/318/

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Mar 2019 22:51:16 +0800

clonezilla (3.33.17-drbl1) unstable; urgency=medium

  * Bug fixed: should only keep libgl1-mesa-dri, while remove other packages.
    i.e., assign unnecessary_packages="xorg-docs-core xfonts-100dpi
    xfonts-75dpi xfonts-scalable" for GParted live.
  * Add USB NIC modules in initramfs of live system.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_server_edition/thread/de7c4f810a/

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Mar 2019 03:08:22 +0800

clonezilla (3.33.16-drbl1) unstable; urgency=medium

  * Keep more x-related packages in GParted live:
    xorg-docs-core xfonts-100dpi xfonts-75dpi xfonts-scalable

 -- Steven Shiau <steven@clonezilla.org>  Thu, 21 Mar 2019 20:38:01 +0800

clonezilla (3.33.15-drbl1) unstable; urgency=medium

  * Replace leafpad by geany in DRBL live and GParted live 
    since leafpad is no more in Debian repository.
  * Keep libgl1-mesa-dri in GParted live because many x-related packages
    depend on it.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 21 Mar 2019 18:12:06 +0800

clonezilla (3.33.14-drbl1) unstable; urgency=medium

  * Make rsync follow link in ocs-iso-2-onie.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 08 Mar 2019 19:55:14 +0800

clonezilla (3.33.13-drbl1) unstable; urgency=medium

  * Keep the pseudo image dir by adding a tag file 00-pseudo-img-note.txt
    inside it.
  * Change ezio_seeder_extra_opt as ezio_seeder_opt.
    Add two more options: ezio_leecher_opt and ezio_common_opt in
    drbl-ocs.conf. These three options can also be overwritten 
    if it's assigned in boot parameters.
  * Assign "-t 1" for ezio_leecher_opt so that ezio will timeout in 1 min.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 07 Mar 2019 12:58:44 +0800

clonezilla (3.33.12-drbl1) unstable; urgency=medium

  * Bug fixed: label parsed from EFI boot entry was wrong
    when multiple OSs are available. This should fix the issue that bricks
    Dell's machine:
    https://sourceforge.net/p/clonezilla/bugs/310/
    Thanks to Dell US & Taiwan, and AMI Taiwan.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 18 Feb 2019 06:50:47 +0800

clonezilla (3.33.11-drbl1) unstable; urgency=medium

  * Suppress error message of mkswapfile service stop only when it's added
    in systemd.
    Bug fixed: live USB version of Clonezilla live should not link
    /home/partimag to /run/live/medium/home/partimag/ when there is no
    images exist in /run/live/medium/home/partimag/. The find command was
    wrong.
  * Bugs fixed: -p poweroff failed for saveparts.
    Option "-p poweroff" did not work when saving partition image with
    image checking is enabled. Previous fix only works for savedisk.
    Thanks to ski-777 for reporting this.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/ff5b0d60

 -- Steven Shiau <steven@clonezilla.org>  Sun, 10 Feb 2019 21:48:06 +0800

clonezilla (3.33.10-drbl1) unstable; urgency=medium

  * Bug fixed: failed to detect ezio process for BT from image.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 23 Jan 2019 16:35:24 +0800

clonezilla (3.33.9-drbl1) unstable; urgency=medium

  * Bug fixed: in LV only, no partition case the BT service
    was not started.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 23 Jan 2019 10:34:56 +0800

clonezilla (3.33.8-drbl1) unstable; urgency=medium

  * Enable secure boot support when creating Debian live system
    (create-debian-live).
    However, it's still not ready for secure boot:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=920144

 -- Steven Shiau <steven@clonezilla.org>  Tue, 22 Jan 2019 15:26:44 +0800

clonezilla (3.33.7-drbl1) unstable; urgency=medium

  * Set ezio_cache_ratio as 0.7 since we use one ezio process only for all
    the partitions and LVs.
  * Only one ezio process only for both parts and LVs. This is easier to
    allow ezio to control the cache size.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 21 Jan 2019 22:09:24 +0800

clonezilla (3.33.6-drbl1) unstable; urgency=medium

  * The nuttcp in ocs-onthefly should run with -P and -p so that
    multiple nuttcp processes can be run simultaneously.
    Add dialog for choosing compression algorithm in expert mode.
    Option "-u" was added in the dialog of expert mode.
  * To avoid OOM killer to kill ezio, we use the multi torrent files support
    (ezio >= 1.1.6) and limit the cache size. It can be tuned by
    ezio_cache_ratio in drbl-ocs.conf.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 17 Jan 2019 22:47:42 +0800

clonezilla (3.33.5-drbl1) unstable; urgency=medium

  * Bug fixed: better way to check ptcl_2_torrent_prog
    in ocs-gen-bt-metainfo.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 14 Jan 2019 15:12:47 +0800

clonezilla (3.33.4-drbl1) unstable; urgency=medium

  * Add a mechanism to reuse image for BT from disk mode. The option
    -mdst-img can be used to assign the existing pseudo image.
  * Add a backup plan to use gen-torrent-from-ptcl when ezio-static is used,
    no partclone_create_torrent.py is available.
  * Add gen-torrent-from-ptcl as a backup for partclone_create_torrent.py
    when ezio-static package is used.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 14 Jan 2019 14:50:53 +0800

clonezilla (3.33.3-drbl1) unstable; urgency=medium

  * Add nuttcp as an option for ocs-onthefly, the -u, --use-nuttcp can be
    used.
  * Bug fixed: For CentOS 7, the ncat need the option "--recv-only" in the
    client.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 13 Jan 2019 19:41:36 +0800

clonezilla (3.33.2-drbl1) unstable; urgency=medium

  * New mechanism was added: instead of using Partclone image as the BT
    source, the local device (whole disk or partitions) can be as the
    source, too.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 12 Jan 2019 15:53:18 +0800

clonezilla (3.33.1-drbl1) unstable; urgency=medium

  * Enlarge ramfs_size_def as 7 GB for create-debian-live and
    create-ubuntu-live.
  * Add a new program ocs-gen-bt-metainfo for later use.
  * Add an option for skipping file system save. This is used to create a
    pseudo image for BT from device. (not ready yet)
  * Two more variables were added in drbl-ocs.conf: p_length_transmission
    and bt_buffer_size. Later version will need them.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 11 Jan 2019 21:08:33 +0800

clonezilla (3.32.22-drbl1) unstable; urgency=medium

  * To RAM option should also copy EFI dir so that the recovery iso/zip
    script works.
    Thanks to Mr. Brandon Lancaster for reporting this issue.
  * Not to check source device busy in network mode for ocs-onthefly. Thanks
    to Xuewen Wang for providing this patch.
    Ref: https://github.com/stevenshiau/clonezilla/pull/42

 -- Steven Shiau <steven@clonezilla.org>  Mon, 31 Dec 2018 14:01:30 +0800

clonezilla (3.32.21-drbl1) unstable; urgency=medium

  * Blacklist Dell machine for update-efi-nvram-boot-entry due to these
    issues:
    https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/9fc9c4dee3/
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/76ba35a226/
    https://sourceforge.net/p/clonezilla/bugs/310/ 

 -- Steven Shiau <steven@clonezilla.org>  Mon, 17 Dec 2018 11:52:07 +0800

clonezilla (3.32.20-drbl1) unstable; urgency=medium

  * Use https instead of http to show related URL.
    http://clonezilla.org -> https://clonezilla.org
    http://drbl.org -> https://drbl.org
    http://gparted.org -> https://gparted.org

 -- Steven Shiau <steven@clonezilla.org>  Fri, 14 Dec 2018 08:30:05 +0800

clonezilla (3.32.19-drbl1) unstable; urgency=medium

  * Make all the modes of files in Clonezilla live zip be writable
    so that the uncompressed files can be removed easily with rm -rf.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 11 Dec 2018 21:59:53 +0800

clonezilla (3.32.18-drbl1) unstable; urgency=medium

  * Let live-build deal with DRBL and GParted live's uEFI boot.
    Due to this, the changes:
    1. /boot/grub/efiboot.img is /boot/grub/efi.img now.
    2. /EFI/boot/grub.cfg is moved to /boot/grub/grub.cfg now.
  * Add options (-rs and -er) for create-{drbl|gparted}-live to use
    RAMFS as live-build working dir.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 08 Dec 2018 14:25:52 +0800

clonezilla (3.32.17-drbl1) unstable; urgency=medium

  * Disable espeakup service when creating DRBL/Clonezilla live
    due to it's auto started in espeakup >= 1:0.80-11.
    Ref: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=911120
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/aed3724275
    Thanks to Eduardo for reporting this.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 06 Dec 2018 09:01:03 +0800

clonezilla (3.32.16-drbl1) unstable; urgency=medium

  * A workaround to avoid TERM "xterm-256color" crashing Partclone:
    https://sourceforge.net/p/clonezilla/bugs/305/
    Thanks to Laurent B for reporting this.
  * Option "-p poweroff" did not work when saving image with image
    checking is enabled. Thanks to Eduardo for reporting this.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 04 Dec 2018 22:45:41 +0800

clonezilla (3.32.15-drbl1) unstable; urgency=medium

  * Add an option (-r) for create-debian-live and create-ubuntu-live to use
    RAMFS as live-build working dir.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 02 Dec 2018 20:54:25 +0800

clonezilla (3.32.14-drbl1) unstable; urgency=medium

  * Add support for creating Ubuntu 19.04 live system. 
    The mechanism to add non-free firmwares was broken due to Ubuntu 19.04
    start using UsrMerge, and it was fixed in this release.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 21 Nov 2018 10:36:17 +0800

clonezilla (3.32.13-drbl1) unstable; urgency=medium

  * Bug fixed: return code for checksum was wrong.
    Thanks to Korver.Kirk (Kirk.Korver _at_ IGT com) for reporting this.
    Ref: https://sourceforge.net/p/clonezilla/mailman/message/36454003/

 -- Steven Shiau <steven@clonezilla.org>  Sun, 18 Nov 2018 14:55:19 +0800

clonezilla (3.32.12-drbl1) unstable; urgency=medium

  * Set buffer size of BT slices as 16 MB. Thanks to Date Huang.
    Ref: https://gitlab.com/stevenshiau/clonezilla/merge_requests/38

 -- Steven Shiau <steven@clonezilla.org>  Tue, 30 Oct 2018 21:17:39 +0800

clonezilla (3.32.11-drbl1) unstable; urgency=medium

  * Bug fixed: remove the extra "-r" option in partclone.dd
    for multicast restoring.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 28 Oct 2018 14:13:16 +0800

clonezilla (3.32.10-drbl1) unstable; urgency=medium

  * Bug fixed: failed to create correct files for BT mechanism when the file
    system is in dd mode. This bug was introduced when ".dd-ptcl-img." file
    format was added.
  * Stop using "--allowed_dir" for ocs-bttrack in ocs-btsrv. This makes
    starting tracker very slow when there are huge number of files in the
    dir.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 28 Oct 2018 10:31:54 +0800

clonezilla (3.32.9-drbl1) unstable; urgency=medium

  * Make unknown fs as "dd", and the image name for partition like:
    sda3.dd-img.aa is now a legacy. It's replaced by
    sda3.dd-ptcl-img.lzma.aa.
    Rewrite the same mechanism in ocs-onthefly.
  * Bug fixed: Failed to detect lzma compression for the partition image
    file $pt.dd-img.aa. Thanks to Phil P.
    Ref: https://sourceforge.net/p/clonezilla/bugs/307/

 -- Steven Shiau <steven@clonezilla.org>  Wed, 24 Oct 2018 10:48:42 +0800

clonezilla (3.32.8-drbl1) unstable; urgency=medium

  * Bug fixed: remove "-i" from fatresize options in ocs-resize-part.
    Thanks to MaDaTyGo for reporting this.
    Ref: https://github.com/stevenshiau/clonezilla/issues/41

 -- Steven Shiau <steven@clonezilla.org>  Sun, 21 Oct 2018 14:37:36 +0800

clonezilla (3.32.7-drbl1) unstable; urgency=medium

  * Disable network-manager by default in DRBL/Clonezilla live. This can
    avoid it automatically starts dhclient, and later conflicts with
    ocs-live-netcfg.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 10 Oct 2018 12:09:36 +0800

clonezilla (3.32.6-drbl1) unstable; urgency=medium

  * Merge variables locale_to_keep_for_X and locale_to_keep_for_no_X as
    locale_to_keep in live-hook of clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 30 Sep 2018 19:17:07 +0800

clonezilla (3.32.5-drbl1) unstable; urgency=medium

  * Keep locales for the name without ".UTF-8", e.g., keep locales for
    both en_US.UTF-8 and en_US when running localepurge as Clonezilla live
    is created.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 29 Sep 2018 16:28:07 +0800

clonezilla (3.32.4-drbl1) unstable; urgency=medium

  * In addition to massive-deployment mode, the interactive-client mode was
    added so that lite server can provide the ability to enter interactive
    mode of Clonezilla live in the clients.
  * Add boot parameter secure_boot_client so that the mechanism of
    secure boot for uEFI client can be enabled with a boot parameters.
    The secure boot mechanism for clients is not complete, because there are
    two limits for signed shim and grub:
    (1) Shim and grub does not honor the proxy offer packet.
        Ref: https://lists.gnu.org/archive/html/grub-devel/2016-04/msg00051.html
             http://lists.thekelleys.org.uk/pipermail/dnsmasq-discuss/2017q1/011347.html
    (2) grub lacks the ability to autoload grub2's config file when
    netbooting. Ref: https://bugzilla.redhat.com/show_bug.cgi?id=873406

 -- Steven Shiau <steven@clonezilla.org>  Tue, 25 Sep 2018 19:43:58 +0800

clonezilla (3.32.3-drbl1) unstable; urgency=medium

  * Show postrun dialog after ocs-live-feed-img is run.
  * Program ocs-chkimg should keep the ocs_sr_mode in
    /var/lib/clonezilla/ocs-vars so that ocs-live-run-menu
    can read it. This can avoid dialog be run
    without waiting for user to press enter. Thanks to Grant Chapman
    (grantdchapman _at_ gmail com) for reporting this issue.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 04 Sep 2018 22:51:36 +0800

clonezilla (3.32.2-drbl1) unstable; urgency=medium

  * Typoes in ocs-onthefly fixed. Thanks to ProBackup-nl.
    Ref: https://github.com/stevenshiau/clonezilla/pull/40/

 -- Steven Shiau <steven@clonezilla.org>  Mon, 27 Aug 2018 14:57:07 +0800

clonezilla (3.32.1-drbl1) unstable; urgency=medium

  * Let live-build 20180618 handle uEFI boot, so
    ocs-put-signed-grub2-efi-bldr and ocs-gen-grub2-efi-bldr are deprecated.
    The changes:
    1. /boot/grub/efiboot.img is /boot/grub/efi.img now.
    2. /EFI/boot/grub.cfg is moved to /boot/grub/grub.cfg now.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 24 Aug 2018 14:00:49 +0800

clonezilla (3.31.8-drbl1) unstable; urgency=medium

  * Temporarily disable dislocker-find in ocs-get-part-info due to some
    issues: (1) It's broken in Debian Sid: https://bugs.debian.org/906430
    (2) https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/e1264596

 -- Steven Shiau <steven@clonezilla.org>  Mon, 20 Aug 2018 08:57:18 +0800

clonezilla (3.31.7-drbl1) unstable; urgency=medium

  * Detect DNS instead of hard coding in ocs-put-signed-grub2-efi-bldr.
  * Wrong path for the log about running ocs-put-signed-grub2-efi-bldr
    in efi-misc-binary-hook

 -- Steven Shiau <steven@clonezilla.org>  Sun, 19 Aug 2018 12:01:08 +0800

clonezilla (3.31.6-drbl1) unstable; urgency=medium

  * Output download status for grub-efi related files in
    efi-misc-binary-hook.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 18 Aug 2018 23:05:49 +0800

clonezilla (3.31.5-drbl1) unstable; urgency=medium

  * A workaround to make Ubuntu resolv.conf work for Ubuntu >= 18.04, only
    for live system.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 11 Aug 2018 11:58:33 +0800

clonezilla (3.31.4-drbl1) unstable; urgency=medium

  * Make get_efi_hd_boot_entry_info of ocs-functions show unique result.
 
 -- Steven Shiau <steven@clonezilla.org>  Thu, 12 Jul 2018 20:18:20 +0800

clonezilla (3.31.3-drbl1) unstable; urgency=medium

  * Bug fixed: a workaround to makes sure that client will notify the
    lite server so that the next boot the client will enter local booting.
    Add ocs_server in the client's boot parameters for Clonezilla lite
    server. This is due to a ps (from procps-ng 3.3.15) issue that somehow
    it can not list the PID by this command: ps -C ocs-live-get-img.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Jun 2018 22:02:21 +0800

clonezilla (3.31.2-drbl1) unstable; urgency=medium

  * Bug fixed: it's /run/live/medium/, not /run/live/medium/live.
    Add /run/live/medium/ in live_media_path_chklist of drbl-ocs.conf
    since 1:20180328 live-boot uses /run/live instead of /lib/live/mount

 -- Steven Shiau <steven@clonezilla.org>  Wed, 06 Jun 2018 07:11:30 +0800

clonezilla (3.31.1-drbl1) unstable; urgency=medium

  * Add /run/live/medium/live in live_media_path_chklist of drbl-ocs.conf
    since 1:20180328 live-boot uses /run/live instead of /lib/live/mount

 -- Steven Shiau <steven@clonezilla.org>  Mon, 04 Jun 2018 19:58:46 +0800

clonezilla (3.30.41-drbl1) unstable; urgency=medium

  * Append "-C" option to partclone when option -icds is enabled in
    restoreparts mode.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Help/thread/3a21b5f4

 -- Steven Shiau <steven@clonezilla.org>  Tue, 22 May 2018 06:58:44 +0800

clonezilla (3.30.40-drbl1) unstable; urgency=medium

  * New a variable ocs_live_exclude_kernels in drbl-ocs.conf so that
    it's easier to use get_latest_kernel_ver_in_repository function
    in ocs-functions.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 18 May 2018 12:31:15 +0800

clonezilla (3.30.39-drbl1) unstable; urgency=medium

  * Make get_latest_kernel_ver_in_repository exclude oem linux kernel.
  * Add support for creating cosmic clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 08 May 2018 22:33:06 +0800

clonezilla (3.30.38-drbl1) unstable; urgency=medium

  * Bug fixed: get-latest-ocs-live-ver failed to get the latest version
    number of Clonezilla live from Sourceforge website.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 16 Apr 2018 22:29:46 +0800

clonezilla (3.30.37-drbl1) unstable; urgency=medium

  * Increase the buffer size of EFI BOOTDISKSIZE.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 12 Apr 2018 20:29:48 +0800

clonezilla (3.30.36-drbl1) unstable; urgency=medium

  * Skip removing old partitions in the ONIE install.sh. No need for
    Clonezilla live.
    Add PATH to install.sh for ONIE.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 02 Apr 2018 06:41:42 +0800

clonezilla (3.30.35-drbl1) unstable; urgency=medium

  * Rewrite part of the codes of ocs-iso-2-onie. Make output messages better
    and easier to read.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 29 Mar 2018 08:48:02 +0800

clonezilla (3.30.34-drbl1) unstable; urgency=medium

  * Add ocs-iso-2-onie which can be used to turn Clonezilla iso to ONIE
    image. It's based on the what Luca Boccassi has patched to Debian live
    Ref: https://salsa.debian.org/live-team/live-build/merge_requests/4

 -- Steven Shiau <steven@clonezilla.org>  Wed, 28 Mar 2018 22:50:14 +0800

clonezilla (3.30.33-drbl1) unstable; urgency=medium

  * Remove package consolekit from DRBL live. It does not exist in Debian
    Sid anymore.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 18 Mar 2018 17:08:34 +0800

clonezilla (3.30.32-drbl1) unstable; urgency=medium

  * Use "dpkg -l" instead of "dpkg -L" to query package in ocs-live-hook
    so that it can accept wildcard in the package name.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 15 Mar 2018 05:44:00 +0800

clonezilla (3.30.31-drbl1) unstable; urgency=medium

  * Force to remove unused linux kernels in hook for clonezilla live:
    linux-image-*-(aws|gcp|lowlatency|azure|kvm). 

 -- Steven Shiau <steven@clonezilla.org>  Wed, 14 Mar 2018 14:38:55 +0800

clonezilla (3.30.30-drbl1) unstable; urgency=medium

  * Update function get_latest_kernel_ver_in_repository to exclude more
    Linux kernels which will not be used on Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 13 Mar 2018 13:48:57 +0800

clonezilla (3.30.29-drbl1) unstable; urgency=medium

  * Bug fixed: jfbterm shold not exit when lite server is running. It would
    terminate the required service for clients to restore image, especially
    BT service in non-English environment.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 06 Mar 2018 16:37:29 +0800

clonezilla (3.30.28-drbl1) unstable; urgency=medium

  * Update get_efi_hd_boot_entry_info in ocs-functions. Make it work for
    some cases with more characters before keyword "HD".

 -- Steven Shiau <steven@clonezilla.org>  Sat, 24 Feb 2018 14:18:37 +0800

clonezilla (3.30.27-drbl1) unstable; urgency=medium

  * Improve function get_efi_hd_boot_entry_info of ocs-functions so it
    covers more cases to get the correct boot_file, e.g., some characters
    before "HD":
    Boot0006* Debian        PciRoot(0x0)/Pci(0x1,0x0)/HD(1,GPT,a314a8b1-b2dd-4b36-96b1-24c99b3ea940,0x800,0x100000)/File(\EFI\debian\grubaa64.efi)
  * Update known_efi_boot_file_chklist in update-efi-nvram-boot-entry by
    adding known ARM64 EFI boot files.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 22 Feb 2018 08:13:52 +0800

clonezilla (3.30.26-drbl1) unstable; urgency=medium

  * Add known ARM64 efi boot files in update-efi-nvram-boot-entry.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 20 Feb 2018 21:41:20 +0800

clonezilla (3.30.25-drbl1) unstable; urgency=medium

  * Bug fixed: cnvt-ocs-dev failed to convert EBR (like sda2-ebr).
    Thanks to killuaDK for reporting this.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Open_discussion/thread/b851e095

 -- Steven Shiau <steven@clonezilla.org>  Tue, 13 Feb 2018 21:13:39 +0800

clonezilla (3.30.24-drbl1) unstable; urgency=medium

  * It's not good to run screen with ocs-scan-disk in speech synthesis mode.
    Thanks to Eigeldinger Simon (simon.eigeldinger _at_ hohenems at) for
    reporting that.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 18 Jan 2018 21:04:42 +0800

clonezilla (3.30.23-drbl1) unstable; urgency=medium

  * Add channel bonding option in ocs-live-netcfg.
    Thanks to  panther_1 for requesting this.
    Ref: https://sourceforge.net/p/clonezilla/support-requests/61/

 -- Steven Shiau <steven@clonezilla.org>  Tue, 09 Jan 2018 12:14:06 +0800

clonezilla (3.30.22-drbl1) unstable; urgency=medium

  * Make prep-ocsroot can use disk block device (e.g., /dev/sdc) as image repository.
    Thanks to Riksoft for requesting this.
    Ref: https://sourceforge.net/p/clonezilla/bugs/288/

 -- Steven Shiau <steven@clonezilla.org>  Sun, 07 Jan 2018 18:10:58 +0800

clonezilla (3.30.21-drbl1) unstable; urgency=medium

  * Bug fixed: add -z9 selection in ocs-cvtimg-comp.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 02 Jan 2018 20:00:55 +0800

clonezilla (3.30.20-drbl1) unstable; urgency=medium

  * Replace all words "M$" by MS. 

 -- Steven Shiau <steven@clonezilla.org>  Tue, 02 Jan 2018 11:22:33 +0800

clonezilla (3.30.19-drbl1) unstable; urgency=medium

  * Bug fixed: duplicated hostname modification selections for multiple disks.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 01 Jan 2018 17:16:25 +0800

clonezilla (3.30.18-drbl1) unstable; urgency=medium

  * Make the function for ocs-chnthn work for device name like
    /dev/nvme0n1p1. This change should really fix the issue reported here:
    https://github.com/stevenshiau/clonezilla/issues/30

 -- Steven Shiau <steven@clonezilla.org>  Mon, 01 Jan 2018 16:18:57 +0800

clonezilla (3.30.17-drbl1) unstable; urgency=medium

  * Add options -pe and -pfe of ocs-sr.
    This allows user to enter password in the command options although
    it's not safe. Thanks to ub2 _at_ gmx ch for requesting this.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/d3af2134

 -- Steven Shiau <steven@clonezilla.org>  Sat, 30 Dec 2017 14:14:52 +0800

clonezilla (3.30.16-drbl1) unstable; urgency=medium

  * Bug fixed: efiboot.img did not work secure boot.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 29 Dec 2017 20:41:27 +0800

clonezilla (3.30.15-drbl1) unstable; urgency=medium

  * Bug fixed: fail to use secure boot loader for Ubuntu based Clonezilla
    live.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 29 Dec 2017 19:12:15 +0800

clonezilla (3.30.14-drbl1) unstable; urgency=medium

  * Add support ARM64 serial console ttyAMA0 autologin.
    Systemd service start-ocs-live.service should wait for ttyAMA0-3 to be
    started.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Dec 2017 22:04:13 +0800

clonezilla (3.30.13-drbl1) unstable; urgency=medium

  * Add support for lz4mt (-z8p).

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Dec 2017 11:40:20 +0800

clonezilla (3.30.12-drbl1) unstable; urgency=medium

  * Add support for zstd/pzstd (-z9/-z9p).
  * Remove "-p 16" for pigz in drbl-ocs.conf. It should let pigz to decide that
    automatically.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 27 Dec 2017 20:33:42 +0800

clonezilla (3.30.11-drbl1) unstable; urgency=medium

  * Bug fixed: ocs-chnthn now supports modifying Win10 hostname.
    Thanks to František Griga for reporting this issue.
    Ref: https://sourceforge.net/p/clonezilla/support-requests/100/
  * Package drbl-chntpw is no more used, and use reged from package chntpw
    now in Debian or Ubuntu system.
  * Switch lz4 option to be "-1" instead of "-3" in drbl-ocs.conf.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 26 Dec 2017 21:16:02 +0800

clonezilla (3.30.10-drbl1) unstable; urgency=medium

  * Force to run inform_kernel_partition_table_changed in the function
    restore_hidden_data_after_MBR of ocs-functions.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 21 Dec 2017 18:47:38 +0800

clonezilla (3.30.9-drbl1) unstable; urgency=medium

  * Better mechanism to detect partition or disk in ocs-chnthn-functions.
    Ref: https://github.com/stevenshiau/clonezilla/issues/30

 -- Steven Shiau <steven@clonezilla.org>  Wed, 13 Dec 2017 05:17:28 +0800

clonezilla (3.30.8-drbl1) unstable; urgency=medium

  * Bug fixed: ocs-iso did not include dir live for ARM64.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 05 Dec 2017 13:01:18 +0800

clonezilla (3.30.7-drbl1) unstable; urgency=medium

  * Do not download grub-pc or grub1 deb in the hook function for ARM64
    arch when creating Clonezilla live.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 04 Dec 2017 21:54:58 +0800

clonezilla (3.30.6-drbl1) unstable; urgency=medium

  * Fix typos in create-debian-live.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 04 Dec 2017 21:16:09 +0800

clonezilla (3.30.5-drbl1) unstable; urgency=medium

  * Use variable PKG_FROM_DBN_WHICH_OCS_LIVE_NEED_ARM64_ONLY so that
    grub-efi-arm64-bin will be added in live system when running
    create-debian-live and create-ubuntu-live for ARM64 system.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 04 Dec 2017 20:41:34 +0800

clonezilla (3.30.4-drbl1) unstable; urgency=medium

  * Improve the ezio seeding log file name.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 04 Dec 2017 09:33:08 +0800

clonezilla (3.30.3-drbl1) unstable; urgency=medium

  * Redirect the output of ezio to /var/log/ezio-seeding.log.
  * Use transmission-edit to update the BT server's IP address instead of
    regenerating it. Thanks to Date Huang for sharing this idea.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 03 Dec 2017 20:54:48 +0800

clonezilla (3.30.2-drbl1) unstable; urgency=medium

  * Add new compression format: lz4 (-z8).

 -- Steven Shiau <steven@clonezilla.org>  Sat, 02 Dec 2017 21:43:11 +0800

clonezilla (3.30.1-drbl1) unstable; urgency=medium

  * Add support for creating ARM64 live system for Clonezilla live
    (create-debian-live and create-ubuntu-live only).
  * Add using ezio as seeder in BT (ocs-btsrv). This should have better
    performance than using ctorrent or aria2c as seeder.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 02 Dec 2017 11:05:33 +0800

clonezilla (3.29.9-drbl1) unstable; urgency=medium

  * Do not remove vmlinuz-* or initrd-* when in arch is arm64 since
    binary_syslinux of live-build is not run. Just rename them as vmlinuz
    and initrd.
  * Make Clonezilla depends on isolinux.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 22 Nov 2017 13:23:30 +0800

clonezilla (3.29.8-drbl1) unstable; urgency=medium

  * Initial support arm64 for create-debian-live and ocs-gen-grub2-efi-bldr.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 20 Nov 2017 21:06:03 +0800

clonezilla (3.29.7-drbl2) unstable; urgency=medium

  * Add depends for arm64 arch. 

 -- Steven Shiau <steven@clonezilla.org>  Sun, 19 Nov 2017 16:20:40 +0800

clonezilla (3.29.7-drbl1) unstable; urgency=medium

  * Bug fixed: useless files and dirs (e.g. efi) were removed when creating
    gparted live and drbl live.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 15 Nov 2017 21:50:59 +0800

clonezilla (3.29.6-drbl1) unstable; urgency=medium

  * Bug fixed: create-gparted-live failed to create GParted iso.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 14 Nov 2017 22:49:41 +0800

clonezilla (3.29.5-drbl1) unstable; urgency=medium

  * Update lh_ver_required and debootstrap_ver_required for live-build 5 and
    bionic in drbl-ocs.conf.
  * Add support for Bionic in create-ubuntu-live.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 01 Nov 2017 07:56:18 +0800

clonezilla (3.29.4-drbl1) unstable; urgency=medium

  * Use xorriso instead of genisoimage when creating DRBL/GParted live iso.
    With this, no need to patch genisoimage to work with EFI booting, and no
    need to run isohybrid for the created iso file.
  * Remove option --bootstrap from create-drbl-live-by-pkg
    since live-build does not support it anymore.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 30 Oct 2017 21:19:35 +0800

clonezilla (3.29.3-drbl1) unstable; urgency=medium

  * Path for efiboot.img was not created first.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 27 Oct 2017 18:19:39 +0800

clonezilla (3.29.2-drbl1) unstable; urgency=medium

  * Put efiboot.img in /boot/grub/ inside zip file.
    Slightly change the way to create efiboot.img for iso file.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 27 Oct 2017 13:55:41 +0800

clonezilla (3.29.1-drbl1) unstable; urgency=medium

  * Make Clonezilla work for live-build v5 (version >= 201602xx)
  * Use xorriso instead of genisoimage when creating Clonezilla live iso.
    With this, no need to patch genisoimage to work with EFI booting, and no
    need to run isohybrid for the created iso file.
  * Add more grub modules in grub boot loader:
    memdisk fat efinet tftp net

 -- Steven Shiau <steven@clonezilla.org>  Thu, 26 Oct 2017 22:24:17 +0800

clonezilla (3.28.10-drbl1) unstable; urgency=medium

  * Do not put "insmod vbe" in grub EFI boot menu. Module vbe is for legacy
    bios.
  * Revert to original ocs-gen-grub2-efi-bldr. Module vbe and pci are for
    legacy BIOS, not for EFI.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 12 Oct 2017 20:08:37 +0800

clonezilla (3.28.9-drbl1) unstable; urgency=medium

  * Better mechanism to add grub2 modules pci and vbe for grub boot loader.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 12 Oct 2017 14:53:11 +0800

clonezilla (3.28.8-drbl1) unstable; urgency=medium

  * Add vbe as one of EFI required modules.
    Ref: https://sourceforge.net/p/clonezilla/bugs/240/

 -- Steven Shiau <steven@clonezilla.org>  Thu, 12 Oct 2017 08:24:30 +0800

clonezilla (3.28.7-drbl1) unstable; urgency=medium

  * Add a workaround to make dnsmasq relay work for uEFI network boot clients.
    i.e., we have to assign the tftp server IP address in grub network
    boot loader. This is only necessary when dnsmasq is used to relay the
    DHCP request from clients to existing DHCP service
    Ref: http://lists.thekelleys.org.uk/pipermail/dnsmasq-discuss/2017q1/011124.html

 -- Steven Shiau <steven@clonezilla.org>  Fri, 29 Sep 2017 23:03:25 +0800

clonezilla (3.28.6-drbl1) unstable; urgency=medium

  * Bug fixed: /EFI/centos/grubx64.efi order.
    /EFI/centos/grubx64.efi should be before /EFI/Boot/bootx64.efi.
    Thanks to Fritzinger, Bernd (Bernd.Fritzinger _at_ bruker com).

 -- Steven Shiau <steven@clonezilla.org>  Wed, 27 Sep 2017 08:25:45 +0800

clonezilla (3.28.5-drbl1) unstable; urgency=medium

  * Add lite-server prompt in the command clonezilla
  * Use Partclone 0.3.8 to create dd slice files.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 26 Sep 2017 09:48:42 +0800

clonezilla (3.28.4-drbl1) unstable; urgency=medium

  * No prompt for removing eject in EFI machine when rebooting or poweroffing
    since most of the case nowadays people use USB to boot the machine.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 21 Sep 2017 19:03:50 +0800

clonezilla (3.28.3-drbl1) unstable; urgency=medium

  * Add /EFI/centos/grubx64.efi to known_efi_boot_file_chklist in
    update-efi-nvram-boot-entry. Thanks to Fritzinger, Bernd
    (Bernd.Fritzinger _at_ bruker com) for providing the patch.
  * Let update-efi-nvram-boot-entry run on Mac.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 21 Sep 2017 07:53:27 +0800

clonezilla (3.28.2-drbl1) unstable; urgency=medium

  * Disable systemd-networkd-wait-online service. By default it will wait
    for 2 mins, and it's useless for Clonezilla live since the user will
    configure the networking later.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/
         thread/9511d653/
  * Add boot parameter ocs_netlink_timeout so that the network link
    detection timeout can be assigned for ocs-live-netcfg.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 20 Sep 2017 12:24:36 +0800

clonezilla (3.28.1-drbl1) unstable; urgency=medium

  * Add an option -cbm to ocs-live-feed-img. Besides, remove boot parameter
    ocs_litesrv_mode. It's better to assign that in the command line option
    (-dm) when running ocs-live-feed-img, e.g.,
    ocs-live-feed-img -cbm netboot -dm auto-detect -g auto -e1 auto -e2 -r
    -x -j2 -sc0 -p reboot -md multicast --clients-to-wait 1 
    --max-time-to-wait 300 start myimg sda
  * Support using UUID and LABEL as image repository, i.e.,
    local_dev for image repository can be assigned as:
    dev:///LABEL|UUID|PARTLABEL|PARTUUID=uuid|label. E.g.,
    ocs_repository="dev:///UUID=84b012cc-5a4c-41e2-bf20-620d028072cb"
  * Simply the S08speakup. Remove those not-working commands
    during booting, like sleep.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 19 Sep 2017 11:40:31 +0800

clonezilla (3.27.20-drbl1) unstable; urgency=medium

  * Improve the mechanism for starting espeakup.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 05 Sep 2017 08:07:05 +0800

clonezilla (3.27.19-drbl1) unstable; urgency=medium

  * Add beep for syslinux/grub2 boot menu, and add hotkey key "-s"
    for grub2 boot menu.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 29 Aug 2017 15:21:05 +0800

clonezilla (3.27.18-drbl1) unstable; urgency=medium

  * Get the locale and set the VOICE in /etc/default/espeakup.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 24 Aug 2017 10:48:58 +0800

clonezilla (3.27.17-drbl1) unstable; urgency=medium

  * Speech synthesis is added the boot menu of Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 10 Aug 2017 14:35:22 +0800

clonezilla (3.27.16-drbl1) unstable; urgency=medium

  * Add udftools in GParted live packages list.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 Aug 2017 05:59:31 +0800

clonezilla (3.27.15-drbl1) unstable; urgency=medium

  * Add option -z|--prefer-archive to ocs-live-dev so that archive program can be assigned.
    Thanks to Mircea Dan for providing the patch.
    Ref: https://sourceforge.net/p/clonezilla/bugs/278/

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 31 Jul 2017 19:57:26 +0800

clonezilla (3.27.14-drbl1) unstable; urgency=medium

  * Bug fixed: matching codes for extended partitions. Thanks to Alan
    Rooks.
    Ref: https://sourceforge.net/p/clonezilla/bugs/275/
  * Remove the extra space lines in main menu in clonezilla.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 23 Jul 2017 22:32:15 +0800

clonezilla (3.27.13-drbl1) unstable; urgency=medium

  * Start espeak service when accessibility module is loaded.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 26 Jun 2017 08:16:27 +0800

clonezilla (3.27.12-drbl1) unstable; urgency=medium

  * Add a mechanism to load module for accessibility (e.g, speakup_soft) instead
    of hard coding it in initramfs. The mechanism is similar to that in Debian
    Stretch installer.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 24 Jun 2017 09:22:41 +0800

clonezilla (3.27.11-drbl1) unstable; urgency=medium

  * Add SMB version selection when mounting CIFS. Thanks to Eric Nichols
    for asking this.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 13 Jun 2017 14:10:47 +0800

clonezilla (3.27.10-drbl1) unstable; urgency=medium

  * Remove "set -e" in create-ocs-tmp-img to make it run
    in non Debian-based OS.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Jun 2017 08:05:51 +0800

clonezilla (3.27.9-drbl1) unstable; urgency=medium

  * Add loading module speakup_soft in initramfs. This is required for
    running program espeakup.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 04 Jun 2017 13:04:22 +0800

clonezilla (3.27.8-drbl1) unstable; urgency=medium

  * Use "auto-detect" instead of "auto-dhcpd" for the lite sever mode
    in ocs-live-feed-img.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 29 May 2017 17:30:05 +0800

clonezilla (3.27.7-drbl1) unstable; urgency=medium

  * Make all toram mode as live in ocs-iso and ocs-live-dev.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 May 2017 14:40:31 +0800

clonezilla (3.27.6-drbl1) unstable; urgency=medium

  * Update toram mode as "live,syslinux" for ocs-live-boot-menu when
    it's assigned as "live" because for Clonezilla live the config
    file in syslinux dir and the vmlinuz and kernel in live dir
    is required.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 May 2017 12:49:40 +0800

clonezilla (3.27.5-drbl1) unstable; urgency=medium

  * If DHCP service exists, by default ocs lite server just leases the IP
    address from DHCP server in ocs-live-feed-img.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 May 2017 10:32:47 +0800

clonezilla (3.27.4-drbl1) unstable; urgency=medium

  * Instead of asking "to-upstream" or "in-isolation", now asking
    use-existing-dhcpd, start-new-dhcpd, auto-dhcpd in ocs-live-feed-img.
  * Support replaying the DHCP service to existing DHCP service in
    ocs-live-feed-img.
  * Bug fixed: typos. lite_client -> lite-client, lite_server -> lite-server
    in file clonezilla.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 24 May 2017 11:12:11 +0800

clonezilla (3.27.3-drbl1) unstable; urgency=medium

  * Bug fixed: select-in-client enters command line mode after job is done.
    Ref: https://sourceforge.net/p/drbl/discussion/DRBL_for_Debian/thread/d7427aaa/
    Thanks to Santiago Castro Olivares for reporting this.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 20 May 2017 15:40:45 +0800

clonezilla (3.27.2-drbl1) unstable; urgency=medium

  * Rotate log file ocsmgrd-notify.log instead of overwritting it.
  * Add more prompts to ocs-scan-disk.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 May 2017 19:18:08 +0800

clonezilla (3.27.1-drbl1) unstable; urgency=medium

  * Bug fixed: ocsmgrd command with pipe did not protected with nohup.
    It failed when CJK language is used in Jfbterm.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 08 May 2017 03:21:46 +0800

clonezilla (3.26.39-drbl1) unstable; urgency=medium

  * Move the codes about making the ocsmgrd outputs won't be overwritten
    by dialog to ocs-live-feed-img instead of clonezilla.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 07 May 2017 20:23:33 +0800

clonezilla (3.26.38-drbl1) unstable; urgency=medium

  * Bug fixed: squashfs_fmode should be global variable in
    ocs-live-feed-img.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 06 May 2017 21:33:43 +0800

clonezilla (3.26.37-drbl1) unstable; urgency=medium

  * Add parsing boot parameter "ocs_litesrv_mode" for lite server presetting.
    When clonezilla lite server mode is enabled, ocs-live-run-menu won't
    deal with mounting repository and let ocs-live-feed-img to handle that.
    Thanks to Aaron Burling (aaron_burling _at_ lkstevens wednet edu) for
    providing suggestions.
  * Add configuring network if it's not before mounting network file system in
    ocs-live-repository.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 06 May 2017 20:46:26 +0800

clonezilla (3.26.36-drbl1) unstable; urgency=medium

  * Bug fixed: wrong sequence to filter "dbg" kernel in
    get_latest_kernel_ver_in_repository of ocs-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 05 May 2017 17:27:51 +0800

clonezilla (3.26.35-drbl1) unstable; urgency=medium

  * Update function get_latest_kernel_ver_in_repository of ocs-functions
    to exclude "-dbg" kernel.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 05 May 2017 17:12:45 +0800

clonezilla (3.26.34-drbl1) unstable; urgency=medium

  * Bug fixed: Wrong path for ocsmgrd-notify.log.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 02 May 2017 07:07:12 +0800

clonezilla (3.26.33-drbl1) unstable; urgency=medium

  * Read message from language file for prompt.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 01 May 2017 15:48:01 +0800

clonezilla (3.26.32-drbl1) unstable; urgency=medium

  * Use nohup for ocsmgrd to avoid it's terminated when
    jfbterm is finished.
  * Bug fixed: stop service first when clonezilla.lock exists.
    We have to wait for udp-sender to be finished so that when
    CJK locales uses jfbterm, udp-sender won't be terminated
    due to jfbterm is finished.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 01 May 2017 14:41:23 +0800

clonezilla (3.26.31-drbl1) unstable; urgency=medium

  * Arrange the main menu of Clonezilla live as: "device-image",
    "device-device", "remote-source", "remote-dest", "lite-server",
    "lite-client".
    Thanks to Aaron Burling (aaron_burling _at_ lkstevens wednet edu) for
    providing suggestion.
  * Add -ro,--remote-clone-only & -lo,--local-clone-only in ocs-onthefly.
  * Move live-server menu to clonezilla main menu. No more in ocs-sr.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 29 Apr 2017 16:59:32 +0800

clonezilla (3.26.30-drbl1) unstable; urgency=medium

  * Deal with the file permission of filesystem.squashfs for lighttpd
    service. 
    Thanks to Aaron Burling (aaron_burling _at_ lkstevens wednet edu)

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 27 Apr 2017 09:23:07 +0800

clonezilla (3.26.29-drbl1) unstable; urgency=medium

  * Add support for creating Artful-based Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 26 Apr 2017 22:34:22 +0800

clonezilla (3.26.28-drbl1) unstable; urgency=medium

  * Add network configuration when in client interactive mode for ocs-onthefly. 

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 26 Apr 2017 20:02:13 +0800

clonezilla (3.26.27-drbl1) unstable; urgency=medium

  * Add reserved "ask_user" for source IP and device for ocs-onthefly client
    mode.
  * Add another menu "misc-utils" in Clonezilla.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 26 Apr 2017 17:42:27 +0800

clonezilla (3.26.26-drbl1) unstable; urgency=medium

  * Daemon ocsmgrd should not update pxe config in to-upstream mode of
    ocs-live-feed-img.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 23 Apr 2017 20:38:51 +0800

clonezilla (3.26.25-drbl1) unstable; urgency=medium

  * Bug fixed: Make sure dnsmasq is started in order.
  * Unless there is an existing image in /tmp otherwise honor the original
    image name in ocs-live-get-img.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 23 Apr 2017 18:10:16 +0800

clonezilla (3.26.24-drbl1) unstable; urgency=medium

  * Make sure stop function kill all the processes in ocs-live-feed-img.
  * Update some prompts in ocs-live-feed-img.
  * The menu for ocs-live-feed-img now includes both start and stop
    selections.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 23 Apr 2017 13:36:06 +0800

clonezilla (3.26.23-drbl1) unstable; urgency=medium

  * Add PXE service in Clonezilla live lite server.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 22 Apr 2017 16:03:07 +0800

clonezilla (3.26.22-drbl1) unstable; urgency=medium

  * Program prepare-files-for-PXE-client should run after drbl-prepare-pxelinux in
    ocs-live-hook.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 21 Apr 2017 22:54:05 +0800

clonezilla (3.26.21-drbl1) unstable; urgency=medium

  * Use prepare-files-for-PXE-client, the better one, to put the network
    booting files for clients of Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 21 Apr 2017 22:13:04 +0800

clonezilla (3.26.20-drbl1) unstable; urgency=medium

  * Bug fixed: wrong command to create bootx64.efi in live hook when creating
    Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 21 Apr 2017 20:31:57 +0800

clonezilla (3.26.19-drbl1) unstable; urgency=medium

  * Use gen_dnsmasq_cfg to create the config file for dnsmasq
    in ocs-live-feed-img.
  * Create bootx64.efi and put pxelinux.0 in /tftpboot/nbi_img when creating
    Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 21 Apr 2017 19:53:28 +0800

clonezilla (3.26.18-drbl1) unstable; urgency=medium

  * Add the mechanism about report of restoring results.
  * Add prompt about Clonezilla live lite server.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Apr 2017 15:58:57 +0800

clonezilla (3.26.17-drbl1) unstable; urgency=medium

  * Always the network environment mode in ocs-live-feed-img.
  * Add option -nm|--netenv-mode to ocs-live-feed-img.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 19 Apr 2017 20:06:47 +0800

clonezilla (3.26.16-drbl1) unstable; urgency=medium

  * Confine the command to run in the client, i.e., Program
    ocs-live-feed-img only provides parameters to clients
    instead of whole command.
  * Extract creating BT slice files to be a program: ocs-gen-bt-slices

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 19 Apr 2017 15:01:42 +0800

clonezilla (3.26.15-drbl1) unstable; urgency=medium

  * Bug fixed: option '-um' should not be passed to ocs-sr in
    ocs-live-feed-img.
  * Bug fixed: NAT service failed to start due to wrong parameters in
    ocs-live-feed-img.
  * Only output the content ocs-client-run.sh to log in ocs-live-get-img.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 18 Apr 2017 19:49:20 +0800

clonezilla (3.26.14-drbl1) unstable; urgency=medium

  * Preset the user mode when run ocs-live-feed-img in ocs-sr menu.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 18 Apr 2017 18:46:10 +0800

clonezilla (3.26.13-drbl1) unstable; urgency=medium

  * Remove lite-client from ocs-sr interactive menu.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 18 Apr 2017 17:53:36 +0800

clonezilla (3.26.12-drbl1) unstable; urgency=medium

  * Add lite-server and lite-client in ocs-sr menu.
  * Check if ocs-live-feed-img and ocs-live-get-img run in Clonezilla live. If
    not, quit directly.
  * Enable NAT so multicast packets can be sent in ocs-live-feed-img.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 18 Apr 2017 15:19:44 +0800

clonezilla (3.26.11-drbl1) unstable; urgency=medium

  * Bug fixed: wrong uplink_ip in ocs-live-feed-img.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Apr 2017 21:30:18 +0800

clonezilla (3.26.10-drbl1) unstable; urgency=medium

  * Set the ethernet card status to be up in "In_isolation" mode.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Apr 2017 19:05:09 +0800

clonezilla (3.26.9-drbl1) unstable; urgency=medium

  * Add modes "To_upstream" and "In_isolation" for ocs-live-feed-img. Since
    bittorrent is not ready yet, "In_isolation" is disabled by default. 

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Apr 2017 13:55:21 +0800

clonezilla (3.26.8-drbl1) unstable; urgency=medium

  * Bug fixed: clients-to-wait mode failed to run in client.
    Thanks to Aaron Burling (aaron_burling _at_ lkstevens wednet edu)
    for reporting the issue.
  * Add support bittorrent restoring. However, not enabled yet.
  * Put log file in ocs-live-feed-img.log instead of clonezilla.log.
  * Put log in ocs-live-get-img.log instead of clonezilla.log
  * Prompt to avoid running ocs-live-get-img in clonezilla live lite server.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 14 Apr 2017 22:08:26 +0800

clonezilla (3.26.7-drbl1) unstable; urgency=medium

  * Enable different mechanism for creating BT slices with partclone. This is
    controlled by option partclone_make_slice_opt in drbl-ocs.conf.
  * Exclude encrypted image when selecting image in ocs-live-feed-img.
  * Add more outputs from ocs-live-feed-img and ocs-live-get-img in log file.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 13 Apr 2017 10:36:41 +0800

clonezilla (3.26.6-drbl1) unstable; urgency=medium

  * Add more checking in ocs-live-feed-img, including:
    the created ocs-client-run.sh should check if the pseudo image
    downloading is successful, and the extraction of tarball works. 
    Thanks to Aaron Burling (aaron_burling _at_ lkstevens wednet edu)
    for reporting the issue.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 11 Apr 2017 11:15:35 +0800

clonezilla (3.26.5-drbl1) unstable; urgency=medium

  * Bug fixed: batch mode of ocs-live-feed-img failed.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 10 Apr 2017 15:14:42 +0800

clonezilla (3.26.4-drbl1) unstable; urgency=medium

  * Bug fixed for ocs-live-feed-img:
    Even if it's local repository, we still have to configure network
    otherwise the udp-sender won't start.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 10 Apr 2017 12:58:28 +0800

clonezilla (3.26.3-drbl1) unstable; urgency=medium

  * Improve ocs-live-feed-img:
    Choose the destination device instead of inputting it.
    Make sure "restoreparts" mechanism works.
    Add more prompt about unattended mode.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 10 Apr 2017 12:14:38 +0800

clonezilla (3.26.2-drbl1) unstable; urgency=medium

  * Update usage descriptions in ocs-live-feed-img.
  * Enable function to do image checking on server in ocs-live-feed-img.
  * Check if ocs-client-run.sh exists before running in ocs-live-get-img.
  * Update usage descriptions for drbl-cso.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 Apr 2017 16:16:40 +0800

clonezilla (3.26.1-drbl1) unstable; urgency=medium

  * Rewrite ocs-live-feed-img and ocs-live-get-img:
    1. Use image tarball for clients to download. The tarball does not
    contain the image files of file system. They will be sent by udpcast.
    2. Improve the whole program. Add complete command line options.
    3. Add prompt about running the program again.
  * Bug fixed: missing option -irvd|--irvd in drbl-ocs.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 Apr 2017 13:06:10 +0800

clonezilla (3.25.29-drbl1) unstable; urgency=medium

  * Disable lighttpd by default for clonezilla/drbl live.
  * Add ocs-live-feed-img and ocs-live-get-img so that Clonezilla live can be
    the multicast feeding server, and also be the client to receive multicast
    packets.
  * Improve function feed_multicast_restoreparts so that it can work with
    ocs-live-feed-img.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 07 Apr 2017 07:45:38 +0800

clonezilla (3.25.28-drbl1) unstable; urgency=medium

  * Update partition layout to kernel before EBR is restored.
    Thanks to Ron (https://sourceforge.net/u/norotops/) for reporting.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/c047c8d2/

  * Switch to use transmission-create as the default program to create
    bittorrent metainfo. It is automatic to adjust the piece size and
    counts.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 04 Apr 2017 13:00:54 +0800

clonezilla (3.25.27-drbl1) unstable; urgency=medium

  * Add support to use transmission-create to create metainfo file.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 01 Apr 2017 12:14:30 +0800

clonezilla (3.25.26-drbl1) unstable; urgency=medium

  * Set default piece length for bittorrent as 16 MB.
  * Disable vim defaults so that copy & paste can work in drbl live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 31 Mar 2017 20:14:06 +0800

clonezilla (3.25.25-drbl1) unstable; urgency=medium

  * Boot parameter ocs_live_run_tty in DRBL live should be consistent
    with live-getty console parameters.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 29 Mar 2017 18:42:51 +0800

clonezilla (3.25.24-drbl1) unstable; urgency=medium

  * Make boot parameter ocs_postrun work even ocs-sr is run with
    -p reboot/halt in Clonezilla SE (DRBL live) mode.
    This fixes the issue that reboot/halt was run before ocs_postrun.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 27 Mar 2017 22:07:41 +0800

clonezilla (3.25.23-drbl1) unstable; urgency=medium

  * Add S06pre-run in drbl-live.d again, however, it will honor drbl_prerun*
    instead of ocs_prerun*. Otherwise ocs_prerun* will be run in S06pre-run
    of drbl-live.d and ocs-live-run-menu.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 26 Mar 2017 22:03:11 +0800

clonezilla (3.25.22-drbl1) unstable; urgency=medium

  * Remove prerun and postrun service in drbl live. It's duplicated since we
    have that in ocs-live-run-menu both for DRBL live and Clonezilla live.
    Remove upstart setting, too. It's not used anymore.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Mar 2017 14:14:24 +0800

clonezilla (3.25.21-drbl1) unstable; urgency=medium

  * Add stop-drbl-live and stop-ocs-live services in systemd environment for
    Clonezilla live and DRBL live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 23 Mar 2017 20:41:37 +0800

clonezilla (3.25.20-drbl1) unstable; urgency=medium

  * Bug fix: ocs-expand-gpt-pt should keep space for 2nd GPT table,
    i.e., limit the partition size to the maximum usable sectors
    for a GPT disk (total sectors – 34).
    Thanks to Leandro Gustavo Biss Becker <lbecker _at_ positivo com br>
    for providing the patched file.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 21 Mar 2017 13:58:51 +0800

clonezilla (3.25.19-drbl1) unstable; urgency=medium

  * Extract ctorrent and aria2c command options as variables, and put in
    drbl-ocs.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 05 Mar 2017 13:03:59 +0800

clonezilla (3.25.18-drbl1) unstable; urgency=medium

  * Add option "-f" to ctorrent in ocs-btsrv. No need to check the hash
    after mktorrent.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 04 Mar 2017 20:19:48 +0800

clonezilla (3.25.17-drbl1) unstable; urgency=medium

  * Add an option for using another BT client: aria2c.
    Tune ctorrent running options: -M 20 -n 4 (The minimum value for -M is
    20).
  * Move variable bt_client from ocs-btsrv to drbl-ocs.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 04 Mar 2017 16:53:16 +0800

clonezilla (3.25.16-drbl1) unstable; urgency=medium

  * Add a mechanism to check if the BT files should be recreated.
    Info-img-id.txt is added in the image dir for identifying the image.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Feb 2017 12:41:35 +0800

clonezilla (3.25.15-drbl1) unstable; urgency=medium

  * Regenerate the metainfo file (.torrent) when necessary, such as
    server IP address has changed. Not not updating it by perl brutally.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 24 Feb 2017 22:30:58 +0800

clonezilla (3.25.14-drbl1) unstable; urgency=medium

  * Service dnsmasq is the service for dhcpd and tftpd, too.
    With it, no need to re-configure drbl system when running
    ocs-srv-live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 24 Feb 2017 19:12:38 +0800

clonezilla (3.25.13-drbl1) unstable; urgency=medium

  * Update tracker's name when it does not fit the running environment in
    .torrent file in ocs-btsrv.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 24 Feb 2017 16:09:34 +0800

clonezilla (3.25.12-drbl1) unstable; urgency=medium

  * Add generating BT slices for Clonezilla image.
    This is still in experimental status, and partclone >= 0.3.5e is
    required.
  * Fix typos for variable $cat_cmd in ocs-restore-mbr.
  * ocs-btsrv won't regenerate .torrent file if it exists.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 24 Feb 2017 10:20:03 +0800

clonezilla (3.25.11-drbl1) unstable; urgency=medium

  * wait_for_part_table_take_effect of ocs-functions should deal with
    partitions name with extra p, like nvme0n1p1. 
    Thanks Bruno Vila Vilariño for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 02 Feb 2017 08:42:30 +0800

clonezilla (3.25.10-drbl1) unstable; urgency=medium

  * Remove duplicated BOOTUP related codes in function
    ocs-live-env-prepare of ocs-functions and ocs-live-save.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 31 Jan 2017 18:56:00 +0800

clonezilla (3.25.9-drbl1) unstable; urgency=medium

  * Function query_and_install_PKG_TO_QUERY in ocs-live-hook-functions
    should only install those not installed packages. Do not install those
    installed ones, otherwise it might upgrade the package.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 30 Jan 2017 17:31:48 +0800

clonezilla (3.25.8-drbl1) unstable; urgency=medium

  * Bug fixed: temporaty mount point "/tmp/ocsroot_bind_root"
    should be made 1st in ocs-live-bind-mount.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 26 Jan 2017 14:51:40 +0800

clonezilla (3.25.7-drbl2) unstable; urgency=medium

  * Set required drbl version as >= 2.23.12.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 26 Jan 2017 11:13:22 +0800

clonezilla (3.25.7-drbl1) unstable; urgency=medium

  * Adding "only_access_by_owner" as one of the  boot parameters so that it
    can be used like -noabo for ocs-sr.
  * Initial settings of ocs-sr should be before reading
    /etc/ocs/ocs-live.conf so that it can be tuned by boot parameters.
  * Program clonezilla and ocs-live-general were slightly modified.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Jan 2017 16:51:45 +0800

clonezilla (3.25.6-drbl1) unstable; urgency=medium

  * Add an option "-noabo" so that the image can be accessible by others.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 03 Jan 2017 21:57:06 +0800

clonezilla (3.25.5-drbl1) unstable; urgency=medium

  * Use ezio or ezio-static automatically.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 26 Dec 2016 21:18:59 +0800

clonezilla (3.25.4-drbl1) unstable; urgency=medium

  * Do not use ":" in file name for the log file, use "~" instead. e.g.
    xenial-x64-20161104~sda1.log, not xenial-x64-20161104:sda1.log
    Shell does not like file name with ":". 

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 26 Dec 2016 17:58:31 +0800

clonezilla (3.25.3-drbl1) unstable; urgency=medium

  * Add experimental bittorrent restoring codes for assigning max client no.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 24 Dec 2016 16:46:49 +0800

clonezilla (3.25.2-drbl1) unstable; urgency=medium

  * Use ocs-btttrack instead of bttrack in ocs-btsrv.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 24 Dec 2016 16:09:51 +0800

clonezilla (3.25.1-drbl1) unstable; urgency=medium

  * Rewrite codes about partition creation. It's neater now.
  * Add initial codes for bittorrent restoring. Not finished yet.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Dec 2016 15:40:43 +0800

clonezilla (3.24.10-drbl1) unstable; urgency=medium

  * Update descriptions for ocs-iso and ocs-live-dev.
  * Fix typos in the usage for ocs-sr. 
  * Add options -a|--postaction, -x|--extra-boot-param for gen-rec-iso.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 02 Dec 2016 19:46:11 +0800

clonezilla (3.24.9-drbl1) unstable; urgency=medium

  * Add option "-br" in gen-rec-iso.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 01 Dec 2016 09:03:06 +0800

clonezilla (3.24.8-drbl1) unstable; urgency=medium

  * Add local boot menu in the uEFI Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 28 Nov 2016 19:28:30 +0800

clonezilla (3.24.7-drbl1) unstable; urgency=medium

  * Server IP address will be checked only as it's required in drbl-ocs.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 21 Nov 2016 22:23:11 +0800

clonezilla (3.24.6-drbl1) unstable; urgency=medium

  * Remove partprobe command after ocs-scan-disk. It delays the
    GPT partition to be shown in /proc/partitions.
  * Add package xserver-xorg-legacy for drbl-live in program
    create-drbl-live-by-pkg.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 17 Nov 2016 09:33:08 +0800

clonezilla (3.24.5-drbl1) unstable; urgency=medium

  * Filter unsigned kernel in get_latest_kernel_ver_in_repository
    of ocs-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 14 Nov 2016 20:11:52 +0800

clonezilla (3.24.4-drbl1) unstable; urgency=medium

  * Use Packages.xz instead of Packages.gz in function
    get_latest_kernel_ver_in_repository of ocs-functions because
    Packages.gz is not available on Debian repository
    Also use that from amd64, not i386. I.e.,
    binary-amd64/Packages.xz, instead of binary-i386/Packages.gz

  * Choose "Enter_shell" should not give any error. This should fix the
    issue reported at:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/a44f2814
    Thanks to Cyril Ganchev and Bertrando for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 14 Nov 2016 18:13:12 +0800

clonezilla (3.24.3-drbl1) unstable; urgency=medium

  * Update gen-rec-iso by adding option -k1 in ocs-sr.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 01 Nov 2016 22:11:18 +0800

clonezilla (3.24.2-drbl1) unstable; urgency=medium

  * Avoid showing unrelated error messages in ocs-related-srv.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Oct 2016 22:17:16 +0800

clonezilla (3.24.1-drbl2) unstable; urgency=medium

  * Typo fixied: Make create-ubuntu-live support "Zesty". 

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Oct 2016 16:36:27 +0800

clonezilla (3.24.1-drbl1) unstable; urgency=medium

  * Make create-ubuntu-live support Yakkety. 

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Oct 2016 16:25:15 +0800

clonezilla (3.23.25-drbl1) unstable; urgency=medium

  * Forgot to load grub.cfg-$IP before grub.cfg for uEFI netboot client.
    Thanks to Anshu Arya for reporting this issue.
    Ref: https://sourceforge.net/p/drbl/discussion/DRBL_for_Debian/thread/73a26bf9

  * Run deploy_pxecfg_grubefi_files inside drbl-ocs because the prompt to
    start clonezilla SE service only mentions to run drbl-ocs.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 18 Oct 2016 20:13:31 +0800

clonezilla (3.23.24-drbl1) unstable; urgency=medium

  * Prepare the state dir /var/lib/clonezilla/ in the begining of
    ocs-live-run-menu. 

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Oct 2016 19:11:34 +0800

clonezilla (3.23.23-drbl1) unstable; urgency=medium

  * Force to make timeout as 60 secs. Debian uses 60, but Ubuntu uses 300.
    Too long. Thanks to Cecile, Adam (Adam.Cecile _at_ hitec lu) for
    reporting this.
  * Bug fixed: remove "light-locker.desktop" instead of
    "xscreensaver.desktop" for DRBL live. We do not want the screen to be
    locked in DRBL live env.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 14 Oct 2016 16:44:52 +0800

clonezilla (3.23.22-drbl1) unstable; urgency=medium

  * Create /var/lib/clonezilla before putting files into that directory.
    This is required for DRBL live client.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 13 Oct 2016 22:34:16 +0800

clonezilla (3.23.21-drbl2) unstable; urgency=medium

  * Update the requred package drbl as correct version. 

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 13 Oct 2016 15:11:48 +0800

clonezilla (3.23.21-drbl1) unstable; urgency=medium

  * Add mechanism to detect bitlocker and Microsoft Reserved
    Partition (MSR) in ocs-get-part-info.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 13 Oct 2016 15:05:29 +0800

clonezilla (3.23.20-drbl1) unstable; urgency=medium

  * Make system reload keyboard-layout and locales if it's changed in
    ocs-live-preload.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 11 Oct 2016 16:54:47 +0800

clonezilla (3.23.19-drbl1) unstable; urgency=medium

  * Add a mechanism to avoid overwriting cmdline twice in
    ocs-live-preload.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 10 Oct 2016 14:32:47 +0800

clonezilla (3.23.18-drbl1) unstable; urgency=medium

  * Skip overwriting /proc/cmdline when no any overwrite* files in /opt.
  * Put new cmdline file in /var/lib/clonezilla/new-cmdline instead of / in
    live system.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 10 Oct 2016 13:35:24 +0800

clonezilla (3.23.17-drbl1) unstable; urgency=medium

  * Show messages about overwriting /proc/cmdline in ocs-live-preload.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 10 Oct 2016 12:17:36 +0800

clonezilla (3.23.16-drbl1) unstable; urgency=medium

  * Now ocs-live-preload check if 
    /opt/{overwrite-all-boot-param,overwrite-part-boot-param}
    exists (Downloaded from root of ocs_preload).
    File overwrite-all-boot-param is to overwrite the whole
    /proc/cmdline, while overwrite-part-boot-param only overwrites
    part of the variables in /proc/cmdline. Especially those
    "ocs_*" parameters.
  * For the universal usage for boot parameters ocs*, put
    double quotation mark for ocs_live_batch in the config file of
    clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 10 Oct 2016 11:56:47 +0800

clonezilla (3.23.15-drbl2) unstable; urgency=medium

  * If ocs-live-preload is run and /etc/ocs-live.conf is updated, we need
    reread it in ocs-live-run-menu after running ocs-live-preload.
    Even if it's not modified, re-read it won't cause any problem.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 Oct 2016 17:21:20 +0800

clonezilla (3.23.14-drbl1) unstable; urgency=medium

  * When /opt/overwrite-boot-param exists, overwrite /proc/cmdline.
    Thanks to Aaron Burling (aaron_burling _at_ lkstevens wednet edu)
    for this idea and providing sample codes.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 Oct 2016 15:15:53 +0800

clonezilla (3.23.13-drbl1) unstable; urgency=medium

  * The drbl/clonezilla live version info will be put in /etc/ocs/ocs-live.conf,
    and when an image is saved, the info will be saved in Info-packages.txt.
  * A workaround to avoid the warning:
    continue: only meaningful in a `for', `while', or `until' loop
    Because >= bash 4.4 raises it as a warning, and then continue won't be run.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 08 Oct 2016 16:29:27 +0800

clonezilla (3.23.12-drbl1) unstable; urgency=medium

  * Bug fixed: typo, therefore return wrong result in function
    check_if_disk_busy.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 07 Oct 2016 20:46:11 +0800

clonezilla (3.23.11-drbl1) unstable; urgency=medium

  * Rewrite functios in ocs-functions, including:
    check_if_disk_busy_before_create_partition &
    check_if_disk_busy.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 06 Oct 2016 22:38:54 +0800

clonezilla (3.23.10-drbl1) unstable; urgency=medium

  * Inform kernel partition changes only when disk is not busy. This should
    solve the issue:
    https://sourceforge.net/p/clonezilla/bugs/265/

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 05 Oct 2016 22:41:14 +0800

clonezilla (3.23.9-drbl1) unstable; urgency=medium

  * Remove "nodmraid" from boot parameters in drbl-ocs.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 02 Oct 2016 20:49:38 +0800

clonezilla (3.23.8-drbl1) unstable; urgency=medium

  * Boot parameter ocs_overwrite_postaction has higher priority than the
    action assigned by option "-p" in ocs-sr, and "-pa" in ocs-onthefly.
    The value for ocs_overwrite_postaction is:
    [choose|reboot|poweroff]-on-[restoredisk|restoreparts|savedisk|saveparts|clone]
    E.g., choose-on-restoredisk means the postaction for restoredisk will
    always be choose no matter what is assigned in -p of ocs-sr or -pa of
    ocs-onthefly.
    Thanks to Aaron Burling (aaron_burling _at_ lkstevens wednet edu)
    for this idea.
  * Add option -sfsck in the menu for ocs-onthefly.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 01 Oct 2016 14:57:28 +0800

clonezilla (3.23.7-drbl1) unstable; urgency=medium

  * Program ocs-live-repository should honor boot param ocs_live_batch with
    higher priority.
  * Program ocs-live-preload should read /etc/ocs-live.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 28 Sep 2016 16:15:13 +0800

clonezilla (3.23.6-drbl1) unstable; urgency=medium

  * If batch mode is on, no need to confirm in ocs-sr saving mode.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 26 Sep 2016 22:47:14 +0800

clonezilla (3.23.5-drbl1) unstable; urgency=medium

  * Add options -sfsck and -senc in the Clonezilla live interactive menu.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 17 Sep 2016 14:12:50 +0800

clonezilla (3.23.4-drbl1) unstable; urgency=medium

  * Show the abortion prompt by pressing Ctrl-C during reboot/poweroff.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Sep 2016 16:24:54 +0800

clonezilla (3.23.3-drbl1) unstable; urgency=medium

  * Pause when error occurs in the end of Clonezilla live if not
    in batch mode.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 11 Sep 2016 16:01:54 +0800

clonezilla (3.23.2-drbl1) unstable; urgency=medium

  * Save variable ocs_cmd in /var/lib/clonezilla/ocs-vars so later it can be
    used.
  * Show messages about removing source or destination disk in interactive
    mode after cloning is finished.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 09 Sep 2016 18:58:08 +0800

clonezilla (3.23.1-drbl1) unstable; urgency=medium

  * Ask the post action (choose, reboot, poweroff) before starting cloning.
    Replace variable postrun with postaction.
    Thanks to Aaron Burling (aaron_burling _at_ lkstevens wednet edu) for this idea.
  * Add new boot paramater ocs_sshd_port so that the non-standard port of
    sshd can be assigned. Thanks to rj555 for asking this.
    Ref:
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/0add50dd

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 08 Sep 2016 20:21:19 +0800

clonezilla (3.22.23-drbl1) unstable; urgency=medium

  * Failed to create the checksum files for files in LV, i.e. when
    option "-gmf" or "-cmf" is enabled.
    Thanks to Mircea Dan.
    Ref: https://sourceforge.net/p/clonezilla/bugs/260/
  * Change /proc/sys/vm/highmem_is_dirtyable to 1 when running i686 Linux
    kernel and the RAM size is larger than 8 GB.
    Thanks to Little Vulpix for this suggestion.
    Ref: 
    https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/ba31ffc8

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 30 Aug 2016 14:51:04 +0800

clonezilla (3.22.22-drbl1) unstable; urgency=medium

  * Check if PV of LVM is listed in the device to be backuped. If so, 
    stop LVM first in ocs-clean-part-fs.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 23 Aug 2016 21:04:12 +0800

clonezilla (3.22.21-drbl1) unstable; urgency=medium

  * Save ocs-related variables in /var/lib/clonezilla/ocs-vars so that
    the customized program can use. Thanks to Aaron Burling
    (aaron_burling _at_ lkstevens wednet edu) for this idea.
  * Program ocs-clean-part-fs was added to clean the file system/LVM info in
    every partition of the assigned disk.
  * Clean file system/LVM info before creating partition table. Thanks to
    Mircea Dan (byreal _at_ users sf net) and Pete Morris
    (morrispj _at_ jmu edu) for reporting this issue.
    Ref: https://sourceforge.net/p/clonezilla/bugs/254/

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 11 Aug 2016 17:08:38 +0800

clonezilla (3.22.20-drbl1) unstable; urgency=medium

  * Drop the support for boot paramter ocs_chk_img and ocs_fsck_src_part
    in drbl-functions. Only honor the options of ocs-sr by "-scr", "-scs",
    "-fsck", "-fsck-y".
  * Make something like "ocs-sr -x -scr" work. It won't ask about if
    "-scr" should be used or not. Thanks to Aaron for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 07 Aug 2016 21:13:23 +0800

clonezilla (3.22.19-drbl1) unstable; urgency=medium

  * Disable service systemd-timesyncd in GParted live, too.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 24 Jul 2016 21:39:38 +0800

clonezilla (3.22.18-drbl1) unstable; urgency=medium

  * Disable service systemd-timesyncd.
    Clonezilla live and DRBL live should not touch the system time, even for
    the BIOS it should not.
    Thanks to Rick and rfried for reporting this issue.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/thread/b2667447

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 24 Jul 2016 14:09:50 +0800

clonezilla (3.22.17-drbl1) unstable; urgency=medium

  * Program ocs-run-boot-param was added to run for boot parameters
    ocs_prerun, ocs_postrun, ocs_savedisk_prerun, ocs_saveparts_prerun,
    ocs_restoredisk_prerun, and ocs_restoreparts_prerun.
    E.g. ocs-live-prerun -> ocs-run-boot-param ocs_prerun
    With this, ocs-live-prerun and ocs-live-postrun were removed.
  * Add entry points for ocs_savedisk_prerun, ocs_saveparts_prerun,
    ocs_restoredisk_prerun, and ocs_restoreparts_prerun in ocs-sr.
    Thanks to Aaron Burling (aaron_burling _at_ lkstevens wednet edu)
    for these ideas.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 22 Jul 2016 22:26:38 +0800

clonezilla (3.22.16-drbl1) unstable; urgency=medium

  * Adding xserver-xorg-legacy to let non-root user can run startx
    since we use startx in GParted live. 
    Ref: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=807015

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 22 Jul 2016 13:29:15 +0800

clonezilla (3.22.15-drbl1) unstable; urgency=medium

  * Remove "noeject" from the boot parameters. Now live-medium-eject
    from live-tool and the program eject should work. Systemd is supported
    by live-tool 20151214+nmu1.drbl1 with patch from drbl:
    http://bugs.debian.org/831830

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 21 Jul 2016 09:37:14 +0800

clonezilla (3.22.14-drbl1) unstable; urgency=medium

  * Bug fixed: if image is the first one or last one, the
    BrowseCurrentDirectory failed to identify that as clonezilla image
    even it is. The previous did not work.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Jul 2016 19:47:49 +0800

clonezilla (3.22.13-drbl1) unstable; urgency=medium

  * Add an option to retry when ocs-live-preload fails to mount netfs.
    Thanks to Aaron Burling (aaron_burling _at_ lkstevens wednet edu)
    for this suggestion.
  * Bug fixed: if image is the first one or last one, the
    BrowseCurrentDirectory failed to identify that as clonezilla image
    even it is.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Jul 2016 10:18:11 +0800

clonezilla (3.22.12-drbl1) unstable; urgency=medium

  * Move function get_dir_filesystem from drbl-functions to ocs-functions.
    Use findmnt instead of df to get the file system for a mountpoint.
  * Show sshfs file system when it's mounted in prep-ocsroot.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 Jul 2016 22:45:18 +0800

clonezilla (3.22.11-drbl1) unstable; urgency=medium

  * Avoid wrongly parsing dir as clonezilla image in function
    BrowseCurrentDirectory of ocs-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 17 Jul 2016 11:05:26 +0800

clonezilla (3.22.10-drbl1) unstable; urgency=medium

  * Add options "-c" and "-f" for ocs-live-prerun and ocs-live-postrun.
  * Check every boot parameter ocs_prerun*, ocs_postrun*, and ocs_preload*
    has been successfully run or not. Not only the whole program. If it has
    been successfully run, a tag file will be created in /var/lib/clonezilla,
    and the next run won't run it again unless option "-f" is used.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 16 Jul 2016 20:49:45 +0800

clonezilla (3.22.9-drbl1) unstable; urgency=medium

  * Applied patches from Aaron Burling, including
    Group dirs in BrowseCurrentDirectory:
    First is .. (Parent Directory) (if applicable),
    second is subdirectories,
    third is cz_img directories,
    fourth is Exit/Abort option.
    Prompt word "00-Exit" has been changed to <ABORT> and moved to the
    bottom of menu.

  * Make ocs-live-repository to be run again after rerun1 is run again.
  * Honor ocs_user_subdir in boot parameters so that ocs-live-bind-mount will
    be run in ocs-live-repository.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 15 Jul 2016 10:55:17 +0800

clonezilla (3.22.8-drbl1) unstable; urgency=medium

  * Only include gnupg in the base system. Forget about gnupg2.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Jul 2016 22:08:42 +0800

clonezilla (3.22.7-drbl1) unstable; urgency=medium

  * Due to apt>=1.3~pre2 only recommends gnupg/gnupg2, not list them as
    must, therefore gnupg and gnupg2 have to be included in DEBOOTSTRAP.
    ref: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=830696

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 11 Jul 2016 14:48:44 +0800

clonezilla (3.22.6-drbl1) unstable; urgency=medium

  * Programs ocs-live-preload and ocs-live-repository will honor the tag file
    not to be run again if they have been run successfully starting Clonezilla
    main menu again.
  * Make a prompt about bind mount for different locales. 

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 10 Jul 2016 21:12:00 +0800

clonezilla (3.22.5-drbl1) unstable; urgency=medium

  * Improve image repository browsing:
    (1) Add an option to exit dir browsing.
    (2) Tag directory contains no sub dir.
    (3) Allow bind mount dir without any image so it can be the repository
        for saving only.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 08 Jul 2016 13:44:04 +0800

clonezilla (3.22.4-drbl1) unstable; urgency=medium

  * Bug fixed: missing ocsroot medium description in ocs-live-final-action.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 08 Jul 2016 11:19:19 +0800

clonezilla (3.22.3-drbl1) unstable; urgency=medium

  * Rewrite ocs-live-final-action and ocs-live-run-menu so that rerun3
    can work with locales in non-en_US.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 07 Jul 2016 22:15:00 +0800

clonezilla (3.22.2-drbl1) unstable; urgency=medium

  * Use ocs-live-bind-mount to bind mount the subdir as image repository
    for local device mounting.
  * A menu about bind mount subdir was added in prep-ocsroot and
    ocs-live-final-action.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 07 Jul 2016 19:29:26 +0800

clonezilla (3.22.1-drbl1) unstable; urgency=medium

  * Add a new mechanism to browse the image repository and bind mount the sub
    directory. Thanks to Aaron Burling (aaron_burling _at_ lkstevens wednet edu)
    for providing sample codes.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 06 Jul 2016 20:01:16 +0800

clonezilla (3.21.35-drbl1) unstable; urgency=medium

  * When option "-k1" or "-k2" of ocs-onthefly in TUI is chosen,
    "-icds" is on automatically.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 27 Jun 2016 19:27:56 +0800

clonezilla (3.21.34-drbl1) unstable; urgency=medium

  * Wrong path for copying files in ocs-live-dev, create-drbl-live, and
    create-gparted-live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 27 Jun 2016 10:15:26 +0800

clonezilla (3.21.33-drbl1) unstable; urgency=medium

  * Better way to deal with batch mode or not in ocs-live-repository.
  * If mounting fails, ocs-live-run-menu should exit, not continue.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 27 Jun 2016 08:16:38 +0800

clonezilla (3.21.32-drbl1) unstable; urgency=medium

  * Slightly improve the speed to get file system info, and
    also add converting "0xf" as extended in ocs-get-part-info.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 26 Jun 2016 16:38:32 +0800

clonezilla (3.21.31-drbl1) unstable; urgency=medium

  * Set mounting smb part as non-interactive mode in ocs-live-repository.
  * If ocs-live-repository fails, show the ocs-live-final-action menu in
    ocs-live-run-menu.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 26 Jun 2016 09:35:45 +0800

clonezilla (3.21.30-drbl1) unstable; urgency=medium

  * "ask_user" can be the username to let user input for SSH server in
    ocs-live-repository.
  * The failing mounting for sshfs (fuse) can not be detected by mountpoint.
    Use another method to test and unmount it in prepare_mnt_point_ocsroot
    of ocs-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Jun 2016 21:26:37 +0800

clonezilla (3.21.29-drbl1) unstable; urgency=medium

  * Add fuse.cloudfuse in the messages of prep-ocsroot.
  * Provide an option to mount image repsitory again when failing in
    ocs-live-repository. "ask_user" can be used as the Samba domain
    and account in the URI so that user can input their own names.
    Thanks to Aaron Burling (aaron_burling _at_ lkstevens wednet edu)
    for these ideas.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Jun 2016 16:48:39 +0800

clonezilla (3.21.28-drbl1) unstable; urgency=medium

  * Bug fixed: failed to get all partitions for multiple disks which was
    introduced in clonezilla 3.21.26.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 21 Jun 2016 14:05:46 +0800

clonezilla (3.21.27-drbl1) unstable; urgency=medium

  * Use shorter name for fsck-related options, i.e.
    "-fsck-src-part" is replaced by "-fsck", and 
    "-fsck-src-part-y" is replaced by "-fsck-y".

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 21 Jun 2016 11:07:31 +0800

clonezilla (3.21.26-drbl1) unstable; urgency=medium

  * Reuse the parsed partition info when detecting the data/swap/extended
    partitions. Thanks to starnavi for this suggestion.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Clonezilla_live/
         thread/ba256b4b

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 20 Jun 2016 22:56:54 +0800

clonezilla (3.21.25-drbl1) unstable; urgency=medium

  * Add support for device /dev/nbd. Thanks to Mircea Dan for this
    suggestion.
    Ref: https://sourceforge.net/p/clonezilla/discussion/Help/
         thread/d2d2a480/

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 20 Jun 2016 10:36:01 +0800

clonezilla (3.21.24-drbl1) unstable; urgency=medium

  * Restore MBR data (executable code area) even it's GPT disk.
    Some OS, e.g. ESXi 5.5 need that.
    Ref: https://sourceforge.net/p/clonezilla/discussion/
         Clonezilla_live/thread/30662778/

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 19 Jun 2016 20:44:09 +0800

clonezilla (3.21.23-drbl1) unstable; urgency=medium

  * If no ocs_repository is assigned in boot parameters,
    ocs-live-repository shoule just exit.
    Nothing should be shown except the exit code.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 18 Jun 2016 20:28:06 +0800

clonezilla (3.21.22-drbl1) unstable; urgency=medium

  * Add a mechanism so that image repository can be auto mounted with boot
    parameter ocs_repository in URI format, e.g. 
    ocs_repository="dev:///dev/sdf1"
    or
    ocs_repository="smb://wa-domain;jack:mypass@192.168.7.25/images"
    Thanks to Aaron Burling (aaron_burling _at_ lkstevens wednet edu)
    for this idea.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 18 Jun 2016 18:01:48 +0800

clonezilla (3.21.21-drbl1) unstable; urgency=medium

  * Update toram mode as "live,syslinux" of ocs-live-boot-menu 
    when it's assigned as live because for DRBL live the config
    file in syslinux dir is required.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 16 Jun 2016 13:06:23 +0800

clonezilla (3.21.20-drbl1) unstable; urgency=medium

  * To work with toram=live in the patched live-boot, the version tag file of
    clonezilla/drbl/gparted live system is put in dir "live", too. 

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 16 Jun 2016 06:03:06 +0800

clonezilla (3.21.19-drbl1) unstable; urgency=medium

  * Use the patched live-boot so that the option toram=live could be used
    in drbl live to copy the "live" directory only, not all the files
    from live media.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 15 Jun 2016 14:46:26 +0800

clonezilla (3.21.18-drbl1) unstable; urgency=medium

  * Add supporting for grub on EBR imaging and cloning. Thanks to
    Bill Wright (bill _at_ blug org) for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 14 Jun 2016 17:11:01 +0800

clonezilla (3.21.17-drbl1) unstable; urgency=medium

  * Modern mkswap support option to assign UUID. No more using
    mkswap-uuid.
  * Due to the change in Debian Sid that "init" is not essential any more.
    It has to be added as a required package for gparted live.
    Ref: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=756023

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 07 Jun 2016 12:42:22 +0800

clonezilla (3.21.16-drbl1) unstable; urgency=medium

  * Use xz format for drbl tarball for Debian.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 Jun 2016 11:55:59 +0800

clonezilla (3.21.15-drbl1) unstable; urgency=medium

  * Program ocs-live-preload now support for preloading files from netfs,
    including cifs and nfs.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 04 Jun 2016 22:17:43 +0800

